2005-12-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/Poa/gnuPOA.java (reference_to_servant): 
	Throw WrongAdapter with explaining message.

2005-12-31  Mark Wielaard  <mark@klomp.org>

	* java/text/Bidi.java (requiresBidi): Also test against character
	types L, EN, ES, ET, AN, CS, S and WS.

2005-12-31  Chris Burdess  <dog@gnu.org>

	* gnu/xml/dom/DomNamedNodeMap.java,
	  gnu/xml/dom/DomNode.java,
	  gnu/xml/dom/ls/SAXEventSink.java,
	  gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java: Fix entity reference DOM construction
	  and correct DOM tree normalisation.

2005-12-30  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/AttributeException.java,
	* javax/print/URIException.java,
	* javax/print/FlavorException.java,
	* javax/print/PrintException.java:
	Added and updated javadocs to class and methods.

2005-12-30  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/package.html: Added description.
	* javax/print/attribute/standard/MediaSize.java: 
	Added and updated javadocs to class and methods.
	(static_initializer): Initialize nested class constants.
	(MediaSize): Add instances to the cache.
	(MediaSize): Likewise.
	(MediaSize): Likewise.
	(MediaSize): Likewise.
	(findMedia): New method.
	(equals): Likewise.

2005-12-29  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java: Additional validity constraint
	  checking; parameter entity recognition and replacement checks;
	  checks for xml:space to determine whether whitespace is ignorable;
	  better start- and end-entity event reporting.

2005-12-28  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/CRLFReader.java: Fixed bug where pos > 0.
	* gnu/xml/stream/XMLParser.java,
	  gnu/xml/stream/UnicodeReader.java: Use Unicode code points instead
	  of UTF-16 chars, resolving Unicode surrogates.
	* resource/META-INF/services/org.xml.sax.driver: Updated legacy SAX
	  factory mechanism for new SAX driver.

2005-12-27  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/CRLFInputStream.java,
	  gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java,
	  resource/META-INF/services/javax.xml.parsers.SAXParserFactory:
	  Fix XML parser stream issues. Add support for ignorable whitespace
	  to SAX parser. Allow validating parser to parse invalid files.
	* gnu/xml/stream/BufferedReader.java,
	  gnu/xml/stream/XMLInputStreamReader.java: Move buffering
	  functionality of XMLInputStreamReader to BufferedReader.

2005-12-27  Tom Tromey  <tromey@redhat.com>

	* gnu/java/nio/SelectorImpl.java: Added import.

2005-12-26  Anthony Green  <green@redhat.com>

	* java/net/Socket.java (connect): Don't close the socket on
	exceptions.

	* gnu/java/nio/SocketChannelImpl.java (read): Compute the right amount 
	of data to read (dst.remaining()).
	* gnu/java/nio/DatagramChannelImpl.java (receive): Ditto.

	* gnu/java/nio/SelectorImpl.java (select): Handle OP_CONNECT
	properly.

2005-12-25  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/Collections.java
	(binarySearch(List,Object,Comparator)): Changed comparison order
	for improved compatibility.

2005-12-25  Chris Burdess  <dog@gnu.org>

	* resource/META-INF/services/javax.xml.parsers.SAXParserFactory:
	  Revert to using aelfred2 driver by default.

2005-12-24  Tom Tromey  <tromey@redhat.com>

	* java/nio/charset/Charset.java (defaultCharset): Added @since.

2005-12-24  Guilhem Lavaux  <guilhem@kaffe.org>

	* gnu/xml/dom/DomNode.java
	(listeners): Use a HashSet now.
	(DomNode): Likewise.
	(compact, trimSize): Reduced to nop with a HashSet.
	(addEventListener, removeEventListener): Use HashSet
	operations.
	(dispatchEvent): Likewise.
	(notifyNode): Likewise. 

2005-12-24  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java: DTD validation support for StAX parser.

2005-12-24  Chris Burdess  <dog@gnu.org>

	* doc/README.jaxp: Updated with parameters for SAX-over-StAX driver.
	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java: Conformance fixes for XML 1.1 and
	  namespace handling.
	* gnu/xml/dom/ls/DomLSParser.java,
	  gnu/xml/dom/ls/SAXEventSink.java: Use SAX features and properties to
	  determine XML declaration details.
	* gnu/xml/aelfred2/SAXDriver.java,
	  gnu/xml/aelfred2/XmlParser.java,
	  gnu/xml/dom/Consumer.java,
	  gnu/xml/pipeline/DomConsumer.java,
	  gnu/xml/pipeline/EventFilter.java: Remove ContentHandler2 hack as
	  DOM Load & Save no longer depends on it
	* javax/xml/parsers/SAXParserFactory.java,
	  resource/META-INF/services/javax.xml.parsers.SAXParserFactory: Make
	  SAX-over-StAX the default SAX implementation.

2005-12-23  Mark Wielaard  <mark@klomp.org>

	Implement workaround suggested in bug #25430.
	* java/text/Bidi.java: New file.

2005-12-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* gnu/xml/dom/DomNode.java
	(LiveNodeList.handleEvent,
	LiveNodeList.item, LiveNodeList.getLength): Detach properly the
	iterator xfrom the DomNode. 

2005-12-23  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java: Interim commit during W3C XML
	  conformance testing.

2005-12-22  Lillian Angel  <langel@redhat.com>

	* javax/swing/JInternalFrame.java
	(show): Removed call moveToFront. Listeners already call
	toFront, which calls moveToFront.
	* javax/swing/JLayeredPane.java
	(setPosition): Positions are assigned from the "front" 
	to the "back", and drawn from the back towards the front. Added
	a loop to swap all the components, so they are in the correct 
	layer.

2005-12-22  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java:
	(ElementBuffer.insertContentTag): Get the attributes from the tag. 
	Return early if direction is JoinNextDirection but there is no next 
	Element.  
	(createDefaultRoot): Don't call createBranchElement here just 
	instantiate a new BranchElement.
	(insertUpdate): Removed unneeded fields newElement, newElement2.  When
	building the buffer ElementSpecs, no need to check each time if we 
	should join to the previous or next Element, just check the first and
	last ElementSpecs after the buffer has been completely built.

2005-12-22  Tom Tromey  <tromey@redhat.com>

	* .externalToolBuilders/ClasspathJar.launch: New file.
	* .project: Updated.

2005-12-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added focusInputMaps for
	Button, CheckBox, EditorPane, List, Slider, TabbedPane,
	ToggleButton, Tree. Also, removed TODO comments that
	dealt with icons. BasicLookAndFeel does not have icons.

2005-12-22  Mark Wielaard  <mark@klomp.org>

	* gnu/java/nio/charset/Provider.java (provider): Wrap initialization
	of standard provider in a PrivilegedAction.
	
2005-12-21  Lillian Angel  <langel@redhat.com>
	
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added focus input map for
	EditorPane. Removed keyBindings.
	* javax/swing/plaf/basic/BasicTextUI.java
	(createKeyMap): Added check to prevent NPE.

2005-12-21  Lillian Angel  <langel@redhat.com>

	PR classpath/25517
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added focus map for FormattedTextField. Mauve
	test updated for this.
	* javax/swing/plaf/basic/BasicTextUI.java
	(createKeyMap): Fixed to get key bindings from the input map. There
	is not .keyBindings default in BasicL&F (same with the JDK).
	(installKeyBoardActions): Removed unneeded code.	

2005-12-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Typo in mauve test. Reverted last patch.

2005-12-21  Mark Wielaard  <mark@klomp.org>

	* include/Makefile.am: Rename gnu_java_awt_peer_gtk_CairoGraphics.h
	to gnu_java_awt_peer_gtk_GdkGraphics2D.h.

2005-12-21  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* .project: Add ClasspathHeaders.launch.
	* .externalToolBuilders/Autogen.launch: Run automatically when
	Makefile.am or configure.ac is updated.
	* .externalToolBuilders/CompileNative.launch: Run automatically.
	* .externalToolBuilders/Configure.launch: Run automatically when
	top-level Makefile.in changes.
	* include/Makefile.am (CLASSDIR): New variable.  Replace lib
	references with $(CLASSDIR).
	* .externalToolBuilders/ClasspathHeaders.launch: New builder.

2005-12-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Fixed key binding for TextField.focusInputMap.

2005-12-21  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultEditorKit.java:
	(read): Changed the call to insertString to leave out the trailing
	new line.

2005-12-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/UIDefaults.java
	(createValue): Added check in. Bind might be an instance of KeyStroke.
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Changed key bindings for PasswordField, TextArea,
	TextPane, TextField to be instances of KeyStroke.
	* javax/swing/plaf/basic/BasicTextUI.java
	(installKeyBoardActions): Added call to replace textComponent's top-level
	action map to parentActionMap. Also, removed unneeded code.

2005-12-21  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java:
	(insertUpdate): If the AttributeSet argument is null use an empty 
	AttributeSet for comparisons. No need to create a new LeafElement to 
	compare AttributeSets (ie - remove the hack added yesterday).
	* javax/swing/text/StyleContext.java:
	(SmallAttributeSet.isEqual): Don't return false for null arguments, 
	this should throw an NPE instead.  Also, for performance, check that
	sizes are equal and one set contains the other, rather than checking 
	that each set contains the other.

2005-12-20  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added all key bindings for PasswordField
	focusInputMap.

2005-12-20  Lillian Angel  <langel@redhat.com>

	* javax/swing/UIDefaults.java:
	(LazyInputMap): InputMap should be an InputMapUIResource.
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added all key bindings for Text*.
	* javax/swing/plaf/basic/BasicTextUI.java
	(installKeyboardActions): Fixed call to replaceUIActionMap
	to create a new ActionMap from textComponent's actions. Prevents
	an infinite loop. Fixed loop to set the parentActionMap and the 
	parentInputMap.
	(ActionListenerProxy): Removed. No longer needed.
	(convertModifiers): Likewise.
	(creatActionMap): New function creates the action map to
	be installed on the text component.

2005-12-20  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Added focusInputMap added
	for PasswordField.
	* javax/swing/text/JTextComponent.java
	(allKeys): Fixed to prevent NPE.

2005-12-20  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initClassDefaults): Fixed typo.
	(initComponentDefaults): Removed keyBindings defaults for
	Text*. Added focusInputMap for Text*.
	* javax/swing/plaf/basic/BasicTextUI.java
	(installKeyBoardActions): Added code to load the focusInputMap
	and install all the actions for each key.
	(ActionListenerProxy): New class implemented.
	(converModifiers): New method to convert the modifiers.
	(getActionMap): Removed function. Not needed.
	(createActionMap): Likewise.
	* javax/swing/text/JTextComponent.java
	(JTextComponent): Removed code to load the keymap.

2005-12-20  Lillian Angel <langel@redhat.com>
	
	* javax/swing/text/DefaultEditorKit.java:
	Added implementation for beginLineAction and
	endLineAction.
	* javax/swing/text/JTextComponent.java
	(JTextComponent): Added key bindings for HOME and END.

2005-12-20  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(pathWasExpanded): Removed unneeded revalidate call.
	(pathWasCollapsed): Likewise.
	(installUI): Fixed to check for null root.
	(paint): Fixed to always update path.
	(toggleExpandState): Removed call to update path.
	(editingStopped): Likewise.
	(editingCanceled): Likewise.
	(treeStructureChanged): Likewise.
	(treeExpanded): Likewise.
	(treeCollapsed): Likewise.
	(treeNodesChanged): Likewise.	
	(treeNodesInserted): Likewise.
	(treeNodesRemoved): Likewise.
	(updateCurrentVisiblePath): Added check for null root. If root is null,
	nothing should be painted or in the path.
	* javax/swing/tree/DefaultTreeModel.java
	(setRoot): Root can be null.

2005-12-20  Anthony Balkissoon  <abalkiss@redhat.com>

	Fixes bug #25506
	* javax/swing/text/AbstractDocument.java:
	(insertString): Fire insert update whether the DocumentEvent was
	changed or not.

2005-12-20  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java:
	(ElementBuffer.insertContentTag): If the direction is 
	OriginateDirection split all the time, don't check the attribute sets.
	Removed the special case for the first insertion.  These cases should
	fall under the direction JoinPreviousDirection. Changed the comments to
	reflect this.
	(insertUpdate): Added a hack to get the right result when comparing
	the attributes of the new ElementSpec to the attributes of either
	the previous or next Element.

2005-12-19  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/CSSParser.java
	(CSSParser): Initialized tokenBuffer with some
	arbitrary size. This makes append much more efficent since
	a new array will not been created with each append.
	(append): Fixed append to create a new larger array if
	needed.
	(nextToken): Finished implemented. Should decrease the
	tokenBufferLength if an identifier was read. This way " and '
	are not added to the buffer.
	(parse): Implemented to call the appropriate parsing function
	based on parameter.
	(getNextStatement): Implemented.
	(parseAtRule): Added some helpful comments for implementing.
	(parseRuleSet): Likewise.
	(parseIdentifiers): Likewise.
	(readComment): Likewise.
	* javax/swing/text/html/StyleSheet.java
	(addRule): Implemented.
	(loadRules): Implemented.
	(importStyleSheet): Removed implementation for now. It causes
	a loop. Added FIXME
	(startRule): Implemented.
	(handleProperty): Implemented.
	(addSelector): Implemented.

2005-12-19  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/BlockView.java
	(getStyleSheet): Implemented.
	* javax/swing/text/html/CSSParser.java: New private class,
	partially implemented.
	* javax/swing/text/html/HTMLEditorKit.java
	(createDefaultDocument): Fixed to create HTMLDocument with
	default style sheet.
	(getStyleSheet): Fixed to initialize style sheet if null.
	* javax/swing/text/html/StyleSheet.java
	(CssParser): New private inner class, partially implemented.

2005-12-19  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java:
	(endOffset): New field.
	(ElementBuffer.insert): If length is 0 return early.  Set the endOffset
	variable here.
	(ElementBuffer.insertContentTag): Added special case for when insertion
	covers entire range of the current Element.  Replaced (offset + length)
	with endOffset everywhere.  Added checks to see if the insertion has 
	the same attributes as the surrounding Element(s), in which case we
	don't split them, we join them.
	(SectionElement.getName): Return the field SectionElementName instead 
	of hardcoding a return value.
	(getLogicalStyle): As the specs require, if the attributes from the 
	resolve parent aren't of type Style, return null.
	(setCharacterAttributes): Exit early if length is 0.  Obtain a 
	write lock for the body of this method.  Changed the way we iterate
	through the paragraphs to be more efficient and more intuitive.  Added
	AttributeUndoableEdits to the DocumentEvent and fired the 
	UndoableEditUpdate.
	(setLogicalStyle): Return early if the Element is null.  Obtain a write
	lock for the body of this method.  Fire the appropriate DocumentEvent.
	(setParagraphAttributes): Changed the way we iterated through the 
	paragraphs because it was incorrect and unintuitive.  Obtained a write
	lock within a try/finally block.  Added AttributeUndoableEdits to the 
	DocumentEvent and fired the event.
	(insertUpdate): Changed the way we iterate because we cannot assume 
	the Segment holds the characters starting from index 0.  Give the 
	startTag the same attributes as the paragraph.  Removed the useless
	offset += len line because len is 0.
	(printElements): New temporary debugging method.
	(attributeSetsAreSame): New method.

2005-12-19  Dalibor Topic  <robilad@kaffe.org>

	* native/fdlibm/mprec.h (DEBUG): Include stdlib.h for
	exit() prototype to fix compiler warning.

2005-12-19  Lillian Angel  <langel@redhat.com>
	
	* javax/swing/text/StyledEditorKit.java
	(createInputAttributes): Fixed. I made a mistake by
	changing this in my last fix. I have committed a mauve test
	to verify the set should be cleared first.
	* javax/swing/text/html/HTMLEditorKit
	(createInputAttributes): Set is cleared before adding
	new attributes.
	* javax/swing/text/html/HTMLDocument.java:
	Added names to authors.
	* javax/swing/text/html/default.css:
	Fixed indentation.

2005-12-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(paintBackground): Also fill background for unselected items here.
	(paintMenuItem): Call paintBackground() with the background
	parameter.

2005-12-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(findOverlapFreeParent): Fixed component lookup for painting.

2005-12-19  Roman Kennke  <kennke@aicas.com>

	PR classpath/24905
	* javax/swing/JViewport.java
	(paintSimple): Call paintComponent() before painting the child, so
	the background gets cleared correctly.

2005-12-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/MediaPrintableArea.java:
	Added and updated javadocs to class and methods.
	(x): Use int as type.
	(y): Likewise.
	(width): Likewise.
	(height): Likewise.
	(MediaPrintableArea): Convert values to micrometers.
	(MediaPrintableArea): Likewise.
	(getX): Convert return value into choosen units.
	(getY): Convert return value into choosen units.
	(getWidth): Convert return value into choosen units.
	(getHeight): Convert return value into choosen units.
	(equals): New overridden method.
	(toString): Likewise.
	(hashCode): Likewise.
	(toString): New method.
	(getPrintableArea): Likewise.

2005-12-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/Media.java (equals): 
	Reimplemented to allow future subclasses to behave correctly.

2005-12-19  Roman Kennke  <kennke@aicas.com>

	PR classpath/24195
	* javax/swing/text/DefaultStyledDocument.java
	(setParagraphAttributes): Obtain lock for this operation. Exit loop
	after last paragraph element.

2005-12-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(installListeners): Install focus listener only on editor.
	(configureArrowButton): Make arrow button not focusable.
	(setPopupVisible): Request focus for the combobox editor or comboBox,
	depending on whether the combobox is editable or not.
	* javax/swing/plaf/basic/BasicComboPopup.java
	(configureList): Make list not focusable.
	
2005-12-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/JobStateReasons.java: 
	Added and updated javadocs to class and methods.
	(JobStateReasons): New constructor.
	(JobStateReasons): Likewise.
	(JobStateReasons): Likewise.
	(JobStateReasons): Likewise.
	(add): New overridden method.
	* javax/print/attribute/standard/PrinterStateReasons.java:
	Added and updated javadocs to class and methods.
	(PrinterStateReasons): New constructor.
	(PrinterStateReasons): Likewise.
	(PrinterStateReasons): Likewise.
	(PrinterStateReasons): Likewise.
	(printerStateReasonSet): New method.
	(put): New overridden method.	

2005-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/external/classpath/lib/Makefile.am:
	Replaced $(top_distdir) with $(distdir)/.. to make sure
	that GNU Classpath's class library sources don't end up
	in the wrong location in kaffe's tarball.

2005-12-18  Nicolas Geoffray <nicolas.geoffray@menlina.com>

	* java/lang/Class.java (getModifiers): Only returns
	interesting bits. 

2005-12-18  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLParser.java: Various fixes post SAX conformance
	testing.

2005-12-18  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/JobOriginatingUserName.java,
	* javax/print/attribute/standard/RequestingUserName.java,
	* javax/print/attribute/standard/JobMessageFromOperator.java,
	* javax/print/attribute/standard/JobName.java,
	* javax/print/attribute/standard/OutputDeviceAssigned.java,
	* javax/print/attribute/standard/PrinterInfo.java,
	* javax/print/attribute/standard/PrinterLocation.java,
	* javax/print/attribute/standard/PrinterMakeAndModel.java,
	* javax/print/attribute/standard/PrinterMessageFromOperator.java,
	* javax/print/attribute/standard/DocumentName.java,
	* javax/print/attribute/standard/PrinterName.java:
	Added and updated javadocs to class and methods.

2005-12-17  Mark Wielaard  <mark@klomp.org>

	* native/fdlibm/Makefile.am (libfdlibm_la_SOURCES): Add namespace.h

2005-12-17  Mark Wielaard  <mark@klomp.org>

	* javax/swing/text/html/HTMLDocument.java (BlockElementgetName):
	Qualify NameAttribute as comming from StyleConstants.
	(RunElement.getName): Likewise.
	(getElement): Check whether grandChild element is null before
	returning it.

2005-12-17  Mark Wielaard  <mark@klomp.org>

	* javax/swing/text/html/HTMLDocument.java (flush): Qualify ElementSpec
	type comming from DefaultStyledDocument.
	(blockOpen): Likewise.
	(blockClose): Likewise.
	(addContent): Likewise.

2005-12-17  Mark Wielaard  <mark@klomp.org>

	* lib/copy-vmresources.sh.in: Use dot '.' for find after changing
	dir to target directory.

2005-12-17  Tom Tromey  <tromey@redhat.com>

	* java/io/File.java (File): Updated javadoc.

2005-12-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* native/fdlibm/namespace.h: Regenerated.

	* native/fdlibm/fdlibm.h
	(isnan): Define explicitly isnan if it is not a macro.

	* scripts/math_symbols: Removed isnan.
	
2005-12-17  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/CopiesSupported.java: 
	Added and updated javadocs to class and methods.
	(CopiesSupported): Throw IllegalArgumentException if 
	lowerBound is less than 1.
	(CopiesSupported): Throw IllegalArgumentException if member less than 1.
	(equals): New overridden method.
	* javax/print/attribute/standard/JobKOctetsSupported.java: 
	Added and updated javadocs to class and methods.
	(JobKOctetsSupported): Throw IllegalArgumentException if 
	lowerBound is less than 1.
	(equals): New overridden method.
	* javax/print/attribute/standard/JobImpressionsSupported.java: 
	Added and updated javadocs to class and methods.
	(JobImpressionsSupported): Throw IllegalArgumentException if 
	lowerBound is less than 1.
	(equals): New overridden method.
	* javax/print/attribute/standard/JobMediaSheetsSupported.java: 
	Added and updated javadocs to class and methods.
	(JobMediaSheetsSupported): Throw IllegalArgumentException if 
	lowerBound is less than 1.
	(equals): New overridden method.
	* javax/print/attribute/standard/PageRanges.java: 
	Added and updated javadocs to class and methods.
	(PageRanges): Throw IllegalArgumentException if member less than 1.
	(PageRanges): Throw IAE if lowerBound is less than 1.
	(PageRanges): Throw NPE if members is null.
	(PageRanges): New constructor.
	(equals): New overridden method.
	* javax/print/attribute/standard/NumberUpSupported.java: 
	Added and updated javadocs to class and methods.
	(NumberUpSupported): Throw IllegalArgumentException if member less than 1.
	(NumberUpSupported): Throw IAE if lowerbound less than 1.
	(NumberUpSupported): Throw NPE if members is null.
	(equals): New overridden method.
	* javax/print/attribute/standard/JobHoldUntil.java,
	* javax/print/attribute/standard/DateTimeAtProcessing.java,
	* javax/print/attribute/standard/DateTimeAtCompleted.java,
	* javax/print/attribute/standard/DateTimeAtCreation.java: 
	Added and updated javadocs to class and methods.
	* javax/print/attribute/standard/PrinterURI.java,
	* javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
	* javax/print/attribute/standard/PrinterMoreInfo.java,
	* javax/print/attribute/standard/Destination.java,
	* javax/print/attribute/standard/PrinterResolution.java: 
	Added and updated javadocs to class and methods.
	(equals): New overridden method.

2005-12-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/io/ObjectOutputStream.java
	(writeClassDescriptor): Use two argument constructor. Reduced line
	size.
	
2005-12-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(AudioAction): New inner class.
	(audioActionMap): New field.
	(getAudioActionMap): New method.
	(createAudioAction): New method.
	(playSound): New method.

2005-12-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(AccessibleJTable.getAccessibleRowAtIndex): New method.
	(AccessibleJTable.getAccessibleColumnAtIndex): New method.
	(AccessibleJTable.getAccessibleColumnAtIndex): New method.
	(surrendersFocusOnKeystroke): New field.
	(setSurrendersFocusOnKeystroke): New method.
	(getSurrendersFocusOnKeystroke): New method.

2005-12-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/SwingUtilities.java
	(processKeyBindings): New method. Processes keybindings for
	non-JComponent derived components.

2005-12-16  Keith Seitz  <keiths@redhat.com>

	* gnu/classpath/jdwp/event/EventManager.java (EventManager): Catch
	all JdwpExceptions when initializing the event table.
	(requestEvent): Update to allow throwing JdwpException from
	VMVirtualMachine methods.
	(deleteRequest): Likewise.
	(clearRequests): Likewise.
	* gnu/classpath/jdwp/Jdwp.java (notify): Catch exceptions
	from sendEvent and _enforceSuspendPolicy.
	(sendEvent): Do not catch IOException here.
	(_enforceSuspendPolicy): Update to allow throwing JdwpException
	from VMVirtualMachine methods.

2005-12-16  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/JobImpressionsCompleted.java:
	Added and updated javadocs to class and methods.
	(getName): Fixed name returned by this attribute class.
	* javax/print/attribute/standard/JobMediaSheetsCompleted.java,
	* javax/print/attribute/standard/JobKOctetsProcessed.java,
	* javax/print/attribute/standard/JobImpressions.java,
	* javax/print/attribute/standard/JobKOctets.java, 
	* javax/print/attribute/standard/JobMediaSheets.java,
	* javax/print/attribute/standard/NumberOfInterveningJobs.java,
	* javax/print/attribute/standard/JobPriority.java,
	* javax/print/attribute/standard/JobPrioritySupported.java,
	* javax/print/attribute/standard/NumberOfDocuments.java,
	* javax/print/attribute/standard/QueuedJobCount.java,
	* javax/print/attribute/standard/NumberUp.java,
	* javax/print/attribute/standard/PagesPerMinuteColor.java,
	* javax/print/attribute/standard/PagesPerMinute.java,
	* javax/print/attribute/standard/Copies.java: 
	Added and updated javadocs to class and methods.

2005-12-16  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/StyledEditorKit.java
	(createInputAttributes): This should copy the element
	attributes into the set, not clear out the set. Fixed
	to match the API spec.
	* javax/swing/text/html/HTMLEditorKit.java
	(getInputAttributes): Added API documentation. Fixed
	implementation. Combining all input attributes should
	not be done here.

2005-12-16  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLDocument.java
	(HTMLDocument): Fixed. The style sheet is initialized
	using HTMLEditorKit.
	(HTMLDocument): Fixed to call this with null as the 
	style sheet.
	* javax/swing/text/html/HTMLEditorKit.java:
	Added new fields.
	(LinkController): Calls super constructor.
	(InsertHTMLTextAction): Added comment.
	(actionPerformed): Partially implemented.
	(HTMLEditorKit): Fixed to initialize style sheet to
	default.css.
	(getParser): Fixed field name.
	(read): Added code to set base for document.
	(getContentType): Fixed to return field.
	(createInputAttributes): Partially implemented.
	(install): Added FIXME.
	(deinstall): set field to null.
	(getInputAttributes): Implemented.
	* javax/swing/text/html/StyleSheet.java
	(importStyleSheet): Partially implemented.
	* javax/swing/text/html/default.css: New file. Default style
	sheet for HTML.

2005-12-16  Guilhem Lavaux  <guilhem@kaffe.org>

	* native/fdlibm/mprec.h, native/fdlibm/fdlibm.h: Added the
	inclusion of namespace.h

	* native/fdlibm/namespace.h: New file.

	* scripts/build_mathnamespace, scripts/math_symbols: New files.

2005-12-16  Keith Seitz  <keiths@redhat.com>

	* vm/reference/gnu/classpath/jdwp/VMVirtualMachine.java
	(VMVirtualMachine): All methods now throw JdwpException.

2005-12-16  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/MediaSizeName.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): Implemented.
	(getEnumValueTable): Implemented.
	(stringTable): New field.
	(enumValueTable): New field.
	* javax/print/attribute/standard/MediaName.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): Implemented.
	(getEnumValueTable): Implemented.
	(stringTable): New field.
	(enumValueTable): New field.
	(NA_LETTER_WHITE): Fixed value of enum.
	(NA_LETTER_TRANSPARENT): Likewise.
	(ISO_A4_WHITE): Likewise.
	(ISO_A4_TRANSPARENT): Likewise.
	(serialVersionUID): New field.
	* javax/print/attribute/standard/Media.java: 
	Added and updated javadocs to class and methods.
	(equals): New overridden method.
	* javax/print/attribute/standard/MediaTray.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): Implemented.
	(getEnumValueTable): Implemented.
	(stringTable): New field.
	(enumValueTable): New field.
	(TOP): Fixed value of enum.
	(MIDDLE): Likewise.
	(BOTTOM): Likewise.
	(ENVELOPE): Likewise.
	(LARGE_CAPACITY): Likewise.
	(MAIN): Likewise.
	(SIDE): Likewise.
	(serialVersionUID): New field.
	* javax/print/attribute/standard/PrinterState.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	(IDLE): Fixed value of enum.
	(PROCESSING): Likewise.
	(STOPPED): Likewise.
	* javax/print/attribute/standard/JobState.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	(PENDING): Fixed value of enum.
	(PENDING_HELD): Likewise.
	(PROCESSING): Likewise.
	(PROCESSING_STOPPED): Likewise.
	(CANCELED): Likewise.
	(ABORTED): Likewise.
	(COMPLETED): Likewise.
	* javax/print/attribute/standard/SheetCollate.java,
	* javax/print/attribute/standard/PresentationDirection.java,
	* javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
	* javax/print/attribute/standard/PrinterStateReason.java,
	* javax/print/attribute/standard/JobStateReason.java,
	* javax/print/attribute/standard/JobSheets.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.

2005-12-16  Roman Kennke  <kennke@aicas.com>

	* native/jni/java-nio/java_nio.c
	Removed obsolete file.

2005-12-16  Tom Tromey  <tromey@redhat.com>

	* java/lang/Class.java (getPackage): Javadoc fix.

2005-12-16  Roman Kennke  <kennke@aicas.com>

	* native/jni/classpath/jcl.c:
	Only redefine __attribute__ if it's not already defined.

2005-12-16  Roman Kennke  <kennke@aicas.com>

	* java/net/DatagramSocket.java
	(DatagramSocket(SocketAddress)): Actually use the factory if one
	is installed.

2005-12-16  Tom Tromey  <tromey@redhat.com>

	* java/io/ObjectInputStream.java: Organized imports.

2005-12-15  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/PDLOverrideSupported.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	(ATTEMPTED): Fixed value of enum.
	* javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
	* javax/print/attribute/standard/Severity.java,
	* javax/print/attribute/standard/MultipleDocumentHandling.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.		
	* javax/print/attribute/standard/Fidelity.java:
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.	
	(getName): Use correct ipp attribute name.	
	* javax/print/attribute/standard/OrientationRequested.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(getOffset): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	* javax/print/attribute/standard/PrintQuality.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(getOffset): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	(DRAFT): Fixed value of enum.
	(NORMAL): Likewise.
	(HIGH): Likewise.
	* javax/print/attribute/standard/Finishings.java: 
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(getOffset): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	(NONE): Fixed value of enum.	
	(STAPLE): Likewise.
	(COVER): Likewise.
	(BIND): Likewise.
	(SADDLE_STITCH): Likewise.
	(EDGE_STITCH): Likewise.
	(STAPLE_TOP_LEFT): Likewise.
	(STAPLE_BOTTOM_LEFT): Likewise.
	(STAPLE_TOP_RIGHT): Likewise.
	(STAPLE_BOTTOM_RIGHT): Likewise.
	(EDGE_STITCH_LEFT): Likewise.
	(EDGE_STITCH_TOP): Likewise.
	(EDGE_STITCH_RIGHT): Likewise.
	(EDGE_STITCH_BOTTOM): Likewise.
	(STAPLE_DUAL_LEFT): Likewise.
	(STAPLE_DUAL_TOP): Likewise.
	(STAPLE_DUAL_RIGHT): Likewise.
	(STAPLE_DUAL_BOTTOM): Likewise.
	* javax/print/attribute/standard/Sides.java:
	Added and updated javadocs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	(DUPLEX): Fixed value of enum.
	(TUMBLE): Likewise.	

2005-12-15  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/AbstractDocument.java:
	(AbstractElement.getAttribute): If no attribute could be found in the 
	AttributeSet hierarchy, then try the Element hierarchy instead.

2005-12-15  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLDocument.java
	(HTMLDocument): Added a FIXME
	(create): Added stub.
	(createDefaultRoot): Likewise.
	(createLeafElement): Likewise.
	(createBranchElement): Likewise.
	(insertUpdate): Likewise.
	(setParagraphAttributes): Likewise.
	(fireChangedUpdate): Likewise.
	* javax/swing/text/html/HTMLEditorKit.java
	(LinkController): Removed FIXME
	(mouseClicked): Added comment
	(mouseDragged): Likewise.
	(mouseMoved): Likewise.
	(activateLink): Likewise.
	(insertAtBoundary): Likewise.
	(HTMLFactory): Added constructor.
	(HTMLEditorKit): Added FIXME to constructor.
	* javax/swing/text/html/StyleSheet.java
	(removeStyleSheet): Fixed implementation.

2005-12-15  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/BlockView.java
	(paint): Partially implemented.
	(getAttributes): Implemented.
	(getStyleSheet): Partially implemented.
	* javax/swing/text/html/HTMLDocument.java
	(HTMLDocument): New constructor, implemented.
	(HTMLDocument): Likewise.
	(HTMLDocument): Likewise.
	(getStyleSheet): Implemented.
	* javax/swing/text/html/HTMLEditorKit.java
	(insertHTML): Fixed indentation.
	(ParserCallback): Added comments for all methods in this
	inner class.
	(getStyleSheet): Implemented.
	(setStyleSheet): Implemented
	* javax/swing/text/html/StyleSheet: New class, partially 
	implemented.

2005-12-15  Caolan McNamara  <caolanm@redhat.com>

	PR classpath/25426:
	* gnu/xml/dom/DomNode.java (detach): Check whether current is
	already null.

2005-12-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/ViewportLayout.java
	(layoutContainer): Set width and height before adjusting the
	location. Only set view size to port size if the port is larger
	than the views preferredSize.

2005-12-15  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XMLInputFactoryImpl.java,
	  gnu/xml/stream/XMLParser.java: Permit setting extended properties
	  via factory interfaces; make base-aware a parameter.

2005-12-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(getPreferredSize): Protect the preferredSize field from
	modification by creating a new Dimension object from it
	before returning the value.

2005-12-15  Chris Burdess  <dog@gnu.org>

	Fixes bug classpath/24496:
	* java/util/Properties.java (loadFromXML): Use StAX instead of SAX
	  to populate properties.

2005-12-15  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/XMLParser.java: Report start-entity and end-entity
	  events; read text declaration for external entities;
	  handle XML namespace; handle xml:base; normalize CR/LF pairs
	  created as a result of mixed text and character entity references.

2005-12-14  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* java/lang/ClassLoader
	(defineClass(String,byte[],int,int,ProtectionDomain)):
	Calls VMClassLoader.defineClassWithTransformers instead
	of VMClassLoader.defineClass.
	* vm/reference/java/lang/VMClassLoader
	(defineClassWithTransformers): New method.
	(instrumenter): New Field. 

2005-12-14  Roman Kennke  <kennke@aicas.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(cached): New field.
	(parent): New field.
	(GdkGraphics(GdkGraphics)): Moved state-copy code to new method
	copyState().
	(create): Added re-use of old graphics.
	(nativeDispose): Renamed native dispose method to nativeDispose().
	(dispose): New non-native implementation used for caching.
	(finalize): Overridden to correctly dispose unused graphics.
	(copyState): New non-native method to correctly copy the non-native
	state.
	(nativeCopyState): Renamed native copyState method to
	nativeCopyState().
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(copyState): Renamed to nativeCopyState.
	(dispose): Renamed to nativeDispose.
	* include/gnu_java_awt_peer_gtk_GdkGraphics.h
	(copyState): Renamed to nativeCopyState.
	(dispose): Renamed to nativeDispose.

2005-12-14  Riccardo Mottola  <riccardo@kaffe.org>

	* native/fdlibm/ieeefp.h: Fixed detection of big endian on
	powerpc.

2005-12-14  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java:
	(insert): Put writeLock/writeUnlock combo in a try/finally block. Group
	all inserts together so that we can add the appropriate ElementEdit to
	the DocumentEvent.
	* javax/swing/text/html/HTMLDocument.java:
	(debug): New field.
	(print): New method. Changed all System.out.println calls to calls to 
	this method so that they can be turned on and off via the debug 
	variable.
	(HTMLReader.CharacterAction.start): Uncommented code that adds the 
	argument attributes to the current attributes.
	(HTMLReader.HeadAction): Changed superclass to BlockAction instead of
	TagAction.
	(HTMLReader.blockOpen): Implemented.
	(HTMLReader.blockClose): Implemented.
	(HTMLReader.addContent): Added calls to printBuffer so if the debug
	variable is true we can see what the buffer looks like before and
	after adding content.  Also put in the proper check so that we only 
	flush the buffer if we've buffered the appropriate number of elements
	first.
	(printBuffer): New method.

2005-12-14  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/XIncludeFilter.java: Fix event flow on fallback.
	* gnu/xml/stream/XMLParser.java: Don't pop namespace context until
	  after END_ELEMENT has been read; fix CDATA section detection.

2005-12-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/io/ObjectOutputStream.java
	(writeClassDescription): Throw an InvalidClassException if
	fields is INVALID_FIELDS.
	(lookup): Added some documentation.

	* java/io/ObjectStreamClass.java
	(setFields): Make fields as INVALID if we detect duplicate
	entries in serialPersistentFields.
	
2005-12-14  Roman Kennke  <kennke@aicas.com>

	Reported by Ingo Proetel <proetel@aicas.com>
	* java/awt/Container.java
	(visitChild): Use Graphics.hitClip() to check for clip bounds.
	Create a new Graphics before painting the child, this protects
	the current context from beeing irrevocably changed by the child
	component.

2005-12-14  Tom Tromey  <tromey@redhat.com>

	PR classpath/25389:
	* java/io/File.java (File): Throw IllegalArgumentException if URI is
	non-hierarchical.

2005-12-13  Tom Tromey  <tromey@redhat.com>

	* java/lang/instrument/ClassDefinition.java: Reformatted.
	* java/lang/instrument/UnmodifiableClassException.java: Reformatted.
	* java/lang/instrument/IllegalClassFormatException.java: Reformatted.

2005-12-13  Tom Tromey  <tromey@redhat.com>

	* java/lang/instrument/ClassDefinition.java (ClassDefinition): Now
	public.

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLEditorKit.java
	(getHTMLEditorKit): Fixed typo.

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLEditorKit.java
	(insertHTML): Fixed catching of exceptions.
	(getHTMLDocument): Likewise.
	(getHTMLEditorKit): Likewise.

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/AbstractAction.java:
	(putValue): Fixed check, should use .equals when comparing
	objects.
	* javax/swing/text/StyledEditorKit.java
	(UnderlineAction): Fixed name.
	(ItalicAction): Likewise.
	(BoldAction): Likewise.
	(getActions): Added more default actions.
	* javax/swing/text/html/HTMLDocument.java:
	Removed unneeded import statement.
	* javax/swing/text/html/HTMLEditorKit.java:
	Added new field
	(getActions): Fixed to use augmentList to combine
	the actions from the super class with the ones from
	this class.

2005-12-13  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/XIncludeFilter.java,
	  gnu/xml/stream/XMLStreamWriterImpl.java,
	  gnu/xml/stream/XMLParser.java: XInclude fixes.

2005-12-13  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/html/HTMLDocument.java:
	(HTMLReader.charAttr): Initialize this variable.
	(HTMLReader.parseBuffer): Initialize this variable.
	(HTMLReader.popDepth): New field.
	(HTMLReader.pushDepth): Likewise.
	(HTMLReader.offset): Likewise.
	(HTMLReader.insertTag): Likewise.
	(HTMLReader.insertTagEncountered): Likewise.
	(HTMLReader.BlockAction.start): Implemented.
	(HTMLReader.BlockAction.end): Implemented.
	(HTMLReader.CharacterAction.start): Implemented.
	(HTMLReader.CharacterAction.end): Implemented.
	(HTMLReader(int)): Call other constructor with default arguments.
	(HTMLReader(int, int, int, HTML.Tag)): Save the arguments.
	(HTMLReader.flush): Implemented.
	(HTMLReader.handleText): Implemented.
	(HTMLReader.addContent): Implemented.			

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLDocument.java
	(getElement): Implemented.
	(getElement): Implemented.
	(setInnerHTML): Added, not fully implemented.
	(setOuterHTML): Likewise.
	(insertBeforeStart): Likewise.
	(insertAfterStart): Likewise.
	(insertBeforeEnd): Likewise.
	(insertAfterEnd): Likewise.

2005-12-13  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/XIncludeFilter.java,
	  gnu/xml/stream/XMLInputFactoryImpl.java,
	  gnu/xml/stream/XMLParser.java: Addition of XInclude filter.

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLDocument.java
	(getReader): Implemented.
	(getReader): Implemented.

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLDocument.java
	(BlockElement.getName): Should use getAttribute because the API says
	that this function can return null.
	(RunElement): New class implemented.
	(RunElement.getName): Implemented.
	(RunElement.getResolvingParent): Implemented.

2005-12-13  Lillian Angel  <langel@redhat.com>

	* javax/swing/text/html/HTMLEditorKit.java
	(getHTMLDocument): Fixed implementation to catch exception.
	(getHTMLEditorKit): Likewise.
	(getElementsAt): Fixed to use recursion. Now all elements
	and all their children are added to the array, only using
	the default root element.
	(getElementsAt): New private helper function. Uses recursion.
	(elementCountToTag): Implemented.
	(findElementMatchingTag): Implemented.
	(parserCallback): Removed TODO comment. Nothing should be done here.
	All work for parser, is done in javax/swing/text/html/Parser.java
	and HTMLDocument.
	(flush): Likewise.
	(handleComment): Likewise.
	(handleEndOfLineString): Likewise.
	(handleEndTag): Likewise.
	(handleError): Likewise.
	(handleSimpleTag): Likewise.
	(handleStartTag): Likewise.
	(handleText): Likewise.
	(HTMLEditorKit): Implemented and added API documentation.
	(getParser): Fixed implementation to use a field to store the parser.
	(insertHTML): Implemented.
	(read): Implemented.
	(write): Partially implemented.
	(install): Added code to add the mouse listener.
	(deinstall): Added code to remove the mouse listener.
	(getActions): Modified FIXME comment.
	(getInputAttributes): Likewise.

2005-12-13  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/html/HTMLDocument.java:
	(tokenThreshold): New field.
	(parser): New field.
	(getParser): New API method.
	(setParser): New API method.
	(getTokenThreshold): New API method.
	(setTokenThreshold): New API method.
	(getReader(int, int, int, HTML.Tag)): New API method, not implemented.
	(HTMLReader): New API class, partially implemented.
	(HTMLReader.BlockAction): New API class, not implemented.
	(HTMLReader.CharacterAction): Likewise.
	(HTMLReader.FormAction): Likewise.
	(HTMLReader.HiddenAction): Likewise.
	(HTMLReader.IsindexAction): Likewise.
	(HTMLReader.ParagraphAction): Likewise.
	(HTMLReader.PreAction): Likewise.
	(HTMLReader.SpecialAction): Likewise.
	(HTMLReader.TagAction): New API class, implemented.
	* javax/swing/text/html/HTMLEditorKit.java:
	(createDefaultDocument): Set the parser for the new HTMLDocument.
	
2005-12-13  Mark Wielaard  <mark@klomp.org>

	* doc/hacking.texinfo: Add @bullet to all @itemize lists.

2005-12-13  Mark Wielaard  <mark@klomp.org>

	* doc/hacking.texinfo (Branches): Explain "broken" branches a bit
	more.

2005-12-12  Dalibor Topic  <robilad@kaffe.org>

	Fixes bug #25353
	* m4/acinclude.m4: Added JIKESWARNINGS makefile variable. 
	Only add +Pno-shadow to JIKESWARNINGS if not using jikes 1.19.
	* lib/Makefile.am: Use JIKESWARNINGS instead of explicitely
	listing the warnings.

2005-12-12  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/SAXParser.java,
	  gnu/xml/stream/SAXParserFactory.java,
	  gnu/xml/stream/XMLParser.java: SAX parser using StAX implementation.

2005-12-12  Gary Benson  <gbenson@redhat.com>

	* java/security/Security.java (setProperty): Spelling correction.
	* java/security/Security.java (setProperty): Allow null values.

2005-12-12  Roman Kennke  <kennke@aicas.com>

	* javax/swing/ViewportLayout.java
	(layoutContainer): Always check and adjust the size, not only when
	portSize >= view.minSize.

2005-12-12  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(getPreferredSize): Don't check for the minimumSize. According to
	a mauve test, this is not necessary.

2005-12-12  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/XMLInputFactoryImpl.java,
	  gnu/xml/stream/CRLFReader.java,
	  gnu/xml/stream/XMLInputStreamReader.java,
	  gnu/xml/stream/XMLParser.java: New StAX parser.

2005-12-11  Mark Wielaard  <mark@klomp.org>

	* doc/hacking.texinfo: Add section on branches.

2005-12-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* lib/copy-vmresources.sh.in: Added some '.' after find. 
	
2005-12-09  Tom Tromey  <tromey@redhat.com>

	* javax/print/attribute/standard/Chromaticity.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/ColorSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Compression.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Copies.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/CopiesSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/DateTimeAtCompleted.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/DateTimeAtCreation.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/DateTimeAtProcessing.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Destination.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/DocumentName.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Fidelity.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Finishings.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobHoldUntil.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobImpressions.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobImpressionsCompleted.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobImpressionsSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobKOctets.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobKOctetsProcessed.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobKOctetsSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobMediaSheets.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobMediaSheetsCompleted.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobMediaSheetsSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobMessageFromOperator.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobName.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobOriginatingUserName.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobPriority.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobPrioritySupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobSheets.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobState.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobStateReason.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/JobStateReasons.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Media.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/MediaPrintableArea.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/MediaSize.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/MultipleDocumentHandling.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/NumberOfDocuments.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/NumberOfInterveningJobs.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/NumberUp.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/NumberUpSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/OrientationRequested.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/OutputDeviceAssigned.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PDLOverrideSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PageRanges.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PagesPerMinute.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PagesPerMinuteColor.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PresentationDirection.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrintQuality.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterInfo.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterIsAcceptingJobs.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterLocation.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterMakeAndModel.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterMessageFromOperator.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterMoreInfo.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterMoreInfoManufacturer.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterName.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterResolution.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterState.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterStateReason.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterStateReasons.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/PrinterURI.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/QueuedJobCount.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/ReferenceUriSchemesSupported.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/RequestingUserName.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Severity.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/SheetCollate.java
	(getCategory): Genericized.
	* javax/print/attribute/standard/Sides.java
	(getCategory): Genericized.
	* javax/print/attribute/HashAttributeSet.java (get): Genericized.
	(remove): Likewise.
	* javax/print/attribute/Attribute.java (getCategory): Fixed return
	type.

2005-12-06  Anthony Balkissoon  <abalkiss@redhat.com> 

	* javax/swing/BoxLayout.java:
	(maximumLayoutSize): Add Insets to Dimension and then check for 
	overflow.

2005-12-06  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/GridBagLayout.java (ArrangeGrid): Use info rather than
	layoutInfo in the component for loop.  Cache layout information
	after resizing components.

2005-12-06  Anthony Balkissoon  <abalkiss@redhat.com>

	Fixes bug #25233
	* javax/swing/BoxLayout.java:
	(maximumLayoutSize): Don't add the Insets to the Dimension calculated 
	in checkTotalRequirements().

2005-12-06  Roman Kennke  <kennke@aicas.com>

	PR classpath/25256
	* java/awt/Container.java
	(LightweightDispatcher.acquireComponentForMouseEvent): Fixed
	the MOUSE_RELEASED flag and || conditional.

2005-12-06  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* java/lang/String.java (String): Better out-of-bounds and 
	overflow checks.

2005-12-06  Mark Wielaard  <mark@klomp.org>

	* javax/swing/LookAndFeel.java (toString): Include description and
	Class name.

2005-12-06  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/BorderLayout.java:
	(maximumLayoutSize): Don't calculate anything, just return a new 
	Dimension with Integer.MAX_VALUE for both dimensions.

2005-12-06  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(updateUI): Removed unneeded warning.

2005-12-06  Roman Kennke  <kennke@aicas.com>

	PR classpath/25256
	* java/awt/Container.java
	(LightweightDispatcher.acquireComponentForMouseEvent): When we
	receive a MOUSE_RELEASED then dispatch it to the same component
	that received the original MOUSE_PRESSED. This is needed for
	correct dragging behaviour.

2005-12-06  Roman Kennke  <kennke@aicas.com>

	* javax/swing/ViewportLayout.java
	(layoutContainer): Don't set the view to it's minimumSize when the
	port is larger than the view. Rather it should left at it's
	preferred size. Also, I added a comment explaining a possible bug
	in this method.

2005-12-06  Tom Tromey  <tromey@redhat.com>

	* javax/security/auth/Subject.java (Subject): Genericized.
	(getPrincipals): Likewise.
	(getPrivateCredentials): Likewise.
	(getPublicCredentials): Likewise.
	(getPublicCredentials): Likewise.

2005-12-06  Tom Tromey  <tromey@redhat.com>

	* javax/imageio/ImageIO.java (ImageReaderIterator): Genericized.
	Added new constructor.
	(ImageWriterIterator): Likewise.
	(getReadersByFilter): Genericized.
	(getWritersByFilter): Likewise.
	(getImageReadersBySuffix): Likewise.
	(getImageWriters): Likewise.
	(hasNext): Likewise.
	* javax/print/attribute/AttributeSetUtilities.java
	(verifyAttributeCategory): Genericized.
	(verifyAttributeValue): Likewise.
	(verifyCategoryForValue): Likewise.
	* javax/print/attribute/AttributeSet.java (containsKey): Genericized.
	(get): Likewise.
	(remove): Likewise.
	* javax/print/attribute/Attribute.java (getCategory): Genericized.
	* javax/print/attribute/HashAttributeSet.java (HashAttributeSet):
	Genericized.
	(containsKey): Likewise.
	* javax/imageio/spi/ServiceRegistry.java (deregisterAll):
	Genericized.
	* javax/imageio/spi/IIOServiceProvider.java (onDeregistration):
	Genericized.
	(onRegistration): Likewise.
	* javax/imageio/metadata/IIOMetadataFormatImpl.java (getObjectClass):
	Genericized.
	(getObjectMaxValue): Likewise.
	(getObjectMinValue): Likewise.
	* javax/imageio/ImageIO.java (getImageReadersBySuffix): Genericized.
	(getImageWriters): Likewise.

2005-12-05  Casey Marshall <csm@gnu.org>

	* native/jni/classpath/jcl.h (environ): define, or declare
	'extern.'
	* native/jni/java-lang/java_lang_VMProcess.c: include <jcl.h>.
	Remove 'extern' define.
	* native/jni/java-lang/java_lang_VMSystem.c
	(Java_java_lang_VMSystem_environ): don't declare 'environ.'

2005-12-05  Tom Tromey  <tromey@redhat.com>

	* java/lang/instrument/Instrumentation.java (redefineClasses): Javadoc
	fix.
	* java/lang/instrument/ClassFileTransformer.java (transform): Javadoc
	fix.

2005-12-04  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* vm/reference/java/lang/VMInstrumentationImpl.java
	(redefineClasses): Added an extra parameter of type
	java.lang.instrument.Instrument.
	* java/lang/InstrumentationImpl.java
	(redefineClasses): Added the Instrumentation object
	to the arguments of VMInstrumentationImpl.redefineClasses
	call. 

2005-12-05  Mark Wielaard  <mark@klomp.org>

	Fixes bug classpath/25257
	* lib/Makefile.am (FOUND_ECJ): Remove -warn typeHiding, unchecked and
	varargsCast flags for non-generic code.

2005-12-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/net/URL.java (URL): Check whether context is null before
	accessing ph.

2005-12-04  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* doc/vmintegration.texinfo: Added subsection in the classpath
	hooks for the java.lang.VMInstrumentationImpl class.

2005-12-04  Mark Wielaard  <mark@klomp.org>

	* javax/swing/TransferHandler
	(TransferAction.actionPerformed): Beep and return when clipboard
	is null.
	(getClipboard): Return null when access denied.
	(clipboard): Removed static field.

2005-12-03  Nicolas Geoffray  <nicolas.geoffray@menlina.com>
	
	* java/lang/instrument: New directory.
	* java/lang/instrument/ClassDefinition.java:
	New file.
	* java/lang/instrument/ClassFileTransformer.java:
	New file.
	* java/lang/instrument/IllegalClassFormatException.java:
	New file.
	* java/lang/instrument/Instrumentation.java:
	New file.
	* java/lang/instrument/UnmodifiableClassException.java:
	New file.
	* java/lang/InstrumentationImpl.java:
	New file.
	* vm/reference/java/lang/VMInstrumentationImpl.java:
	New file. 

2005-12-03  Mark Wielaard  <mark@klomp.org>

	* configure.ac (AC_CONFIG_FILES): Removed
	native/jni/sampled-jack/Makefile.
	(AC_ARG_ENABLE [jack]): Removed.

2005-12-02  Tom Tromey  <tromey@redhat.com>

	* javax/sound/sampled/Port.java (Info): Genericized.
	* javax/sound/sampled/Line.java (Info): Genericized.
	(getLineClass): Likewise.
	* javax/sound/sampled/DataLine.java (Info): Genericized.
	* javax/sound/sampled/AudioFormat.java (AudioFormat): Genericized.
	(properties): Likewise.
	* javax/sound/sampled/AudioFileFormat.java (AudioFileFormat):
	Genericized.
	(properties): Likewise.

2005-12-02  Tom Tromey  <tromey@redhat.com>

	* javax/naming/directory/InitialDirContext.java (search): Genericized.
	* javax/naming/directory/BasicAttributes.java (getAll): Genericized.
	(getIDs): Likewise.
	* javax/naming/directory/BasicAttribute.java (getAll): Fixed return
	type.
	* javax/naming/InitialContext.java: Genericized.
	(list): Likewise.
	(listBindings): Likewise.
	* javax/naming/CompoundName.java (getAll): Genericized.
	* javax/naming/CompositeName.java (getAll): Genericized.

2005-12-02  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/InternationalFormatter.java:
	(valueToString): If argument is null return empty String.

2005-12-02  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JFormattedTextField.java: Added docs all over.
	(AbstractFormatter.clone): Implemented.
	(AbstractFormatter.getActions): Implemented.
	(AbstractFormatter.getDocumentFilter): Implemented.
	(AbstractFormatter.getNavigationFilter): Implemented.
	(AbstractFormatter.install): Install the DocumentFilter and 
	NavigationFilter.  Properly catch ParseException.  Added FIXME to add
	custom Actions to the JFormattedTextField.
	(AbstractFormatter.uninstall): Remove the DocumentFilter and 
	NavigationFilter.  Added FIXME to remove the custom Actions.
	(JFormattedTextField(AbstractFormatter)): Call the single argument
	constructor that takes in an AbstractFormatterFactory.  This avoids a 
	call to setValue that shouldn't occur.
	(JFormattedTextField(AbstractFormatterFactory): Call 
	setFormatterFactory instead of calling the 2-argument constructor which
	would also make an unwanted call to setValue.
	(JFormattedTextField(AbstractFormatterFactory, Object)): Switch the 
	order of the calls to setValue and setFormatterFactory.  This ensures
	that the passed in factory is actually the one used, not one generated
	by setValue.
	(commitEdit): Implemented.
	(setFormatter): Removed incorrect early escape if the parameter is the 
	same as the current formatter.  
	(setFormatterFactory): If formatterFactory is null set the formatter to
	null as	well.
	(setValue): Don't set the text here, this is done when we call 
	setFormatter and it calls AbstractFormatter.install.  Create a 
	formatter factory if one doesn't exist already. Call setFormatter to
	get an appropriate formatter from the factory.
	(createFormatter): Changed this to createFormatterFactory because we
	should return a factory, not just a formatter.
	(createFormatterFactory): New method adapted from createFormatter.

2005-12-01  Tom Tromey  <tromey@redhat.com>

	* javax/imageio/spi/RegisterableService.java (onRegistration):
	Genericized.
	(onDeregistration): Likewise.
	* javax/imageio/spi/ServiceRegistry.java (ServiceRegistry):
	Genericized.
	(deregisterServiceProvider): Likewise.
	(getCategories): Likewise.
	(getServiceProviderByClass): Likewise.
	(getServiceProviders): Likewise.
	(lookupProviders): Likewise.
	(registerServiceProvider): Likewise.
	(registerServiceProviders): Likewise.
	(setOrdering): Likewise.
	(unsetOrdering): Likewise.
	* javax/imageio/spi/ImageOutputStreamSpi.java (outputClass):
	Genericized.
	(ImageOutputStreamSpi): Likewise.
	(getOutputClass): Likewise.
	* javax/imageio/spi/ImageInputStreamSpi.java (inputClass):
	Genericized.
	(ImageInputStreamSpi): Likewise.
	(getInputClass): Likewise.
	* javax/imageio/metadata/IIOMetadataFormatImpl.java (addAttribute):
	Genericized.
	(addObjectValue): Likewise.
	* javax/imageio/metadata/IIOMetadataFormat.java (getObjectClass):
	Genericized.
	(getObjectMaxValue): Likewise.
	(getObjectMinValue): Likewise.
	* javax/imageio/ImageIO.java (getImageReaders): Genericized.
	(getImageReadersByFormatName): Likewise.
	(getImageReadersByMIMEType): Likewise.
	(getImageTranscoders): Likewise.
	(getImageWritersByFormatName): Likewise.
	(getImageWritersByMIMEType): Likewise.
	(getImageWritersBySuffix): Likewise.
	(getImageReader): Use getOriginatingProvider.
	(getImageWriter): Likewise.
	* javax/imageio/ImageWriter.java (progressListeners): Genericized.
	(warningListeners): Likewise.
	(warningLocales): Likewise.
	(prepareInsertEmpty): Likewise.
	(prepareWriteEmpty): Likewise.
	* javax/imageio/ImageReader.java (progressListeners): Genericized.
	(updateListeners): Likewise.
	(warningListeners): Likewise.
	(warningLocales): Likewise.
	(getDestination): Likewise.
	(getImageMetadata): Likewise.
	(getImageTypes): Likewise.
	(getStreamMetadata): Likewise.
	(readAll): Likewise.
	* javax/imageio/IIOImage.java (IIOImage): Genericized.
	(thumbnails): Likewise.
	(getThumbnails): Likewise.
	(setThumbnails): Likewise.

2005-12-01  Anthony Green  <green@redhat.com>

        PR bootstrap/25207
	* configure.ac: Make sure we have an alsa library in addition to
        the headers.  This extra test is required for systems with
        multilibs.

2005-11-30  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JFormattedTextField.java:
	(AbstractFormatter.install): Try to set the text of the formatted text
	field using this formatter.
	(FormatterFactoryWrapper): Removed this unneeded class, this is handled
	by DefaultFormatterFactory now.
	(formatter): New field.
	(JFormattedTextField(Format)): Implemented.
	(JFormattedTextField(AbstractFormatter)): Instantiate a 
	DefaultFormatterFactory instead of a FormatterFactoryWrapper.
	(JFormattedTextField(AbstractFormatterFactory, Object)): Call setValue
	and setFormatterFactory instead of setting variables directly because
	more needs to be done than just setting the value of the variables.
	(JFormattedTextField(Object value)): Call setValue instead of setting 
	the variable directly.
	(getAppropriateFormatterFactory): New implementation method.
	(getFormatter): Don't use the formatter factory here, just return 
	the cached formatter.
	(processFocusEvent): Set the formatter to the appropriate one as 
	determined by the formatter factory.
	(setFormatter): Don't get the old formatter from the factory, just use
	the cached formatter.  Uninstall the old formatter. Install the new
	formatter. Cache the new formatter.  Don't create a new formatter
	factory.
	(setFormatterFactory): Set the formatter according to the new formatter
	factory.
	(setValue): Moved the setting of the value variable to above the call
	to createFormatter so that an appropriate formatter is created.  Cache
	the formatter that is created.
	(createFormatter): If argument is a Number, use a NumberFormatter.
	* javax/swing/text/DefaultFormatter.java:
	(valueToString): If argument is null return empty String.

2005-11-30  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicFileChooserUI.java
	(actionPerformed): Added check to determine if 
	parentPath is null.
	(actionPerformed): Set selected file and files to null
	if 'cancel' was clicked.
	(mouseClicked): Cleaned up code a bit and set the selected
	files if multi-selection is enabled. Also, added code to 
	set the file name in the text field if the selection mode
	is DIRECTORIES_ONLY.
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(actionPerformed): No need to set fileListPanel, it is
	set in createList.
	(actionPerformed): Likewise.
	(propertyChange): If the dialog type is SAVE, then the
	approve button text should change depending on what
	is currently selected. It should say 'Open', if a 
	directory is currently selected.
	(actionPerformed): Fixed check.
	(mouseClicked): Added code to set the file name in 
	the text field if the selection mode
	is DIRECTORIES_ONLY.
	(editFile): Adjusted y position of editing text field in table.
	(installListeners): Added code to initially install listeners 
	to the list.
	(createList): Cleaned up and made more efficent.
	(createDetailsView): No need to set intercellSpacing.
	(updateTable): Cleaned up and made more efficent.
	
2005-11-30  Anthony Balkissoon  <abalkiss@redhat.com>

	Fixes bug #25165
	* java/awt/Component.java:
	(processFocusEvent): Don't check if focus opposite is the same as the
	receiving Component, this is now done in dispatchEventImpl.
	(dispatchEventImpl): Don't dispatch FocusEvents whose opposite 
	Components are the same.

2005-11-30  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/standard/Compression.java: 
	Added java docs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	* javax/print/attribute/standard/ColorSupported.java: 
	Added java docs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.
	* javax/print/attribute/standard/Chromaticity.java: 
	Added java docs to class and methods.
	(getStringTable): New overridden method.
	(getEnumValueTable): New overridden method.
	(stringTable): New field.
	(enumValueTable): New field.

2005-11-30  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/Component.java:
	(processFocusEvent): Don't dispatch events if the focus opposite is the
	same as the receiving Component.

2005-11-30  Robert Schuster  <robertschuster@fsfe.org>

	* java/beans/PropertyChangeSupport.java:
	(fireIndexedPropertyChange): Completed statement.

2005-11-30  Robert Schuster  <robertschuster@fsfe.org>

	* java/beans/PropertyChangeSupport.java:
	(fireIndexedPropertyChange): Removed argument checking.

2005-11-30  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/SystemFlavorMap.java
	(isJavaMIMEType): implemented.
	(GNU_JAVA_MIME_PREFIX): added constant.
	(decodeJavaMIMEType): implemented.
	(encodeJavaMIMEType): implemented.
	(encodeDataFlavor): implemented.

2005-11-30  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/SystemFlavorMap.java
	Some minor codestyle fixes.
	(nativeToFlavorMap): removed generalization.
	(flavorToNativeMap): likewise.

2005-11-29  Tom Tromey  <tromey@redhat.com>

	* javax/swing/text/StyleContext.java (removeAttributes): Genericized.
	(getAttributeNames): Likewise.
	* javax/swing/text/SimpleAttributeSet.java (getAttributeNames):
	Genericized.
	(removeAttributes): Likewise.
	* javax/swing/text/DefaultStyledDocument.java (getStyleNames):
	Genericized.
	* javax/swing/text/AbstractDocument.java (getAttributeNames):
	Genericized.
	(removeAttributes): Likewise.
	* javax/swing/table/TableColumnModel.java (getColumns): Genericized.
	* javax/swing/table/AbstractTableModel.java (getColumnClass):
	Genericized.
	* javax/swing/tree/VariableHeightLayoutCache.java
	(getVisiblePathsFrom): Genericized.
	* javax/swing/tree/FixedHeightLayoutCache.java (getVisiblePathsFrom):
	Genericized.
	* javax/swing/undo/StateEdit.java (postState): Genericized.
	(preState): Likewise.
	* javax/security/sasl/SaslServerFactory.java (createSaslServer):
	Genericized.
	* javax/security/sasl/SaslClientFactory.java (createSaslClient):
	Genericized.
	(getMechanismNames): Likewise.
	* javax/security/sasl/Sasl.java (createSaslClient): Genericized.
	(createSaslServer): Likewise.
	(getSaslClientFactories): Likewise.
	(getSaslServerFactories): Likewise.
	* javax/security/auth/spi/LoginModule.java (initialize): Genericized.
	* javax/security/auth/login/AppConfigurationEntry.java
	(AppConfigurationEntry): Genericized.
	(getOptions): Likewise.
	* javax/sql/RowSet.java (getTypeMap): Genericized.
	(setTypeMap): Likewise.
	* java/sql/Array.java (getResultSet): Genericized.
	* java/security/cert/X509CertSelector.java (getExtendedKeyUsage):
	Genericized.
	* java/security/Permissions.java (elements): Genericized.
	* java/rmi/server/RMIClassLoader.java (loadClass): Genericized.

2005-11-29  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(actionPerformed): Changed to update list with all 
	selected intervals, and to use fileTablePanel instead.
	(actionPerformed): Likewise.
	(propertyChange): Changed to use addSelectionInterval
	instead of setSelectionInterval.
	(uninstallComponents): Uninstalled fileTablePanel.
	(installListeners): Moved code to createList, so listeners
	are installed for every list that may be created.
	(createList): Added code to remove and install listeners on
	list.
	(createDetailsView): Changed to use own panel. Also, added
	code to set the selection mode.

2005-11-29  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(mouseClicked): Fixed checks to prevent NPE.

2005-11-29  Lillian Angel  <langel@redhat.com>

	* javax/swing/JViewport.java
	(setView): Added check to prevent NPE.
	* javax/swing/plaf/basic/BasicFileChooserUI.java
	(ListLabelRenderer): Removed class, never used.
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(DetailTableModel): Removed, not needed.
	(TableFileRenderer): Implemented to override some color
	and icon defaults in the default table renderer.
	(actionPerformed): Set selection in list, if something was
	selected in the table.
	(actionPerformed): Set selection in table, if something was
	selected in the list.
	(propertyChange): Added code to set the selection for the table, 
	as well as the list. This depends on what view we are in.
	(editFile): Fixed to call scrollRectToVisible instead.
	(TableClickListener): Implemented new private class to take
	care of double clicking (changing/opening directories/files)
	and single clicking (editing).
	(TableClickListener.mouseClicked): Implemented
	(TableClickListener.editFile): Implemented
	(TableClickListener.completeEditing): Implemented
	(TableClickListener.EditingActionListener): Implemented
	(TableClickListener.closeDialog): Implemented
	(installListeners): Added code to initialize listener fields.
	(uninstallListeners): Added code to uninstall all listeners.
	(createList): Changed to use scrollPane field.
	(createDetailsView): Changed to use updateTable function. Set
	some characteristics for the table: column selection, renderer,
	listener etc.
	(updateTable): Implemented to changed/add/remove rows from the
	table, as needed.
	(removeControlButtons): Added repaint, revalidate calls.
	(ensureFileIsVisible): Removed. Does the same thing as super.
	(rescanCurrentDirectory): Added check for different views.
	(setDirectorySelected): Removed. Does the same thing as super.
	(getDirectoryName): Removed. Does the same thing as super.
	(setDirectoryName): Removed. Does the same thing as super.
	(valueChanged): Changed comment.

2005-11-29  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultFormatterFactory.java: New class.

2005-11-29  Tom Tromey  <tromey@redhat.com>

	PR classpath/25141:
	* java/net/URL.java (URL): Use context's stream handler.

2005-11-29  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/SystemFlavorMap.java
	(nativeToFlavorMap): added field.
	(flavorToNativeMap): added field.
	(addFlavorForUnencodedNative): added method.
	(setNativesForFlavor): added method.
	(addUnencodedNativeForFlavor): added method.
	(setFlavorsForNative): added method.

2005-11-28  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(DetailTableModel): New Class implemented to override selected
	methods in DefaultTableModel. More methods will be added later.
	(ListViewActionListener): New class implemented. 
	(DetailViewActionListener): New class implemented.
	(completeEditing): Set boolean to false.
	(mouseClicked): Added check to make sure editing only starts when
	left mouse button is clicked.
	(editFile): Set boolean to true.
	(actionPerformed): Set boolean to false.
	(createList): Commented out wrap code until JList bug is fixed.
	(createActionMap): Added action for cancelSelection.
	(createDetailsView): Partially implemented to display details view
	table. 
	(formatSize): Private function added to convert bytes to an
	appropriate size String for the table.
	(getPreferredSize): Implemented.
	(getMinimumSize): Implemented.
	(addControlButtons): Added action listeners for detailButton and
	listButton.
	(setDirectorySelected): Added API documentation.
	(getDirectoryName): Likewise.
	(setDirectoryName): Likewise.
	(valueChanged): Likewise.

2005-11-28  Lillian Angel  <langel@redhat.com>

	* javax/swing/JList.java
	(init): Layout should not be set to FlowLayout. JDK sets it to null.
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(mouseClicked): Changed to call completeEditing when double-clicked.
	(editFile): Fixed to add an action listener to the editing field.
	Editing	for filechooser now works.
	(completeEditing): Fixed renaming to create a new file object and
	rescan the directory if renaming was successful. Added code to cancel
	editing as well.
	(EditingActionListener): New class to listen for notify action and
	to complete editing when enter is pressed. Otherwise, editing is
	cancelled.
	* javax/swing/plaf/metal/MetalSplitPaneDivider.java
	(MetalDividerLayout): Changed to public.
	(MetalDividerLayout.init): Likewise.

2005-11-27  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* java/util/logging/XMLFormatter.java (format): Don't call 
	getMillis() twice.

2005-11-27  Tom Tromey  <tromey@redhat.com>

	* javax/print/attribute/standard/PrinterStateReasons.java:
	Genericized.
	* javax/print/attribute/standard/JobStateReasons.java: Genericized.
	* javax/print/PrintService.java (getAttribute): Genericized.
	(getDefaultAttributeValue): Likewise.
	(getSupportedAttributeCategories): Likewise.
	(getSupportedAttributeValues): Likewise.
	(isAttributeValueSupported): Likewise.

2005-11-27  Tom Tromey  <tromey@redhat.com>

	* javax/naming/spi/StateFactory.java (getStateToBind): Genericized.
	* javax/naming/spi/Resolver.java (resolveToClass): Genericized.
	* javax/naming/spi/ObjectFactoryBuilder.java (createObjectFactory):
	Genericized.
	* javax/naming/spi/NamingManager.java (getInitialContext):
	Genericized.
	(getURLContext): Likewise.
	(getObjectInstance): Likewise.
	(getStateToBind): Likewise.
	* javax/naming/spi/InitialContextFactoryBuilder.java
	(createInitialContextFactory): Genericized.
	* javax/naming/spi/InitialContextFactory.java (getInitialContext):
	Genericized.
	* javax/naming/spi/DirectoryManager.java (getObjectInstance):
	Genericized.
	(getStateToBind): Likewise.
	* javax/naming/spi/DirStateFactory.java (getStateToBind):
	Genericized.
	* javax/naming/spi/ObjectFactory.java (getObjectInstance):
	Genericized.
	* javax/naming/spi/DirObjectFactory.java (getObjectInstance):
	Genericized.
	* javax/naming/ldap/LdapReferralException.java (getReferralContext):
	Genericized.
	* javax/naming/ldap/ControlFactory.java (getControlInstance):
	Genericized.
	* javax/naming/ldap/InitialLdapContext.java (InitialLdapContext):
	Genericized.
	* javax/naming/directory/DirContext.java (search): Genericized.
	* javax/naming/directory/Attributes.java (getAll): Genericized.
	(getIDs): Likewise.
	* javax/naming/directory/Attribute.java (getAll): Genericized.
	* javax/naming/directory/BasicAttribute.java (values): Genericized.
	(getAll): Likewise.
	* javax/naming/directory/InitialDirContext.java (InitialDirContext):
	Genericized.
	* javax/naming/ReferralException.java (getReferralContext):
	Genericized.
	* javax/naming/Name.java (getAll): Genericized.
	* javax/naming/Context.java (getEnvironment): Genericized.
	(list): Likewise.
	(listBindings): Likewise.
	* javax/naming/NamingEnumeration.java: Genericized.
	(next): Likewise.
	* javax/naming/Reference.java (addrs): Genericized.
	(getAll): Likewise.
	* javax/naming/CannotProceedException.java (environment): Genericized.
	(getEnvironment): Likewise.
	(setEnvironment): Likewise.
	* javax/naming/InitialContext.java (myProps): Genericized.
	(InitialContext): Likewise.
	(init): Likewise.
	* javax/naming/CompoundName.java (CompoundName): Genericized.
	* javax/naming/CompositeName.java (CompositeName): Genericized.

2005-11-27  Tom Tromey  <tromey@redhat.com>

	* java/sql/Struct.java (getAttributes): Genericized.
	* java/sql/ResultSet.java (getObject): Genericized.
	* java/sql/Ref.java (getObject): Genericized.
	* java/sql/DriverManager.java (getDrivers): Genericized.
	* java/sql/Connection.java (getTypeMap): Genericized.
	(setTypeMap): Likewise.
	* java/sql/CallableStatement.java (getObject): Genericized.
	(getObject): Likewise.
	* java/sql/Array.java (getBaseTypeName): Fixed javadoc.
	(getArray): Likewise.
	(getResultSet): Likewise.
	(getResultSet): Likewise.
	(getArray): Genericized.
	(getResultSet): Likewise.

2005-11-27  Tom Tromey  <tromey@redhat.com>

	* java/beans/PropertyChangeSupport.java (fireIndexedPropertyChange):
	New methods.
	* java/beans/IndexedPropertyChangeEvent.java: New file.

2005-11-26  Tom Tromey  <tromey@redhat.com>

	* java/lang/StackTraceElement.java (StackTraceElement): New
	constructor.

2005-11-25  Tom Tromey  <tromey@redhat.com>

	* javax/swing/text/StyleContext.java (getStyleNames): Genericized.
	* javax/swing/text/MutableAttributeSet.java (removeAttributes):
	Genericized.
	* javax/swing/text/DefaultFormatter.java (getValueClass): Genericized.
	(setValueClass): Likewise.
	* javax/swing/text/AttributeSet.java (getAttributeNames): Genericized.
	* javax/swing/text/AbstractDocument.java (getDocumentProperties):
	Genericized.
	(setDocumentProperties): Likewise.
	(removeAttributes): Likewise.
	* javax/swing/SwingUtilities.java (getAncestorOfClass): Genericized.
	* javax/swing/LookAndFeel.java (makeIcon): Genericized.
	* javax/swing/JTable.java (getColumnClass): Genericized.
	(getDefaultRenderer): Likewise.
	(setDefaultRenderer): Likewise.
	(getDefaultEditor): Likewise.
	(setDefaultEditor): Likewise.
	* javax/swing/JLayeredPane.java (getComponentToLayer): Genericized.
	* javax/swing/DefaultListModel.java (elements): Genericized.
	* javax/swing/ButtonGroup.java (buttons): Genericized.
	(getElements): Likewise.
	* javax/swing/SpinnerListModel.java (SpinnerListModel): Genericized.
	(getList): Likewise.
	(setList): Likewise.
	* javax/swing/SortingFocusTraversalPolicy.java
	(SortingFocusTraversalPolicy): Genericized.
	(getComparator): Likewise.
	(setComparator): Likewise.
	* javax/swing/JTree.java (JTree): Genericized.
	(getDescendantToggledPaths): Likewise.
	(getExpandedDescendants): Likewise.
	(removeDescendantToggledPaths): Likewise.
	* javax/swing/JList.java (JList): Genericized.
	Likewise.
	* javax/swing/JComboBox.java (JComboBox): Genericized.
	* javax/swing/DefaultComboBoxModel.java (DefaultComboBoxModel):
	Genericized.
	* javax/swing/UIDefaults.java: Genericized superclass.
	(getUIClass): Likewise.
	* javax/swing/event/EventListenerList.java (getListenerCount):
	Genericized.
	* javax/swing/plaf/basic/BasicDirectoryModel.java (getDirectories):
	Genericized.
	(getFiles): Likewise.
	(sort): Likewise.
	* javax/swing/plaf/basic/BasicTreeUI.java (drawingCache): Genericized.
	* javax/swing/plaf/basic/BasicFileChooserUI.java (iconCache):
	Genericized.
	* javax/swing/table/TableModel.java (getColumnClass): Genericized.
	* javax/swing/table/DefaultTableColumnModel.java (tableColumns):
	Genericized.
	(getColumns): Likewise.
	(moveColumn): Updated.
	* javax/swing/text/html/parser/ContentModel.java (getElements):
	Genericized.
	* javax/swing/text/html/parser/DTD.java (entityHash): Fixed type.
	* javax/swing/text/html/parser/AttributeList.java (AttributeList):
	Genericized.
	(values): Likewise.
	(getValues): Likewise.
	* javax/swing/tree/AbstractLayoutCache.java (getVisiblePathsFrom):
	Genericized.
	* javax/swing/tree/DefaultMutableTreeNode.java (EMPTY_ENUMERATION):
	Genericized.
	* javax/swing/undo/StateEditable.java (restoreState): Genericized.
	(storeState): Likewise.

2005-11-25  Tom Tromey  <tromey@redhat.com>

	* java/rmi/server/RMIClassLoaderSpi.java (loadClass): Genericized.
	(loadProxyClass): Likewise.
	(getClassAnnotation): Likewise.
	* java/rmi/server/RMIClassLoader.java (loadClass): Genericized.
	(getClassAnnotation): Likewise.
	* java/rmi/server/LoaderHandler.java (loadClass): Genericized.

2005-11-25  Tom Tromey  <tromey@redhat.com>

	* java/awt/Font.java (Font): Genericized.
	(deriveFont): Likewise.
	(getAttributes): Likewise.
	(getFont): Likewise.

2005-11-25  Tom Tromey  <tromey@redhat.com>

	* java/text/NumberFormat.java (format): No longer final.
	* java/text/AttributedCharacterIterator.java (getAllAttributeKeys):
	Genericized.
	(getAttributes): Likewise.
	(getRunLimit): Likewise.
	(getRunStart): Likewise.
	* java/text/AttributedString.java (AttributedString): Genericized.
	(addAttributes): Likewise.
	* java/text/Collator.java: Implement Comparator<Object>.

2005-11-25  Tom Tromey  <tromey@redhat.com>

	* java/security/cert/X509Extension.java (getCriticalExtensionOIDs):
	Genericized.
	(getNonCriticalExtensionOIDs): Likewise.
	* java/security/cert/X509Certificate.java (getExtendedKeyUsage):
	Genericized.
	(getIssuerAlternativeNames): Likewise.
	(getSubjectAlternativeNames): Likewise.
	* java/security/cert/X509CertSelector.java (setExtendedKeyUsage):
	Genericized.
	(setSubjectAlternativeNames): Likewise.
	* java/security/cert/X509CRLSelector.java (getIssuerNames):
	Genericized.
	(setIssuerNames): Likewise.
	* java/security/cert/X509CRL.java (getRevokedCertificates):
	Genericized.
	* java/security/cert/PolicyNode.java (getChildren): Genericized.
	(getExpectedPolicies): Likewise.
	(getPolicyQualifiers): Likewise.
	* java/security/cert/PKIXCertPathChecker.java (check): Genericized.
	(getSupportedExtensions): Likewise.
	* java/security/cert/CertificateFactorySpi.java
	(engineGenerateCertPath): Genericized.
	(engineGenerateCertificates): Likewise.
	(engineGenerateCRLs): Likewise.
	(engineGetCertPathEncodings): Likewise.
	* java/security/cert/CertificateFactory.java (generateCertificates):
	Genericized.
	(generateCertPath): Likewise.
	(generateCRLs): Likewise.
	(getCertPathEncodings): Likewise.
	* java/security/cert/CertStoreSpi.java (engineGetCertificates):
	Genericized.
	(engineGetCRLs): Likewise.
	* java/security/cert/CertStore.java (getCertificates): Genericized.
	(getCRLs): Likewise.
	* java/security/cert/CertPath.java (getCertificates): Genericized.
	(getEncodings): Likewise.
	* java/security/cert/PKIXParameters.java (PKIXParameters):
	Genericized.
	(getCertStores): Likewise.
	(getCertPathCheckers): Likewise.
	(getInitialPolicies): Likewise.
	(getTrustAnchors): Likewise.
	(setCertPathCheckers): Likewise.
	(setCertStores): Likewise.
	(setInitialPolicies): Likewise.
	(setTrustAnchors): Likewise.
	* java/security/cert/PKIXBuilderParameters.java
	(PKIXBuilderParameters): Genericized.
	* java/security/cert/CollectionCertStoreParameters.java
	(CollectionCertStoreParameters): Genericized.
	(getCollection): Likewise.
	* java/security/cert/PolicyQualifierInfo.java: No longer final.

2005-11-25  Tom Tromey  <tromey@redhat.com>

	* java/security/Security.java (getAlgorithms): Genericized.
	(getProviders): Likewise.
	* java/security/SecureClassLoader.java (defineClass): Genericized.
	(protectionDomainCache): Likewise.
	* java/security/PermissionCollection.java (elements): Genericized.
	(toString): Updated.
	* java/security/KeyStoreSpi.java (engineAliases): Genericized.
	* java/security/KeyStore.java (aliases): Genericized.
	* java/security/KeyFactorySpi.java (engineGetKeySpec): Genericized.
	(engineTranslateKey): Fixed javadoc.
	* java/security/KeyFactory.java (getKeySpec): Genericized.
	* java/security/IdentityScope.java (identities): Genericized.
	* java/security/AlgorithmParametersSpi.java (engineGetParameterSpec):
	Genericized.
	* java/security/AlgorithmParameters.java (getParameterSpec):
	Genericized.
	* java/security/AccessController.java (doPrivileged): Genericized.
	* java/security/PrivilegedExceptionAction.java: Genericized.
	* java/security/PrivilegedAction.java: Genericized.

2005-11-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* native/jni/java-io/javaio.c, native/jni/java-io/javaio.h:
	Removed.
	* native/jni/java-io/java_io_VMFile.c: Removed dependency on
	javaio.h
	* native/jni/java-nio/gnu_java_nio_channels_FileChannelImpl.c:
	Likewise.
	
2005-11-25  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalSplitPaneDivider.java
	(MetalDividerLayout): Fixed class name to MetalDividerLayout 
	instead of DividerLayout.
	(MetalSplitPaneDivider): Fixed setLayout call.

2005-11-25  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(mouseClicked): Fixed to keep track of last object clicked,
	instead of index. Problems arise when lists change for different
	directories and using the index.
	(editFile): Fixed size and location for text field. Painting is still
	a little messed up when typing because there is no action listener yet.

2005-11-26  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/SystemFlavorMap.java
	(defaultFlavorMap): removed.
	(systemFlavorMaps): added static field.
	(getDefaultFlavorMap): reimplemented using systemFlavorMaps.
	
2005-11-25  Lillian Angel  <langel@redhat.com>

	* javax/swing/JFileChooser.java:
	selectedFiles field should not be initialized.
	(getSelectedFiles): Should return empty array, not null.
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(MetalFileChooserSelectionListener): Added comment.
	(valueChanged): Fixed API documentation.
	(SingleClickListener): Likewise.
	(SingleClickListener.init): Added field initializations.
	(mouseClicked): Implemented.
	(editFile): Partially implemented.
	(completeEditing): Implemented.
	(installUI): Added call to create the action map.
	(uninstallUI): Set actionMap to null.
	(getActionMap): Implemented.
	(createList): Uncommented code.
	(removeControlButtons): Implemented.	

2005-11-25  Lillian Angel  <langel@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c:
	Fixed typo.

2005-11-25  Lillian Angel  <langel@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(drawString): Changed pointer to be const, and fixed check to
	draw characters only if they are >= ' '. Handles all control
	characters.

2005-11-25  Mark Wielaard  <mark@klomp.org>

	Fixes bug #24981
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkSelection.c
	(clipboard_targets_received): DeleteLocalRef of NewStringUTF.
	(clipboard_text_received): Likewise.
	(clipboard_uris_received): Likewise.

2005-11-25  Lillian Angel  <langel@redhat.com>

	* javax/swing/JList.java
	(JList): Set default selection mode.
	* javax/swing/plaf/basic/BasicFileChooserUI.java
	(DoubleClickListener): No need for timer here.
	(mouseClicked): Removed timer code, and added check for double click.
	Problems with opening wrong directory is now fixed.
	* javax/swing/plaf/basic/BasicListUI.java
	(mouseDragged): Implemented.
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(propertyChange): Implemented MULTI_SELECTION_ENABLED_CHANGED_PROPERTY
	property change.
	(getListCellRendererComponent): Set opaque property, so background
	color on cell is painted.
	(SingleClickListener.init): Implemented.
	(installStrings): Fixed tooltip text strings.

2005-11-25  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JFileChooser.java
	(selectedFiles): Initialise,
	(JFileChooser(String)): Delegate to another constructor,
	(JFileChooser(String, FileSystemView)): Convert directory to file,
	(setSelectedFile): Check for current selection == null,
	(getSelectedFiles): Updated API docs,
	(setSelectedFiles): Changed order of event generation,
	(changeToParentDirectory): Don't check for null parent (reference
	implementation doesn't),
	(addChoosableFileFilter): Change handling of null filter,
	(removeChoosableFileFilter): Handle case where removed filter is also
	the current selection,
	(setAcceptAllFileFilterUsed): Add or remove accept all filter as 
	appropriate,
	(setFileFilter): Add new filter to choosable filters if necessary,
	(accept): Reimplemented,
	* javax/swing/plaf/basic/BasicFileChooserUI.java
	(ApproveSelectionAction.ApproveSelectionAction): Set action name,
	(ApproveSelectionAction.actionPerformed): Call getFileName() rather
	than accessing JTextField directly,
	(CancelSelectionAction.CancelSelectionAction): Set action name,
	(ChangeToParentDirectoryAction.ChangeToParentDirectoryAction): Set 
	action name,
	(DoubleClickListener.mouseClicked): Call setFileName rather than 
	accessing JTextField directly,
	(GoHomeAction.GoHomeAction): Set action name,
	(NewFolderAction.NewFolderAction): Set action name,
	(SelectionListener.valueChanged): Get list from event,
	(UpdateAction.UpdateAction): Set action name to null,
	(computerIcon): Removed initialization,
	(detailsViewIcon): Likewise,
	(directoryIcon): Likewise,
	(fileIcon): Likewise,
	(floppyDriveIcon): Likewise,
	(hardDriveIcon): Likewise,
	(homeFolderIcon): Likewise,
	(listViewIcon): Likewise,
	(upFolderIcon): Likewise,
	(fileList): Removed,
	(filters): Removed,
	(ICON_SIZE): Removed,
	(parents): Removed,
	(filename): Removed,
	(cancel): Removed,
	(upFolderButton): Removed,
	(newFolderButton): Removed,
	(homeFolderButton): Removed,
	(approveSelectionAction): New field,
	(cancelSelectionAction): New field,
	(goHomeAction): New field,
	(changeToParentDirectoryAction): New field,
	(newFolderAction): New field,
	(updateAction): New field,
	(BasicFileChooserUI): Do nothing here,
	(installUI): Initialise filechooser field,
	(createBoxListener): Removed,
	(createFilterListener): Removed,
	(filterEntries): Removed,
	(installComponents): Do nothing here,
	(uninstallComponents): Do nothing here,
	(installListeners): Removed component specific listeners,
	(installIcons): Use Metal icons,
	(unintallIcons): Clear icons,
	(installStrings): Use fixed strings for text items that aren't defined
	in the UI defaults - should implement localised strings later,
	(uninstallStrings): Clear text items,
	(createPropertyChangeListener): Return blank listener,
	(getFileName): TODO,
	(setFileName): TODO,
	(rescanCurrentDirectory): Remove call on deleted filelist,
	(getApproveButton): Just return field,
	(getFileView): Updated API docs,
	(getDialogTitle): Reimplemented,
	(getApproveButtonText): Reimplemented,
	(getNewFolderAction): Create new instance if required,
	(getGoHomeAction): Likewise,
	(getChangeToParentDirectoryAction): Likewise,
	(getApproveSelectionAction): Likewise,
	(getCancelSelectionAction): Likewise,
	(getUpdateAction): Likewise,
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	(MetalFileChooserPropertyChangeListener): New class,
	(DirectoryComboBoxRenderer): New class,
	(FilterComboBoxModel.selectedIndex): Removed field,
	(FilterComboBoxModel.selected): New field,
	(FilterComboBoxModel.FilterComboBoxModel): Initialise selected field,
	(FilterComboBoxModel.propertyChange): Update filter list,
	(FilterComboBoxModel.setSelectedItem): Reimplemented,
	(FilterComboBoxModel.getSelectedItem): Return selected field,
	(FilterComboBoxRenderer.getListCellRendererComponent): Call super,
	(MetalFileChooserSelectionListener): New class,
	(SingleClickListener): New class TODO,
	(directoryLabel): New field,
	(directoryComboBox): New field,
	(fileLabel): New field,
	(fileTextField): New field,
	(filterLabel): New field,
	(topPanel): New field,
	(controls): New field,
	(bottomPanel): New field,
	(buttonPanel): New field,
	(approveButton): New field,
	(fileList): New field,
	(fileListPanel): New field,
	(filterModel): New field,
	(MetalFileChooserUI): Initialise panels,
	(installUI): TODO,
	(uninstallUI): TODO,
	(installComponents): Implemented,
	(uninstallComponents): Implemented,
	(getButtonPanel): Implemented,
	(getBottomPanel): Implemented,
	(installStrings): Implemented,
	(installListeners): Implemented,
	(uninstallListeners): Implemented,
	(getActionMap): TODO,
	(createActionMap): Implemented,
	(createList): Implemented,
	(createDetailsView): Implemented,
	(createListSelectionListener): Implemented,
	(getPreferredSize): Implemented badly,
	(getMinimumSize): Likewise,
	(getMaximumSize): Implemented,
	(createPropertyChangeListener): Implemented,
	(createDirectoryComboBoxRenderer): Implemented,
	(addControlButtons): Implemented,
	(removeControlButtons): TODO,
	(ensureFileIsVisible): TODO,
	(rescanCurrentDirectory): Implemented,
	(getFileName): Implemented,
	(setFileName): Implemented,
	(setDirectorySelected): TODO,
	(getDirectoryName): TODO,
	(setDirectoryName): TODO,
	(valueChanged): TODO,
	(getApproveButton): Implemented,
	(VerticalMidLayout): New support class,
	(ButtonLayout): New support class,
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initClassDefaults): Add 'FileChooserUI' default,
	(initComponentDefaults): Added FileChooser icons.

2005-11-25  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c
	(current_selection): Define as gint.
	(clipboard_clear_func): Extract user_data with GPOINTER_TO_INT.
	(Java_gnu_java_awt_peer_gtk_GtkClipboard_advertiseContent):
	Convert current_selection with GINT_TO_POINTER.

2005-11-25  Mark Wielaard  <mark@klomp.org>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java (paintIcon): Only
	paint icon when not null.

2005-11-25  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c 
	(save_to_stream): Added missing DeleteLocalRef call.

2005-11-24  Sven de Marothy  <sven@physto.se>

	* javax/print/attribute/standard/MediaName.java,
	* javax/print/attribute/standard/MediaTray.java:
	New files.
	* javax/print/attribute/standard/MediaSize.java:
	Added "ISO", "NA", "JIS" and "Other" enumerations of standard sizes.
	* javax/print/attribute/standard/MediaSizeName.java:
	(getEnumValueTable, getStringTable): Add stubs.

2005-11-24  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/PasswordView.java
	(modelToView): Overridden to correctly map between model and view
	respecting the echo character.
	(viewToModel): Added FIXME to show that this method also needs
	to be adjusted like the above method.
	* javax/swing/text/PlainView.java
	(paint): Don't set the font here. This is already done in the
	text component's JComponent.getComponentGraphics() method.
	(damageLineRange): Only repaint the damaged rectangle.

2005-11-24  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicLabelUI.java
	(getPreferredSize): Don't use deprecated method to acquire
	FontMetrics object. This can be done more elegantly using
	Component.getFontMetrics().
	(paint): Removed unnecessary font setting code. This is already
	performed in JComponent.getComponentGraphics().

2005-11-24  Roman Kennke  <kennke@aicas.com>

	* javax/swing/table/DefaultTableCellRenderer.java
	(getTableCellRendererComponent): Don't set enabled flag on the
	renderer. The cells are rendered normally even when the table
	is disabled.

2005-11-24  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicToolBarUI.java
	(mousePressed): When using the BasicLookAndFeel, the mouse
	should be in the center of the dragWindow while dragging.
	* javax/swing/plaf/metal/MetalToolBarUI.java
	(createDockingListener): Implemented.
	(MetalDockingListener): New class.
	(MetalDockingListener.init): Implemented.
	(MetalDockingListener.mousePressed): Implemented. When using the
	MetalLookAndFeel, the mouse should not be offset while dragging.
	(MetalDockingListener.mouseDragged): Implemented. Does not do 
	anything different than dragging in the BasicLookAndFeel.

2005-11-24  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicArrowButton.java
	(paint): Fixed locations, so button is drawn in proper place.
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java
	(paint): Added code to paint buttons.
	* javax/swing/plaf/metal/MetalSplitPaneDivider.java:
	Added new fields.
	(MetalSplitPaneDivider): Initialized new fields, and set layout
	to new inner class.
	(paint): Added code to paint buttons.
	(DividerLayout): New class implemented.
	(DividerLayout.init): Implemented.
	(DividerLayout.addLayoutComponent): Implemented.
	(DividerLayout.layoutContainer): Implemented.
	(DividerLayout.minimumLayoutSize): Implemented.
	(DividerLayout.preferredLayoutSize): Implemented.
	(DividerLayout.removeLayoutComponent): Implemented.	

2005-11-24  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/InternationalFormatter: 
	(InternationalFormatter<init>): Override superclass defaults for 
	commitsOnValidEdit and overwriteMode.
	* javax/swing/text/NumberFormatter.java: New class.

2005-11-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalScrollPaneUI.java
	(installUI): Set free-standing client property on scrollbars to false,
	(uninstallUI): Set free-standing client property on scrollbars to null.

2005-11-23  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalIconFactory.java:
	Added new fields to store an instance of the icons.
	(getMenuArrowIcon): Fixed to make use of the new field.
	(getMenuItemArrowIcon): Fixed implementation to return
	an instance of the icon, instead of calling getMenuArrowIcon. 
	Even though, these two look identical.

2005-11-23  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/DataFlavor.java
	(isFlavorTextType): added method.

2005-11-23  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalToolBarUI.java
	(setDragOffset): Implemented.

2005-11-23  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): Added defaults for menu arrow icon,
	menu item arrow icon and menu item check icon.
	* javax/swing/plaf/metal/MetalTabbedPaneUI.java:
	Added new field to store graphics when painting highlight.
	(paintTopTabBorder): Added code to fill gap if it should be
	filled.
	(paintBottomTabBorder): Likewise.
	(paintTabBackground): Added call to paint the highlight below the tab.
	(getColorForGap): Added code to return selected color, if selected.
	(shouldFillGap): Changed to return false. With JDK, gap is never
	filled in MetalL&F.
	(paintHighlightBelowTab): Implemented to paint the highlight on
	selected tabs.
	(calculateMaxTabHeight): Removed.
	(getTabLabelShiftX): Removed.
	(getTabLabelShiftY): Removed.
	(getTabRunOverlay): Removed.
	(paint): Removed.
	(paintContentBorderBottomEdge): Removed.
	(paintContentBorderLeftEdge): Removed.
	(paintContentBorderRightEdge): Removed.
	(paintContentBorderTopEdge): Removed.
	(paintFocusIndicator): Removed.
	(update): Removed.

2005-11-23  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(getListeners): Updated API docs.

2005-11-23  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/Container.java
	(getListeners): Updated API docs.

2005-11-23  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/Component.java
	(getListeners): Added some details to the API docs.

2005-11-23  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/DefaultStyledDocument.java
	(ElementBuffer.numEndTags): New field.
	(ElementBuffer.numStartTags): New field.
	(ElementBuffer.elementStack): New field.
	(ElementBuffer.ElementBuffer): Initialize element stack here.
	(ElementBuffer.changeUpdate): Correctly perform splitting of
	elements.
	(ElementBuffer.split): Change to make recursive splits possible.
	(ElementBuffer.insert): Clear and initialize elementStack and num*
	fields.
	(ElementBuffer.inserUpdate): Inlined the functionality for start
	and end tags. Call endEdit on finish.
	(ElementBuffer.endEdit): New method. Finishes off an edit run.
	(ElementBuffer.prepareContentInsertion): New method. Prepares
	the insertion of content.
	(ElementBuffer.insertParagraph): New method. Inserts a new
	paragraph at a given offset.
	(ElementBuffer.insertContentTag): Call prepareContentInsertion first.
	Fixed behaviour for all the different possible directions.
	(ElementBuffer.addEdit): New method. Adds an element edit to the
	document event and possible merges with previous edits.
	(insert): Only fire event when something has really changed.
	* javax/swing/text/AbstractDocument.java
	(insertString): Only fire event when something has really changed.
	(DefaultDocumentEvent.modified): New field.
	(DefaultDocumentEvent.DefaultDocumentEvent): Inititialize modified
	field.
	(DefaultDocumentEvent.addEdit): Set modified flag to true.

2005-11-23  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/GapContent.java
	(getPostionsInRange): Fixed binarySearch to really find the first
	position in this range.
	(setPostionsInRange): Fixed binarySearch to really find the first
	position in this range.
	(adjustPostionsInRange): Fixed binarySearch to really find the first
	position in this range.

2005-11-23  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/View.java
	(getNextVisualPositionFrom): Fixed signature and (partly)
	implemented this method.
	* javax/swing/text/Utilities.java
	(getPositionAbove): Fixed to use the correct signature for the call
	to above method.
	(getPositionBelow): Fixed to use the correct signature for the call
	to above method.
	* javax/swing/text/ComponentView.java
	(getNextVisualPositionFrom): Removed method. This is not specified
	to be implemented.
	* javax/swing/text/CompositeView.java
	(getNextVisualPositionFrom): Removed method with wrong signature.
	A method with the correct signature is already in place.
	* javax/swing/text/FlowView.java
	(LogicalView.getNextVisualPositionFrom): Removed method with wrong
	signature.
	* javax/swing/text/GlyphView.java
	(getNextVisualPositionFrom): Removed method with wrong signature.
	A method with the correct signature is already in place.
	* javax/swing/text/IconView.java
	(getNextVisualPositionFrom): Removed method. This is not specified
	to be implemented.
	* javax/swing/text/PlainView.java
	(getNextVisualPositionFrom): Removed method. This is not specified
	to be implemented.
	* javax/swing/text/WrappedPlainView.java
	(WrappedLine.getNextVisualPositionFrom): Removed method with wrong
	signature.
	* javax/swing/plaf/basic/BasicTextUI.java
	(RootView.getNextVisualPositionFrom): Fixed signature.

2005-11-22  Lillian Angel  <langel@redhat.com>

	* javax/swing/JEditorPane.java
	(JEditorPaneAccessibleHypertextSupport): Implemented.

2005-11-22  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(getColorForGap): Implemented. Background color is
	always returned in this case.
	(paintHighlightBelowTab): Added. Nothing to do in 
	this function as far as i can tell.
	(shouldFillGap): Implemented. Gap should always be filled.
	(shouldRotateTabRuns): Implemented. Tabs are not rotated
	in Metal. False is always returned.
	(calculateMaxTabHeight): Implemented to call super.
	(getTabLabelShiftX): Implemented.
	(getTabLabelShiftY): Implemented.
	(getTabRunOverlay): Implemented.
	(paint): Implemented to call super.
	(paintContentBorderBottomEdge): Likewise.
	(paintContentBorderLeftEdge): Likewise.
	(paintContentBorderRightEdge): Likewise.
	(paintContentBorderTopEdge): Likewise.
	(paintFocusIndicator): Likewise.
	(update): Likewise. Should not work any differently from
	default implementation.

2005-11-22  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c
	(nativeGetFontFamilies): Added missing DeleteLocalRef calls.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
	(query_formats): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c 
	(append): Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c 
	(append): Likewise.
	* native/jni/qt-peer/qtmenupeer.cpp (runEvent): Likewise.

2005-11-22  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalIconFactory.java
	(getMenuArrowIcon): Implemented.
	(getMenuItemArrowIcon): Implemented to call getMenuArrowIcon,
	because both icons look the same.
	(getMenuItemCheckIcon): Implemented.
	* javax/swing/plaf/metal/MetalTextFieldUI.java
	(propertyChange): Implemented to call super only, because it
	is a hook method. It doesn't have a different purpose from
	BasicLookAndFeel, other than allowing a subclass to override it.

2005-11-22  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/MaskFormatter.java:
	(convertValue): Don't check the valid/invalid character sets if we're 
	matching a literal.

2005-11-22  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalScrollPaneUI.java
	(installUI): Implemented.
	(uninstallUI): Implemented.
	(installListeners): Implemented.
	(uninstallListeners): Implemented.
	(createScrollBarSwapListener): Partially implemented, not sure
	what else to do here.

2005-11-22  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/MaskFormatter.java:
	(convertValue): If character is a literal don't throw a ParseException
	unless literals aren't allowd in values and this method is being 
	called from valueToString rather than stringToValue.  The convert flag
	is used to distinguish these two cases.

2005-11-22  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalComboBoxUI.java
	(configureEditor): Implemented.
	(unconfigureEditor): Implemented.
	(layoutComboBox): Implemented.

2005-11-22  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/MaskFormatter.java: New class.

2005-11-22  Lillian Angel  <langel@redhat.com>

	PR 24937
	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(drawString): Removed pattern matching code. This is now
	done in native.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics_drawString): Added
	a loop to filter out all non-printing characters.

2005-11-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/text/DefaultCaret.java (updateTimerStatus): 
	Ignore the field "visible". 

2005-11-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/TransferHandler
	(getClipboard): Aways check for the possibility to 
	access the system clipboard.

2005-11-22  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicOptionPaneUI.java
	(addMessageComponents): Also burst the string if there are newlines
	in it.
	(burstStringInto): Improved algorithm to also handle newlines.

2005-11-22  Lillian Angel  <langel@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(drawString): Fixed regex.

2005-11-22  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	Fixes bug #22691
	* java/io/StreamTokenizer.java(parseNumbers): Added some comment.

2005-11-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR 24942
	* javax/swing/text/DefaultCaret.java (focusGained):
	Update timer status. (focusLost): Stop the timer
	(unless the event is temporary).
	(updateTimerStatus): New method.
	(setVisible): Delegate timer management to the updateTimerStatus.

2005-11-21  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/image/ImageDecoder.java (datainput): New field.
	(ImageDecoder(DataInput)): New constructor.
	(startProduction): Create DataInputStreamWrapper when datainput set.
	(DataInputStreamWrapper): New private static helper class.
	* gnu/java/awt/peer/gtk/GdkPixbufDecoder.java
	(GdkPixbufDecoder(DataInput)): New constructor.
	(setInput): Check whether getInput() results in an InputStream or
	DataInput.

2005-11-21  Mark Wielaard  <mark@klomp.org>

	* javax/swing/plaf/basic/BasicComboBoxUI.java (cachedMinimumSize):
	Document.
	(isMinimumSizeDirty): Likewise. And initialize to true.
	(getMinimumSize): Use and set cachedMinimumSize.
	(FocusHandler.focusGained): Set isMinimumSizeDirty to true.
	(FocusHandler.focusLost): Likewise.
	(ItemHandler.itemStateChanged): Likewise.
	(ListDataHandler.contentsChanged): Likewise.
	(ListDataHandler.intervalAdded): Likewise.
	(ListDataHandler.intervalRemoved): Likewise.
	(PropertyChangeHandler.propertyChange): Likewise.

2005-11-21  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/DataFlavor.java: more code style
	fixes. Changed order to static attributes, attributes, static
	methods, constructors, methods. Moved static part into static 
	attribute declaration.

2005-11-21  Lillian Angel  <langel@redhat.com>

	PR classpath/PR24937
	* gnu/java/awt/peer/gtk/GdkGraphics.java
	(drawString): Removed most non-printable characters
	from the string that will be drawn. Added a FIXME comment
	because may not have filtered out all characters.

2005-11-21  Mark Wielaard  <mark@klomp.org>

	* javax/swing/JTable.java (propertyChange): Only resize header when
	not null.

2005-11-21  Lillian Angel  <langel@redhat.com>

	PR classpath/PR24872
	* javax/swing/text/DefaultEditorKit.java
	(actionPerformed): Implemented.
	(actionPerformed): Implemented.
	(actionPerformed): Implemented.
	(actionPerformed): Implemented.
	* javax/swing/text/JTextComponent.java
	(JTextComponent): Added key bindings for cut, copy,
	paste, selectionBackwardAction, selectionForwardAction.

2005-11-21  Anthony Balkissoon  <abalkiss@redhat.com>

	Fixes bug #24925
	* javax/swing/text/DefaultEditorKit.java:
	(DefaultKeyTypedAction.actionPeformed): Call replaceSelection here
	instead of insertString and only do so if the text component is both 
	enabled and editable.

2005-11-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/RepaintManager.java
	(currentRepaintManagers): Use a WeakHashMap to avoid potential
	memory leak.
	(currentManager): Instantiate WeakHashMap instead of HashMap.
	(setCurrentManager): Instantiate WeakHashMap instead of HashMap.

2005-11-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JViewport.java
	(static_initializer): Initialize the defaultScrollMode here.
	(JViewport): Set the defaultScrollMode that was initialized in
	the static initializer.

2005-11-21  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(columnAtPoint): Removed unused code.
	(rowAtPoint): Removed unused code.
	(prepareRenderer): Moved renderer prepare code from the UI to this
	method.
	(getSelections): Removed unused code.
	* javax/swing/plaf/basic/BasicTableUI.java
	(paintCell): Call JTable.prepareRenderer instead of preparing
	the renderer in the UI.
	(paint): Removed some unused code.

2005-11-21  Jan Roehrich  <jan@roehrich.info>

	* java/awt/datatransfer/DataFlavor.java: fixed code 
	formatting issues

2005-11-20  Chris Burdess  <dog@gnu.org>

	* gnu/xml/transform/TransformerImpl.java: Ensure that output stream
	is not closed if provided in the StreamResult.

2005-11-19  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* AUTHORS: Added myself.

2005-11-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/Size2DSyntax.java: 
	Added and enhanced api docs for this class.
	(toString()): Changed to return values as ints.
	(toString(int,String)): Changed to not append the unitsName if null.

2005-11-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/ResolutionSyntax.java (toString):
	Changed to not append the unitsName if null. Clarified api docs.

2005-11-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/TextSyntax.java:
	Added and enhanced api docs for this class.
	(TextSyntax): If locale is null use the default locale.

2005-11-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/SetOfIntegerSyntax.java: 
	Added and enhanced api docs for this class.	
	(SetOfIntegerSyntax(String)): Create empty set if given string is null.

2005-11-19  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/ResolutionSyntax.java:
	Added and enhanced api docs for this class.
	(getFeedResolution): Use correct feedresolution variable
	and do not add an additional unit to the resolution.
	(getCrossFeedResolution): Do not add additional unit to resolution.

2005-11-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(paintTabBackground): Fixed colors for the tab background.
	* javax/swing/plaf/metal/OceanTheme.java
	(addCustomEntriesToTable): Added color modifications for
	TabbedPane.

2005-11-18  David Daney  <ddaney@avtrex.com>

	* AUTHORS (David Daney): New entry. 

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(setBackground): Don't inherit background from parent.
	(addMouseMotionListener): Enable MOUSE_MOTION_EVENT_MASK instead
	of MOUSE_EVENT_MASK.
	(eventTypeEnabled): Handle mouse events and mouse motion events
	separately.

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(installDefaults): Added super.installDefaults().

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTableHeaderUI.java
	(installUI): Install a CellRendererPane.
	(paint): Paint the renderer component using the rendererPane, not
	directly.

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	(PropertyChangeHandler.propertyChange): Replaced layout() call
	with revalidate() call.
	(TabbedPaneLayout.calculateLayoutInfo): Added assureRectsCreated()
	call to make sure we have the rectangles in place. Also initialize
	the contentRect here so it can be used later.
	(TabbedPaneLayout.calculateSize): Removed unused statement.
	(TabbedPaneLayout.calculateTabRects): Moved assureRectsCreated call
	to calculateLayoutInfo().
	(TabbedPaneScrollLayout.calculateTabRects): Moved
	assureRectsCreated call	to calculateLayoutInfo(). Removed unused
	statements.
	(TabbedPaneScrollLayout.layoutContainer): Replaced hide() and show()
	calls with calls to setVisible(). Especially important since
	setVisible is handled special in Swing.
	(BasicTabbedPaneUI): Initialize rects and tabRuns fields.
	(installUI): Removed layout() call.
	(paintContentBorder): Removed unused statement.
	(assureRectsCreated): Reworked to match the JDK behaviour.
	(getFontMetrics): Use the component getFontMetrics() instead of
	the deprecated toolkit method.

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(getCellRenderer): Replaced dataModel.getColumnClass() with
	the shorter getColumnClass().
	(getColumnClass): Call getModel() instead of accessing dataModel
	directly. Important for correct operation of subclasses.

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTabbedPane.java
	(insertTab): Don't call layout() directly, instead call
	revalidate().

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* java/awt/Container.java
	(findComponentForMouseEventAt): Also check for mouseMotionListeners,
	otherwise we wouldn't dispatch mouse motion events on components
	that have no mouse listener installed.

2005-11-18  Lillian Angel  <langel@redhat.com>
	
	PR classpath/PR24754
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
	(Java_gnu_java_awt_peer_gtk_GdkFontPeer_getTextMetrics): Fixed width
	for the case where there is more than one line in the layout's text.
	Otherwise, the width of the layout would be returned, which is the
	max width of all the lines in the text. A loop was added to get the
	extent of all the lines and add them together.

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(minTabWidth): New field.
	(selectColor): New field.
	(selectHighlight): New field.
	(tabAreaBackground): New field.
	(installDefaults): Initialize new fields with values for UIManager.

2005-11-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(installUI): Don't install layout here.
	(uninstallUI): Don't uninstall layout here.
	(installDefaults): Install layout here.
	(uninstallDefaults): Uninstall layout here.
	(getPreferredSize): Use getLayout() to fetch the layout of the frame
	instead of directly accessing the corresponding field. This
	is necessary to make subclasses work that don't use this field.
	(getMinimumSize): Likewise.
	(getMaximumSize): Likewise.

2005-11-18  Gary Benson  <gbenson@redhat.com>

	* AUTHORS: Added myself.

2005-11-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(setPreferredSize): Check for null argument before making a copy.

2005-11-18  Gary Benson  <gbenson@redhat.com>

	* java/lang/SecurityManager.java (checkAccess): Correctly
	identify system threads (and thus check permissions for them).

2005-11-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(setMinimumSize): Check for null argument before making a copy.

2005-11-18  Paul Jenner  <psj@harker.dyndns.org>

	* native/jni/xmlj/xmlj_util.h (XMLJ_64BIT_POINTER): Removed.

2005-11-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComponent.java
	(setMaximumSize): Check for null argument before making a copy.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JEditorPane.java
	(PlainEditorKit): New inner class.
	(createDefaultEditorKit): Return an instance of PlainEditorKit.
	* javax/swing/JTextPane.java
	(insertComponent): Implemented previously stubbed method.
	(insertIcon): Implemented previously stubbed method.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicEditorPaneUI.java
	(create): Removed unneeded method.
	* javax/swing/plaf/basic/BasicTextPaneUI.java
	(create): Removed unneeded method.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* java/awt/Container.java
	(Container): Added comment.
	(remove): Only call removeNotify if removed component is still
	showing.
	(paintComponents): Call paint() instead of super.paint().
	(AccessibleContainerHandler.AccessibleContainerHandler): Added
	comment.
	(LightweightDispatcher.acquireComponentForMouseEvent):
	Don't special case MOUSE_RELEASED events. They should be
	dispatched unmodified just as MOUSE_PRESSED.
	(LightweightDispatcher.handleEvent): Also clean up the pressCount
	after a MOUSE_RELEASE.

2005-11-17  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/BoxView.java:
	(modelToView): New API method.

2005-11-17  Lillian Angel  <langel@redhat.com>

	PR classpath/PR24721
	* javax/swing/text/BoxView.java
	(getViewAtPoint): Added check in to return the last view, if one
	exists and the point was not contained in the rectangle. This is
	what the JDK does.
	* javax/swing/text/CompositeView.java
	(viewToModel): Fixed API documentation. Added check to make sure
	x and y are greater than 0. Otherwise, 0 is returned.
	* javax/swing/text/DefaultCaret.java
	(moveDot): Added check to match API specs.
	(setDot): Likewise.
	* javax/swing/text/GlyphView.java
	(viewToModel): Removed assert. This is not needed here. The point
	does not need to be in the rectangle.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	Reported by Roman Schnider <schnider@aicas.com>:
	* java/awt/Component.java
	(reshape): Removed unused statement.
	(repaint()): Don't forward to parent when not showing.
	(repaint(int)): Don't forward to parent when not showing.
	(repaint(int,int,int,int)): Don't forward to parent when not showing.
	(repaint(float,int,int,int,int)): Don't forward to parent when not
	showing.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/AbstractDocument.java
	(LeafElement.getName): If super.getName() returns something
	non-null, then return that instead of ContentElementName.
	* javax/swing/text/ComponentView.java
	(comp): New field.
	(getAlignment): Implemented previously stubbed method.
	(getComponent): Implemented previously stubbed method.
	(getMaximumSpan): Implemented previously stubbed method.
	(getMinimumSpan): Implemented previously stubbed method.
	(getPreferredSpan): Implemented previously stubbed method.
	(modelToView): Implemented previously stubbed method.
	(paint): Implemented previously stubbed method.
	(setParent): Implemented previously stubbed method.
	(setSize): Removed unneeded method.
	(viewToModel): Implemented previously stubbed method.
	* javax/swing/text/FlowView.java
	(insertUpdate): Forward this event to the logical view.
	* javax/swing/text/IconView.java
	(paint): Implemented previously stubbed method.
	(getPreferredSpan): Implemented previously stubbed method.
	(modelToView): Implemented previously stubbed method.
	(viewToModel): Implemented previously stubbed method.
	* javax/swing/text/ParagraphView.java
	(firstLineIndent): New field.
	(justification): New field.
	(lineSpacing): New field.
	(tabSet): New field.
	(changedUpdate): New method.
	(setPropertiesFromAttributes): New method.
	(setFirstLineIndent): New method.
	(setJustification): New method.
	(setLineSpacing): New method.
	(getLayoutView): New method.
	(getLayoutViewCount): New method.
	(getTabSet): New method.

2005-11-17  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/plaf/basic/BasicEditorPaneUI.java:
	(create): Create new WrappedPlainView instance instead of PlainView.

2005-11-17  Audrius Meskauskas  <AudriusA@Bioinformatics.org>
        
	PR 24911
	* examples/Makefile.am
	(EXAMPLE_JAVA_FILES): Extended by /*/*/*.java and /*/*/*/*.java.
	(READMES): New category.
	(ALL_EXAMPLE_FILES): Extended by READMES category. 

2005-11-17  Bryce McKinlay  <mckinlay@redhat.com>

	* gnu/java/net/protocol/jar/Connection.java (getHeaderField):
	Implemented.
	(getLastModified): Implemented.

2005-11-17  Mark Wielaard  <mark@klomp.org>

	* java/net/URLClassLoader.java: Reindented.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JApplet.java
	(paramString): Returns super.paramString() instead of a meaningless
	'JFrame'.
	* javax/swing/JPanel.java
	(paramString): Returns super.paramString() instead of a meaningless
	'JPanel'.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(installDefaults): Don't handle the Button.rollover property here,
	this is Metal specific and is handled in MetalButtonUI.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JList.java
	(locationToIndex): Clarified API comment.

2005-11-17  Roman Kennke  <kennke@aicas.com>

	* javax/swing/tree/DefaultTreeCellEditor.java
	(DefaultTreeCellEditor): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().
	(createTreeCellEditor): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().
	* javax/swing/tree/DefaultTreeCellRenderer.java
	(DefaultTreeCellRenderer): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().
	(getDefaultOpenIcon): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().
	(getDefaultClosedIcon): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().
	(getDefaultLeafIcon): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().
	(getTreeCellRendererComponent): Replaced
	UIManager.getLookAndFeelDefaults().getXXX() with UIManager.getXXX().w
	(paint): Replaced UIManager.getLookAndFeelDefaults().getXXX()
	with UIManager.getXXX().

2005-11-17  Andrew Haley  <aph@redhat.com>

	* gnu/java/net/protocol/file/Connection.java (unquote): New
	method.
	(connect): Unquote filename.
	* gnu/java/net/protocol/jar/Connection.java (get): Likewise.

	* java/net/URL.java (URL): If the file part of a spec is absolute,
	ignore the file part of its context.

2005-11-17  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/CORBA/swing/README.html:
	Added note about the build.
	
2005-11-16  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JSplitPane.java: Reformatted file.
	* javax/swing/plaf/basic/BasicSplitPaneUI.java: Reformatted file.

2005-11-16  Lillian Angel  <langel@redhat.com>

	* javax/swing/ToolTipManager.java
	(mouseEntered): No need to start the insideTimer here,
	already called showTip.

2005-11-16  Lillian Angel  <langel@redhat.com>

	PR classpath/PR24763
	* javax/swing/ToolTipManager.java
	(mouseEntered): showTip should be called if exitTimer is running.
	This means that the mouse has exited and re-entered a component
	in less than 500ms.
	(mouseExited): If enterTimer is not running, the exitTimer should
	be started no matter what.
	(showTip): Should not show tool tip if the currentComponent is
	not showing.

2005-11-16  Lillian Angel  <langel@redhat.com>
	
	PR classpath/PR23557 and PR classpath/PR24099
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_gdkDrawDrawable):
	Added check to determine if dst->drawable or src->drawable
	are actually drawable. If not, return.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalBorders.java
	(ButtonBorder.paintBorder): Special case the OceanTheme.
	(ButtonBorder.paintOceanThemeBorder): New method.
	* javax/swing/plaf/metal/MetalButtonUI.java
	(installDefaults): Set the rollover flag here. Don't set a special
	border for rollover buttons.
	(uninstallDefaults): Reset the rollover flag.
	(update): Only paint gradient when button is enabled and not pressed.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(getCurrentTheme): New method.

2005-11-16  Gary Benson  <gbenson@redhat.com>

	* java/io/FilePermission.java (implies): Correct the sense
	in which action checks are applied.

2005-11-16  Anthony Balkissoon  <abalkiss@redhat.com>

	* AUTHORS: Added myself.
	* javax/swing/KeyboardManager.java: Changed @author tag to match the 
	other ones I have.
	* javax/swing/text/WrappedPlainView.java: Likewise.

2005-11-16  Gary Benson  <gbenson@redhat.com>
 
	* java/security/ProtectionDomain.java (toString): Use
	gnu.classpath.SystemProperties to read line.separator
	without security manager check.

2005-11-16  Lillian Angel  <langel@redhat.com>

	* java/awt/image/MemoryImageSource.java
	(startProduction): If animated, imageComplete should
	be called with the SINGLEFRAMEDONE flag, meaning the
	single frame is complete, but there are more frames 
	to follow.

2005-11-16  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/PlainDocument.java:
	(insertString): Null check fixes PR 24890.

2005-11-16  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(paintVerticalPartOfLeg): Added a check to prevent
	ArrayOutOfBoundsException.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(paintTitleBackground): Only paint background if component is
	opaque.
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java
	(paintPalette): Added gradient painting.
	(paintComponent): Added gradient painting.
	* javax/swing/plaf/metal/OceanTheme.java
	(addCustomEntriesToTable): Added gradient for
	InternalFrama.activeTitleGradient.

2005-11-16  Lillian Angel  <langel@redhat.com>

	* javax/swing/ToolTipManager.java:
	Removed unneeded fields.
	(showTip): Re-implemented to use PopupFactory.
	(hideTip): Likewise.
	(adjustLocation): Fixed location.

2005-11-16  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/PlainDocument.java:
	(insertUpdate): The very first new element added doesn't start at the 
	start of the event, it starts at the start offset of the Element that
	contains the start of the event.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(paintMenuItem): Always call paintBackground().

2005-11-16  Lillian Angel  <langel@redhat.com>

	* gnu/java/awt/peer/gtk/GtkDialogPeer.java
	(create): Since popups were changed to be JWindowPopups,
	this code should be done in GtkWindowPeer. Code is not
	needed.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java
	(create): If window is not focusable, it should not take
	the focus away from any other window. Therefore, its
	type should be set to GDK_WINDOW_TYPE_HINT_MENU.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalButtonUI.java
	(update): New method. Paints the gradient.
	* javax/swing/plaf/metal/MetalCheckBoxIcon.java
	(paintIcon): Paint gradient.
	* javax/swing/plaf/metal/MetalIconFactory.java
	(RadioButtonIcon.paintIcon): Paint gradient.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initClassDefaults): Added MetalMenuBarUI.
	* javax/swing/plaf/metal/MetalMenuBarUI.java: New file.
	* javax/swing/plaf/metal/MetalToggleButtonUI.java
	(update): New method. Paints the gradient.
	* javax/swing/plaf/metal/OceanTheme.java
	(addCustomEntriesToTable): Added all the gradients.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JMenu.java
	(JMenu()): Set opaque flag to false.
	(JMenu(String)): Likewise.
	(JMenu(Action)): Likewise.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicListUI.java
	(getRowHeight): Adjusted to deal correctly with fixed cell heights.
	(convertYRoRow): Likewise.
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(installDefaults): Don't make the menu item opaque here.
	(paintBackground): Moved background painting code from
	paintMenuItem() to this method.
	(paintMenuItem): Moved background painting to paintBackground().
	(installDefaults): Don't set opaque flag here.

2005-11-16  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalUtils.java
	(paintGradient): New utility method(s).
	(paintHorizontalGradient): New utility method.
	(paintVerticalGradient): New utility method.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(paintDoubleBuffered): Put paint() call inside a try-finally
	block to correctly recover the double-buffering flag when
	an exception is thrown inside the paint() call.

2005-11-15  Lillian Angel  <langel@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkWindowPeer_gtkWindowSetResizable):
	Needed to set allow_shrink to the same value as resizable. Other-
	wise, it is always set to false.

2005-11-15  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(paint): Added check to prevent NPE.

2005-11-15  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JComponent.java:
	(removeNotify): Unregister WHEN_IN_FOCUSED_WINDOW bindings from the 
	KeyboardManager.

2005-11-15  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Default rowHeight for tree's should
	be 0. This is Sun and IBM's default.
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): Default rowHeight for tree's should
	e 0. This is Sun and IBM's default.
	* javax/swing/plaf/basic/BasicTreeUI.java:
	Added a default rowHeight field.
	(setRowHeight): Set the rowHeight to the class default if parameter
	is 0. Tree row height should never be set to 0. 20 is the minimum.
	(installDefaults): fixed call to tree.setRowHeight
	(shouldPaintExpandControl): Added to check to prevent NPE.

2005-11-15  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* examples/gnu/classpath/examples/CORBA/swing/README.html,
	examples/gnu/classpath/examples/CORBA/swing/x5/CanvasWorld.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/ChatConstants.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/ClientFrame.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/Demo.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/GameManager.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/GameManagerImpl.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/IorReader.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/OrbStarter.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/Player.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/PlayerImpl.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/PlayingDesk.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/State.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/X5Server.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/_GameManagerImpl_Tie.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/_GameManager_Stub.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/_PlayerImpl_Tie.java,
	examples/gnu/classpath/examples/CORBA/swing/x5/_Player_Stub.java: 
	New files.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/UIManager.java
	(userUIDefaults): New field.
	(get(Object)): Respect the user UI settings.
	(get(Object,Locale)): Respect the user UI settings.
	(getBoolean(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getBoolean(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getBorder(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getBorder(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getColor(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getColor(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getDimension(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getDimension(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getFont(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getFont(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getIcon(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getIcon(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getInsets(Object)): Call get() instead of
	getLookAndFeelDefaults().getInsets() in order to respect the user UI
	settings.
	(getInsets(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().getInsets() in order to respect the user UI
	settings.
	(getInt(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getInt(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getString(Object)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getString(Object,Locale)): Call get() instead of
	getLookAndFeelDefaults().get() in order to respect the user UI
	settings.
	(getUI(JComponent)): Respect the user UI settings.
	(put): Put key/value into user UI settings.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalBorders.java
	(OptionDialogBorder.paintBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/metal/MetalButtonUI.java
	(MetalButtonUI): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java
	(installDefaults): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/metal/MetalLabelUI.java
	(paintDisabledText): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/metal/MetalRadioButtonUI.java
	(installDefaults): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/metal/MetalScrollBarUI.java
	(createDecreaseButton): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(createIncreaseButton): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(paintThumbHorizontal): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(paintThumbVertical): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/metal/MetalSplitPaneUI.java
	(createDefaultDivider): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/metal/MetalToggleButtonUI.java
	(installDefaults): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/metal/MetalToolTipUI.java
	(MetalToolTipUI): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/metal/MetalTreeUI.java
	Removed all listener fields.
	(installUI): Removed initialization and call super.installUI()
	instead.
	(uninstallUI): Removed initialization and call super.uninstallUI()
	instead.

2005-11-15  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/OrbFunctional.java (serveStep):
	Returning ensure that the socket is closed.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicBorders.java
	(getButtonBorder): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	(getRadioButtonBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getToggleButtonBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getMenuBarBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getSplitPaneBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getSplitPaneDividerBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getTextFieldBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getInternalFrameBorder): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/basic/BasicButtonUI.java
	(paintText): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/basic/BasicCheckBoxUI.java
	(getDefaultIcon): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(paintCurrentValue): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/basic/BasicFileChooserUI.java
	(installStrings): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(installDefaults): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/basic/BasicListUI.java
	(installKeyboardActions): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/basic/BasicProgressBarUI.java
	(boxRect): Added @since tag to the API comment.
	* javax/swing/plaf/basic/BasicRadioButtonUI.java
	(getDefaultIcon): Replaced UIManager.getLookAndFeelDefaults().get()
	with UIManager.get().
	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(configureScrollBarColors): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(calculatePreferredSize): Fetch preferred width or height from
	UI defaults.
	* javax/swing/plaf/basic/BasicTableUI.java
	(installKeyboardActions): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/basic/BasicTextUI.java
	(createKeymap): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getInputMap): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(getActionMap): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(dragTo): Don't use cached* fields.
	(installComponents): Don't use cached* fields.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(getHashColor): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	(setHashColor): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().
	Added FIXME comment.
	(installKeyboardActions): Replaced
	UIManager.getLookAndFeelDefaults().get() with UIManager.get().

2005-11-15  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* native/jni/java-lang/java_lang_VMDouble.c (initIDs): Register 
	clsDouble as global ref.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c 
	(gtkInit): Register gtkgenericpeer as global ref.

2005-11-15  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java:
	Removed unneeded field.
	(getPathBounds): Reimplemented to use getNodeDimensions.
	(getRowCount): Removed call to updateCurrentVisiblePath.
	(uninstallKeyboardActions): Implemented.
	(paint): Reimplemented to only paint rows contained in clip.
	No longer uses recursion.
	(mousePressed): If control icon is clicked, should scroll to that
	path.
	(getNodeDimensions): Implemented.
	(getRowX): Implemented.
	(getCellBounds): Removed.
	(getCellLocation): Removed.
	(paintRecursive): Removed.
	(paintControlIcons): Removed.
	(getPreviousVisibleNode): Removed call to updateCurrentVisiblePath.
	(getLevel): Added check for invisible root.
	(paintVerticalLine): Set graphics color.
	(paintHorizontalLine): Likewise.
	(drawCentered): Added negative check.
	(drawDashedHorizontalLine): Set graphics color.
	(drawDashedVerticalLine): Likewise.
	(paintExpandControl): Implemented.
	(paintHorizontalPartOfLeg): Likewise.
	(paintVerticalPartOfLeg): Likewise.
	(paintRow): Added call to paint the control icons.
	(updateCurrentVisiblePath): Cleaned up function.	

2005-11-15  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/AbstractDocument.java:
	(remove): Do not set up an ElementEdit here, this is done in the 
	Document implementation's removeUpdate method.
	* javax/swing/text/PlainDocument.java:
	(insertUpdate): Do not call reindex, instead, reindex the lines here
	directly but only starting from the offset of the newly inserted text.
	Also, if entire lines have been added or removed, set up an ElementEdit
	and add it to the DocumentEvent.  Chain BadLocationException to an 
	AssertionError and throw it in the unexpected case.
	(removeUpdate): If entire lines have been added or removed, set up an 
	ElementEdit and add it to the DocumentEvent.  Chain 
	BadLocationException to an AssertionError and throw it in the 
	unexpected case.
	(reindex): Removed unnecessary method.

2005-11-15  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/DateTimeSyntax.java,
	* javax/print/attribute/EnumSyntax.java,
	* javax/print/attribute/IntegerSyntax.java,
	* javax/print/attribute/URISyntax.java:
	Added and enhances some api docs.

2005-11-15  Lillian Angel  <langel@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java:
	Code written by Sven de Marothy.
	(gtkWindowGetLocationOnScreen): Added declaration
	for native function.
	(getLocationOnScreen): Changed to handle 2 different cases.
	If the component is a window, gtkWindowGetLocationOnScreen is
	called; otherwise, gtkWidetGetLocationOnScreen.
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h:
	Added signature for new function Java_gnu_java_awt_peer_
	gtk_GtkComponentPeer_gtkWindowGetLocationOnScreen.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkComponentPeer_gtkWidgetGetLocationOnScreen):
	Implemented.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JViewport.java
	(JViewport): Recognize setting of a system property
	gnu.javax.swing.JViewport for the scrollMode.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalUtils.java
	(fillMetalPattern2D): Fixed the texture width.
	(initializePattern): Made texture transparent.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTextField.java
	(createDefaultModel): Set the filterNewlines property on the created
	model.

2005-11-15  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicListUI.java
	Fixed API docs all over to better explain the changed (but correct)
	behaviour.
	(convertYToRow): Added some short-circuits for special cases. Update
	the layout state if necessary. Fixed to match the JDK behaviour.
	Added API docs to better explain the behaviour.
	(updateLayoutState): When a fixedCellHeight is set, then use the
	cellHeight field, otherwise use the cellHeights array.
	(uninstallDefaults): Removed unnecessary statement.
	(paintBackground): Removed unnecessary method.
	(paintCell): Removed some commented-out code.
	(paint): Removed call to paintBackground().
	(locationToIndex): Removed unused statement.

2005-11-14  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/AttributeSetUtilities.java:
	Added api docs and enhanced api docs all over the place.
	(verifyCategoryForValue): Throw exception when arguments
	are _not_ equal and throw NPE also if attribute is null.

2005-11-14  Lillian Angel  <langel@redhat.com>

	* gnu/java/awt/peer/gtk/GtkComponentPeer.java
	(getLocationOnScreen): The insets should be taken into account
	when returning the location of an object on the screen.

2005-11-14  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JMenuBar.java:
	(removeNotify): Unregister this JMenuBar from the KeyboardManager.
	* javax/swing/KeyboardManager.java:
	(unregisterJMenuBar): New implementation method.

2005-11-14  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JComponent.java:
	(removeNotify): Removed unncessary InputMap and ActionMap inheritance
	code. Added FIXME to remove the WHEN_IN_FOCUSED_WINDOW bindings from 
	the KeyboardManager.
	* javax/swing/JMenuBar.java:
	(removeNotify): Added FIXME to unregister this JMenuBar from the 
	KeyboardManager.

2005-11-14  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/HashAttributeSet.java:
	Added api docs to class and clarified method documentation.
	(toArray): Get iterator from values instead of entries.
	(hashCode): Compute hashcode according to specification.
	(get): Throw NullPointerException if category is null.
	(HashAttributeSet(Attribute[],Class)): Changed to allow
	Attribute[] to be null.
							
2005-11-14  Mark Wielaard  <mark@klomp.org>

	As suggested by Joao Victor <jvital@gmail.com>:
	* javax/swing/Timer.java (Waker): Removed class.
	(Task): New class.
	(timer): New field.
	(running): Removed field.
	(waker): Likewise.
	(task): New field.
	(isRunning): Check whether task is null.
	(start): Create task and schedule it with timer.
	(stop): Cancel task and clear field.
	(queueEvent): Synchronized on queueLock.

2005-11-14  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTree.java
	(expandPath): No need to get the parent path.
	* javax/swing/event/TreeModelEvent.java:
	Variables should be initialized to null.
	(toString): Implemented.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(treeStructureChanged): Implemented.
	(getParent): Added check to avoid infinite loop.
	(findNode): Fixed check to use getChild, instead of
	getIndexOfChild.
	(updateCurrentVisiblePath): Added a loop to check
	the parent's sibling, if the current node has no
	other siblings.

2005-11-14  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/ActionMap.java: 
	(keys): Return null if the map is empty.
	(allKeys): Likewise.
	* javax/swing/InputMap.java:
	(keys): Return null if the map is empty.
	(allKeys): Likewise.
	* javax/swing/JMenuBar:
	(addNotify): Register the menu with the KeyboardManager.
	(processKeyBinding): New API method.
	(processKeyBindingHelper): New implementation method.
	* javax/swing/JMenuItem.java:
	(setAccelerator): Fire a PropertyChangeEvent after changing the 
	accelerator.
	* javax/swing/KeyboardManager.java:
	(menuBarLookup): New field, Hashtable mapping between top-level 
	containers and a Vector of the JMenuBars contained in them.
	(getHashtableForTopLevel): Changed this public method to package
	private.
	(registerEntireMap): Avoid NPE by returning early if the parameter
	is null or contains no mappings.
	(processKeyStroke): If the mapped component doesn't consume the event,
	let all JMenuBars in the top-level container have a chance at it.
	(getVectorForTopLevel): New implementation method.
	(registerJMenuBar): Likewise.
	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	(propertyChangeListener): New field.
	(PropertyChangeHandler): New class to handle PropertyChangeEvents on 
	the JMenuItem.
	(ClickAction): New class to implement accelerator key handling.
	(BasicMenuItemUI<init>): Instantiate the propertyChangeListener field.
	(installKeyboardActions): Implemented.
	(installListeners): Install the propertyChangeListener.
	(installUI): Call installKeyboardAcions after installing the listeners.
	(uninstallKeyboardActions): Implemented.
	(uninstallListeners): Remove the propertyChangeListener.

2005-11-14  Tom Tromey  <tromey@redhat.com>

	* java/applet/Applet.java (URLAudioClip): New class.
	(newAudioClip): Implemented.
	* gnu/java/beans/DummyAppletContext.java (getAudioClip): Use
	Applet.newAudioClip.
	(DUMMY_CLIP): Removed.
	(DummyAudioClip): Removed.

2005-11-14  Tom Tromey  <tromey@redhat.com>

	* javax/sound/sampled/Line.java (open): Throws
	LineUnavailableException.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	Reported by Ingo Proetel  <proetel@aicas.com>
	* gnu/java/io/PlatformHelper.java
	(toCanonicalForm): Remove lowercasing of paths in Windows. This
	breaks working with URLs, like when accessing files withing JAR
	files.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JLayeredPane.java
	(paint): Only clear the background if the layeredPane is opaque.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/RepaintManager.java
	(globalManager): Removed obsolete field.
	(currentRepaintManagers): New field.
	(RepaintWorker.run): Fetch current RepaintManager for the current
	thread group.
	(currentManager): Return the current manager for the current thread
	group.
	(setCurrentManager): Set the repaint manager for the current thread
	group.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboPopup.java
	(show): Instead of fiddling with the list size, set the preferredSize
	of the scroller.
	(configureScroller): Set border to null.
	(configurePopup): Set border correctly.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	(setButtonIcons): Only set icons if buttons are != null.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Fixed some UI defaults used by ProgressBar.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTextFieldUI.java
	(propertyChange): Get new value from the PropertyChangeEvent and
	not from the component itself (since when it receives the event,
	the component still has the old state).

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTextUI.java
	(uninstallListeners): Uninstall the document listener here.
	(getVisibleEditorRect): Fetch the textComponent via getComponent().

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/BoxView.java
	(paint): Only paint child if it is inside the current clip.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/AbstractButton.java
	(setEnabled): Also set focusable flag on the button when the enabled
	property changes.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicProgressBarUI.java
	(boxRect): New protected field.
	(PropertyChangeHandler.propertyChange): Fixed typo in 'indeterminate'.
	Only start animation when progressBar is actually showing. Removed
	repaint call.
	(AncestorHandler): New inner class. Helps starting/stopping the
	animation when progressBar becomes showing/hidden.
	(ComponentHandler): New inner class. Recalculates box sizes for
	indeterminate progress bars when the size of the progress bar
	changes.
	(boxRect): New protected field.
	(boxDependent): New transient field.
	(boxIndependent): New transient field.
	(incr): New transient field.
	(ancestorListener): New private field.
	(componentListener): New private field.
	(getBox): Fixed calculation of the indeterminate progress bar box
	to match the JDK behaviour.
	(getMaximumSize): Implemented the maximumSize for progressBars.
	(getMinimumSize): Implemented the minimumSize for progressBars.
	(getPreferredInnerHorizontal): Implemented correctly.
	(getPreferredInnerVertical): Implemented correctly.
	(getPreferredSize): Implemented correctly using the getPreferredXXX()
	helper methods.
	(paintDeterminate): Fixed painting to better match the JDK behaviour.
	(paintIndeterminate): Fixed painting to better match the JDK behaviour.
	(paintString): Implemented 'half-dark-half-light' painted text.
	(installListeners): Install new listeners.
	(uninstallListeners): Uninstall new listeners.
	* javax/swing/plaf/basic/MetalProgressBarUI.java
	(paintDeterminate): New method.
	(paintIndeterminate): New method.

2005-11-14  Roman Kennke  <kennke@aicas.com>

	* examples/gnu/classpath/examples/swing/Demo.java
	(static_initializer): Set the L&F and theme explicitly for the
	default option, because JDK1.4 and JDK1.5 have different defaults.
	(mkMenuBar): For the slider demo, trigger the new SliderDemo
	class. Added ProgressBarDemo to menu.
	(mkSliders): Removed obsolete slider demo.
	(mkButtonBar): Added ProgressBar demo.
	* examples/gnu/classpath/examples/swing/ProgressBarDemo.java:
	New file. Demonstrates the JProgressBar.

2005-11-13  Archie Cobbs  <archie@dellroad.org>

	* vm/reference/gnu/classpath/VMStackWalker.java (getClassLoader()):
	added to fix an infinite loop bug.
	* NEWS: note VM interface change.

2005-11-13  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	Fixes bug #23008
	* gnu/java/nio/charset/UTF_16Decoder.java
	MAYBE_BIG_ENDIAN, MAYBE_LITTLE_ENDIAN: New constants representing
	such endianness which is similar to UNKNOWN_ENDIAN but defaults
	to big/little endian without a byte order mark.
	(decodeLoop): Handle MAYBE_BIG_ENDIAN and MAYBE_LITTLE_ENDIAN.
	* gnu/java/nio/charset/UnicodeLittle.java
	(newDecoder): Set the endianness to MAYBE_LITTLE_ENDIAN.

2005-11-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR 24733
	* javax/swing/TransferHandler.java (getClipboard): Rewritten. 

2005-11-13  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/HashDocAttributeSet.java,
	* javax/print/attribute/HashPrintJobAttributeSet.java,
	* javax/print/attribute/HashPrintRequestAttributeSet.java,
	* javax/print/attribute/HashPrintServiceAttributeSet.java,
	Added class api docs and enhanced method api docs.

2005-11-13  Tom Tromey  <tromey@redhat.com>

	* native/jni/midi-dssi/.cvsignore: Updated.
	* native/jni/midi-alsa/.cvsignore: New file.
	* lib/.cvsignore: Updated.

2005-11-13  Tom Tromey  <tromey@redhat.com>

	* javax/sound/sampled/AudioFileFormat.java: New file.
	* javax/sound/sampled/AudioFormat.java: New file.
	* javax/sound/sampled/AudioInputStream.java: New file.
	* javax/sound/sampled/AudioPermission.java: New file.
	* javax/sound/sampled/AudioSystem.java: New file.
	* javax/sound/sampled/BooleanControl.java: New file.
	* javax/sound/sampled/Clip.java: New file.
	* javax/sound/sampled/CompoundControl.java: New file.
	* javax/sound/sampled/Control.java: New file.
	* javax/sound/sampled/DataLine.java: New file.
	* javax/sound/sampled/EnumControl.java: New file.
	* javax/sound/sampled/FloatControl.java: New file.
	* javax/sound/sampled/LineEvent.java: New file.
	* javax/sound/sampled/Line.java: New file.
	* javax/sound/sampled/LineListener.java: New file.
	* javax/sound/sampled/LineUnavailableException.java: New file.
	* javax/sound/sampled/Mixer.java: New file.
	* javax/sound/sampled/Port.java: New file.
	* javax/sound/sampled/ReverbType.java: New file.
	* javax/sound/sampled/SourceDataLine.java: New file.
	* javax/sound/sampled/spi/AudioFileReader.java: New file.
	* javax/sound/sampled/spi/AudioFileWriter.java: New file.
	* javax/sound/sampled/spi/FormatConversionProvider.java: New file.
	* javax/sound/sampled/spi/MixerProvider.java: New file.
	* javax/sound/sampled/TargetDataLine.java: New file.
	* javax/sound/sampled/UnsupportedAudioFileException.java: New file.

2005-11-13  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/EnumSyntax.java:
	API docs added and enhanced for class and methods.
	(readResolve): New method.
		
2005-11-13  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/attribute/Attribute.java,
	javax/print/attribute/AttributeSet.java,
	javax/print/attribute/DocAttribute.java,
	javax/print/attribute/DocAttributeSet.java,
	javax/print/attribute/PrintJobAttribute.java,
	javax/print/attribute/PrintJobAttributeSet.java,
	javax/print/attribute/PrintRequestAttribute.java,
	javax/print/attribute/PrintRequestAttributeSet.java,
	javax/print/attribute/PrintServiceAttribute.java,
	javax/print/attribute/PrintServiceAttributeSet.java,
	javax/print/attribute/SupportedValuesAttribute.java,
	javax/print/attribute/UnmodifiableSetException.java:
	Added api documentation to class and method definitions.
	* javax/print/attribute/package.html: Included a package description.

2005-11-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/Interceptor/gnuIorInfo.java (state): Made public.
	* gnu/CORBA/Interceptor/gnuServerRequestInfo.java 
	(adapter_name, orb_id, server_id): New methods.
	* org/omg/PortableInterceptor/IORInfoOperations.java
	(state): New method.
	* org/omg/PortableInterceptor/ServerRequestInfoOperations.java
	(adapter_name, orb_id, server_id): New methods.	

2005-11-13  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR 24749
	* javax/swing/plaf/basic/BasicTextUI.java (installDefaults):  
	Call setSelectionColor. 

2005-11-12  Wolfgang Baer  <WBaer@gmx.de>

	* java/io/ObjectInputStream.java
	(processResolution): Pass Error, RuntimeException and
	ObjectStreamException through to the caller.
	(readObject): Documentation update.

2005-11-11  Mark Wielaard  <mark@klomp.org>
	    Anthony Green  <green@redhat.com>

	* java/util/Properties.java (load): Short-circuit parsing when key or
	value doesn't contain escape character. Use StringBuilder instead of
	StringBuffer.
	(store): Use StringBuilder instead of StringBuffer.
	(formatForOutput): Likewise.

2005-11-11  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicSplitPaneUI.java
	(getMinimumDividerLocation): Fixed to use the  minimum size
	of the correct component. Also, removed call to getAvailableSize,
	this is not needed for the minimum location.

2005-11-11  Archie Cobbs  <archie@dellroad.org>

	* autogen.sh: Fix broken libtool version detection on FreeBSD.

2005-11-11  Lillian Angel  <langel@redhat.com>

	* java/awt/Container.java
	(LightweightDispatcher.acquireComponentForMouseEvent): If the 
	event is not being dispatched, the pressCount should be reset.

2005-11-11  Mark Wielaard  <mark@klomp.org>

	* javax/swing/text/FieldView.java (getPreferredSpan): Chain
	BadLocationException when throwing assertion.

2005-11-11  Mark Wielaard  <mark@klomp.org>

	Reported by john.zigman@anu.edu.au as bug #24608.
	* gnu/java/nio/SocketChannelImpl.java (read): Put readBytes in
	destination ByteBuffer when it doesn't have an array instead of len
	bytes.

2005-11-11  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/IORInterceptor_3_0.java,
	org/omg/PortableInterceptor/IORInterceptor_3_0Helper.java,
	org/omg/PortableInterceptor/IORInterceptor_3_0Holder.java,
	org/omg/PortableInterceptor/IORInterceptor_3_0Operations.java,
	org/omg/PortableInterceptor/_IORInterceptor_3_0Stub.java: New files.
	* gnu/CORBA/Interceptor/IORInterceptors.java,
	gnu/CORBA/Interceptor/gnuIorInfo.java,
	gnu/CORBA/OrbRestricted.java,
	gnu/CORBA/Poa/AOM.java,
	gnu/CORBA/Poa/ORB_1_4.java,
	gnu/CORBA/Poa/gnuPOA.java,
	gnu/CORBA/Poa/gnuPOAManager.java,
	org/omg/PortableInterceptor/IORInfoOperations.java,
	org/omg/PortableInterceptor/IORInterceptorOperations.java,
	org/omg/PortableInterceptor/ORBInitInfoOperations.java,
	org/omg/PortableInterceptor/ObjectReferenceFactoryOperations.java:
	Rewritten to support the IORInterceptor_3_0.

2005-11-10  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/metal/MetalRadioButtonUI.java
	(paintFocus): Centered border around rectangle. It seemed
	a bit offset and too small at times.

2005-11-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicListUI.java
	(valueChanged): Repaint list when selection changed.
	(updateLayoutState): Reworked to correctly respect fixed cell sizes.
	(installListeners): Create component listener before adding it.
	(paint): Optimized to only draw the cells in the clip.

2005-11-10  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JComponent.java:
	(processKeyEvent): Reworked this method to improve performance.  Return
	early if the event has already been handled. Don't stop climbing when
	we hit a JInternalFrame, only stop at Applets or Windows (this fixes
	PR 24781). Don't check WHEN_IN_FOCUSED_WINDOW bindings if there is no
	top-level container present.  If there is a top-level container,  pass 
	it to KeyboardManager.processKeyStroke rather than the JComponent that
	actually received the event, to save time in finding the top-level 
	container within KeyboardManager.
	* javax/swing/KeyboardManager.java:
	(findTopLevel): Changed parameter from JComponent to Component to allow
	generality and to allow passing in of already-determined top-level 
	containers to save time.
	(processKeyStroke): Likewise.

2005-11-10  Mark Wielaard  <mark@klomp.org>

	Fixes bug #24731 reported by freebeans@xqb.biglobe.ne.jp.
	* java/awt/ScrollPane.java (addNotify): Return immediately when peer
	already set.

2005-11-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(installListeners): Also install focusListener on the listBox.
	(uninstallListeners): Also uninstall focusListener from the listBox.
	(setPopupVisible): Request focus on the listbox when making the
	popup visible.

2005-11-10  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(paintingTile): New field.
	(isPaintingTile): Implemented.
	(paintChildren): Optimized painting of overlapping children.

2005-11-10  Mark Wielaard  <mark@klomp.org>

	Reported by Petteri <betelgeuse@gentoo.org> bug #24768 and bug #24769.
	* configure.ac (dssi): Change accidental alsa reference to dssi.
	* native/jni/midi-dssi/Makefile.am (libgjsmdssi_la_SOURCES): Add
	dssi_data.h.

2005-11-10  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/OrbFunctional.java (use_properties, set_parameters):
	Rewritten to support orb and server ids.
	* org/omg/CORBA/ORB.java,
	org/omg/PortableInterceptor/ObjectReferenceTemplate.java: 
	Documentation update.

2005-11-09  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JComponent.java:
	(addNotify): Unregister all WHEN_IN_FOCUSED_WINDOW bindings for this 
	JComponent and then register them with its (potentially) new top level
	ancestor.  Removed unncessary code that copied regular (WHEN_FOCUSED)
	key bindings up the parent hierarchy.  

2005-11-09  Roman Kennke  <kennke@aicas.com>

	Reported by Friedjof Siebert  <siebert@aicas.com>
	* java/util/WeakHashMap.java
	(WeakEntrySet.Iterator.checkMod): Improved exception message.
	(internalRemove): Removed redundant reads of buckets[slot] and
	prev.next and added checks to ensure that no null pointer
	exception may occur and that this can be proved automatically.

2005-11-09  Roman Kennke  <kennke@aicas.com>

	Reported by Friedjof Siebert  <siebert@aicas.com>
	* java/io/PrintWriter.java
	(line_separator):  Added default value for property to ensure
	absence of null pointer exception even if property is not set.

2005-11-09  Roman Kennke  <kennke@aicas.com>

	* java/io/InputStreamReader.java
	(InputStreamReader(InputStream, CharsetDecoder)): Catch the case
	when the CharsetDecoder returns a null charset and handle it like
	US-ASCII.

2005-11-09  Mark Wielaard  <mark@klomp.org>

	Reported by Petteri Räty <betelgeuse@gentoo.org>
	* INSTALL: Remove double --enable-xmlj entry.

2005-11-09  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JComponent.java:
	(processKeyEvent): Use local variables for boolean pressed and for 
	the KeyStroke.  Implemented the code for WHEN_IN_FOCUSED_WINDOW
	bindings.
	(updateComponentInputMap): Implemented and fixed typo in docs.
	* javax/swing/KeyboardManager.java: New class.

2005-11-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTabbedPane.java
	(setComponent): Tab should be inserted with a title, and removed from
	the vector once set.
	(removeTabAt): Tab should only be removed from vector.
	remove(Component) is called to remove the tab from the JTabbedPane.
	(remove): Added call to the component. This function should remove
	the component as well as the tab.

2005-11-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTabbedPane.java
	(setComponent): No need to remove and add tab.
	(remove): Fixed API documentation.
	(remove): Fixed API documentation. Re-implemented according to API.

2005-11-09  Mark Wielaard  <mark@klomp.org>

	* doc/www.gnu.org/cp-tools/cp-tools.wml: Add gjdoc download link.

2005-11-09  Chris Burdess  <dog@gnu.org>

	* gnu/xml/aelfred2/SAXDriver.java: Ensure that absolutize does not
	throw exception when custom entity resolver is set.

2005-11-09  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/event/InvocationEvent.java:
	(exception): Replaced this field (removed yesterday) because it is 
	needed for serialization.
	(dispatch): Save thrown exception.
	(getException): Directly return exception, no need to cast throwable.

2005-11-09  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/ComponentInputMap.java:
	(put): Notify the component.
	(clear): Likewise.
	(remove): Likewise.
	(setParent): Notify the parent.  Improved the exception messages.
	* javax/swing/JComponent.java:
	(inputMap_whenInFocusedWindow): Changed type from InputMap to 
	ComponentInputMap.
	(setInputMap): If we're setting the WHEN_IN_FOCUSED_WINDOW map and 
	the parameter is not a ComponentInputMap or is not associated with 
	the same Component, throw an IllegalArgumentException.
	(getInputMap): Create a new ComponentInputMap instead of a new 
	InputMap when the WHEN_IN_FOCUSED_WINDOW map doesn't yet exist.
	(udpateComponentInputMap): New method.  This is the method that 
	ComponentInputMap calls when it is updated.  Not yet completely 
	implemented.

2005-11-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/ObjectReferenceTemplateSeqHelper.java,
	org/omg/PortableInterceptor/ObjectReferenceTemplateSeqHolder.java:
	New files.

2005-11-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/ObjectReferenceTemplate.java,
	org/omg/PortableInterceptor/ObjectReferenceTemplateHelper.java,
	org/omg/PortableInterceptor/ObjectReferenceTemplateHolder.java:
	New files.

2005-11-09  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTabbedPane.java
	(setComponent): Added check to prevent infinite loops.
	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	(createLayoutManager): Should call super here, so the layout
	is set properly depending on the layout mode.

2005-11-09  David Gilbert  <david.gilbert@object-refinery.com>

	* examples/gnu/classpath/examples/swing/Demo.java
	(mkMenuBar): added file chooser item,
	(mkButtonBar): split buttons into two rows, added 'FileChooser' button,
	* examples/gnu/classpath/examples/swing/FileChooserDemo.java: New file.

2005-11-09  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/ObjectReferenceFactory.java: Do not
	inherit	from org.omg.CORBA.Object.

2005-11-09  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/ComponentUI.java
	(update): Restore the foreground color after filling the background.

2005-11-09  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(paint): Fetch a new componentGraphics here instead of
	paintComponent.
	(paintComponent): Don't fetch the componentGraphics here. This
	must be done in paint.

2005-11-09  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JList.java
	(setModel): throw IllegalArgumentException for null model.

2005-11-09  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTextUI.java
	(getVisibleEditorRect): Correctly calculate the inner rectangle.

2005-11-09  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c 
	(initStaticState): Register global variable glyphVector_class 
	as global reference.

2005-11-08  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/text/DefaultCaret.java (BlinkTimerListener):  
	Added ignoreNextEvent flag and its handling.
	(blinkListener): New field. (initBlinkTimer): 
	Initialise blinkListener field.
	(setDot, moveDot): Call appear() instead of repaint(). 
	(appear): new method.

2005-11-08  Lillian Angel  <langel@redhat.com>

	* examples/gnu/classpath/examples/swing/GNULookAndFeel.java
	(getDefaults): Added icons for checkboxes and radiobutton.
	(CheckBoxIcon): New class, implemented.
	(RadioButtonIcon): New class, implemented.

2005-11-08  Tom Tromey  <tromey@redhat.com>

	* gnu/classpath/SystemProperties.java: Don't mention
	gnu.java.awt.FocusManager.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/CompositeView.java
	(modelToView): Adjust the allocation to the child allocation before
	forwarding to the child's modelToView. Replaced AssertionError by
	BadLocationException, because that is the right thing to do here.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	(GlassPaneDispatcher.acquireComponentForMouseEvent): Use the
	frame's layeredPane as parent instead of the content pane
	when searching for the event target. This way a possibly set menubar
	is also included in the search.

2005-11-08  Lillian Angel  <langel@redhat.com>

	* java/awt/Window.java
	(setLocationRelativeTo): Changed x and y to use getLocationOnScreen
	and moved setLocation call outside of check.
	* javax/swing/JOptionPane.java
	(createDialog): Moved pack call and setLocationRelativeTo call here
	and removed these calls from all other functions that call
	createDialog. Also, removed FIXME, since call to setLocationRelativeTo
	fixes this.
	(showConfirmDialog): Removed pack and setLocationRelativeTo calls.
	(showConfirmDialog): Likewise.
	(showConfirmDialog): Likewise.
	(showConfirmDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showMessageDialog): Likewise.
	(showMessageDialog): Likewise.
	(showOptionDialog): Likewise.
	* javax/swing/JTree.java
	(JTree): Should not use a shared instance of the selection model. It
	is a problem when one application has two different trees.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(paintRow): Changed parameter to be the focus of the tree.
	(updateCurrentVisiblePath): Adjusted root path incase the root is hidden.

2005-11-08  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/event/InvocationEvent.java:
	(exception): Removed unnecessary field.
	(dispatch): Removed reference to field exception.
	(getException): If throwable is an Exception, return a casted version, 
	otherwise return null.
	(getThrowable): Improved docs.

2005-11-08  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/SwingUtilities.java:
	(replaceUIActionMap): Stop climbing hierarchy once we've found an 
	ActionMapUIResource, don't keep looking until parent is null.  No need
	to check if child is null.
	(replaceUIInputMap): Use a local variable for the parent rather than 
	3 calls to get parent.  No need to check if child is null.
	* javax/swing/plaf/basic/BasicListUI.java:
	* javax/swing/plaf/basic/BasicTableUI.java:
	* javax/swing/plaf/basic/BasicTreeUI.java:
	(installKeyboardActions): UI ActionMap should be of type 
	ActionMapUIResource, not just ActionMap.

2005-11-08  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java:
	(ElementBuffer.clone): New API method.

2005-11-08  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/lang/String.java:
	(replace): Use a StringBuilder instead of a StringBuffer because this 
	is faster and we don't need thread-safety.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTextUI.java
	(installDefaults): Initialize background field correctly.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* java/awt/BorderLayout.java
	(getAlignmentX): Return 0.5F here.
	(getAlignmentY): Return 0.5F here.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JRootPane.java
	(RootLayout.glassPaneBounds): New field.
	(RootLayout.layeredPaneBounds): New field.
	(RootLayout.contentPaneBounds): New field.
	(RootLayout.menuBarBounds): New field.
	(RootLayout.prefSize): New field.
	(getLayoutAlignmentX): Return 0.0F here.
	(getLayoutAlignmentY): Return 0.0F here.
	(invalidateLayout): Throw away cached layout information.
	(layoutContainer): Simplified and fixed the layout. Use cache if
	possible.
	(preferredLayoutSize): Simplified and fixed the layout. Use cache if
	possible.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(alignmentX): Changed default value to -1.0.
	(alignmentY): Changed default value to -1.0.
	(getAlignmentX): If no value has been set, refer to the superclass
	behaviour.
	(getAlignmentY): If no value has been set, refer to the superclass
	behaviour.
	(setAlignmentX): Catch invalid values and adjust them to the nearest
	valid value.
	(setAlignmentY): Catch invalid values and adjust them to the nearest
	valid value.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* java/awt/Container.java
	(getAlignmentX): Refer to the layout managers layoutAlignmentX
	property if layout manager is a LayoutManager2.
	(getAlignmentY): Refer to the layout managers layoutAlignmentY
	property if layout manager is a LayoutManager2.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JLayeredPane.java
	(layerToRange): Return empty array for unknown layer instead of
	throwing an exception.

2005-11-08  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(invalidate): Don't invalidate invalid parents.

2005-11-08  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/JComponent.java (setMaximumSize, 
	setMinimumSize, setPreferredSize): Clone the passed parameter.

2005-11-07  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(invalidate): Invalidate up the whole tree, regardless if some
	parent is already marked invalid. This is needed in some situations
	for layout managers to throw away their cache.

2005-11-07  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTable.java
	(tableChanged): Cleared selection if there are no more rows. Prevents a
	NPE.
	* javax/swing/JTree.java
	(scrollRectToVisible): No need to set the selection path here.
	(expandPath): Sometimes it is required to set the state of a leaf, 
	especially if the leaf is the root node.
	* javax/swing/plaf/basic/BasicTreeUI.java
	(getRowCount): Added call to updateCurrentVisiblePath, so the
	correct value is always returned.
	(paint): No need to paint if the visible path is null.
	(propertyChange): Implemented.
	(paintRecursive): Added check for visibility of child. If it is
	not visible because it was explicitly set to be hidden, no lines
	should be drawn.
	(paintControlIcons): Likewise.
	(getPreviousNode): Fixed check to include root.
	(paintRow): Set focus to be true (this will change in the future).
	(updateCurrentVisiblePath): Fixed check to call getNextNode if
	the current node is a leaf (more efficent than calling getNextSibling).
	* javax/swing/tree/DefaultTreeCellRenderer.java
	(getTreeCellRendererComponent): Changed to draw border if node has focus.

2005-11-07  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	Fixes bug #24467
	* native/jni/java-nio/gnu_java_nio_charset_iconv_IconvDecoder.c
	(Java_gnu_java_nio_charset_iconv_IconvDecoder_decode):
	Do not check errno == EINVAL, which is a normal case.

2005-11-07  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	Fixes bug #22968
	* gnu/java/nio/charset/iconv/IconvProvider.java
	(IconvProvider): Declare the constructor public.

2005-11-07  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JApplet.java
	(initStageDone): Removed unnecessary field.
	(JApplet): Use rootPaneCheckingEnabled property instead of
	initStageDone field.
	(setLayout): Likewise.
	(addImpl): Likewise.
	* javax/swing/JDialog.java
	(initStageDone): Removed unnecessary field.
	(dialogInit): Use rootPaneCheckingEnabled property instead of
	initStageDone field.
	(setLayout): Likewise.
	(addImpl): Likewise.
	* javax/swing/JFrame.java
	(initStageDone): Removed unnecessary field.
	(frameInit): Use rootPaneCheckingEnabled property instead of
	initStageDone field.
	(setLayout): Likewise.
	(addImpl): Likewise.
	* javax/swing/JWindow.java
	(initStageDone): Removed unnecessary field.
	(windowInit): Use rootPaneCheckingEnabled property instead of
	initStageDone field.
	(setLayout): Likewise.
	(addImpl): Likewise.
	* javax/swing/JInternalFrame.java
	(initStageDone): Removed unnecessary field.
	(JInternalFrame): Use rootPaneCheckingEnabled property instead of
	initStageDone field.
	(setLayout): Likewise.
	(addImpl): Likewise.
	(paramString): Return superclass paramstring.
	(reshape): Call revalidate() instead of invalidate() and doLayout().
	(setUI): Temporarily go into init mode, so that the UI can
	manipulate the frame directly.
	(updateUI): Likewise.

2005-11-07  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/lang/String.java:
	(replace): Use a StringBuffer instead of String.  Only search for new 
	occurrences of the target that occur AFTER the text just inserted, so 
	if the replacement string contains the target string we won't go into 
	an infinite loop.  Use local variables instead of repeated calls to 
	length() and toString().

2005-11-07  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c: 
	Use long for 64-bit architectures.

2005-11-07  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/util/Arrays.java:
	(toString(long[])): New API method.
	(toString(int[])): Likewise.
	(toString(short[])): Likewise.
	(toString(char[])): Likewise.
	(toString(byte[])): Likewise.
	(toString(boolean[])): Likewise.
	(toString(float[])): Likewise.
	(toString(double[])): Likewise.
	(toString(Object[])): Likewise.

2005-11-07  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/event/InvocationEvent.java:
	(throwable): New field.
	(getThrowable): New API method.
	(dispatch()): Catch Throwable, not Exception.  Save the Throwable.  If
	it is an Exception, save the Exception.

2005-11-07  Lillian Angel  <langel@redhat.com>

	* javax/swing/Popup.java
	(show): Set layout for panel. Otherwise, contents are
	displayed at an arbitrary location.
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(getPreferredMenuItemSize): Took into account insets.
	* javax/swing/plaf/metal/MetalButtonUI.java
	(paintFocus): Don't paint focus if not enabled.

2005-11-07  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/lang/String.java:
	(contains): New API method.
	(replace): New API method.

2005-11-07  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/lang/Boolean.java:
	(compareTo(Boolean)): New API method.

2005-11-07  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(installComponents): update local reference to editor component always,
	(getDisplaySize): implement new calculation for editable combo boxes,
	* javax/swing/plaf/metal/MetalComboBoxEditor.java
	(editorBorderInsets): initialise with correct value,
	* javax/swing/plaf/metal/MetalComboBoxUI.java
	(getMinimumSize): implemented different calculation for editable combo 
	boxes.

2005-11-07  Lillian Angel  <langel@redhat.com>

	* javax/swing/JOptionPane.java
	(showConfirmDialog): Added call to set the location of the
	dialog relative to its parent.
	(showConfirmDialog): Likewise.
	(showConfirmDialog): Likewise.
	(showConfirmDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showInputDialog): Likewise.
	(showMessageDialog): Likewise.
	(showMessageDialog): Likewise.
	(showMessageDialog): Likewise.
	(showOptionDialog): Likewise.

2005-11-07  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(getPreferredMenuItemSize): Adjusted width of menu item with
	arrow icon. If the menu item can fit in the current width of
	the top level menu, then the width of the menu item is set to
	the width of the popup menu. Otherwise, the width of the
	menu item is adjusted so that the width of the popup menu
	is increased.

2005-11-07  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Don't check or replace FREETYPE2.
	* native/jni/gtk-peer/Makefile.am: Remove FREETYPE2_LIBS and
	FREETYPE2_CFLAGS.

2005-11-07  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalComboBoxEditor.java
	(MetalComboBoxEditor): don't create new editor.

2005-11-07  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicComboBoxEditor.java: API docs plus
	(BasicComboBoxEditor): set border to null and columns to 9,
	(addActionListener): implemented,
	(removeActionListener): implemented.

2005-11-07  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/IOR.java (equals, hasCode): Compare port number as well
	and do not crash on IOR.Internet==null.

2005-11-06  Mark Wielaard  <mark@klomp.org>

	* javax/swing/Timer.java (Waker.run): Test and set running while
	holding queueLock.
	(start): Set running to true.
	(stop): Unconditionally notify queueLock.
	(queueEvent): Only called when queueLock already held.

2005-11-06  Andreas Tobler  <a.tobler@schweiz.ch>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_setGradientUnlocked): Update
	debug output to reflect actual situation.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_setTexturePixelsUnlocked):
	Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_drawPixels): Adjust
	formatting.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoSetMatrixUnlocked):
	Update debug output to reflect actual situation.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoSetRGBAColorUnlocked):
	Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoCurveTo): Adjust
	formatting.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoRelCurveTo): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoRectangle): Likewise.
	(Java_gnu_java_awt_peer_gtk_GdkGraphics2D_cairoSurfaceSetFilterUnlocked):
	Update debug output to reflect actual situation.

2005-11-06  Mark Wielaard  <mark@klomp.org>

	* java/awt/image/AreaAveragingScaleFilter.java: Add FIXME
	* java/awt/Image.java (getScaledInstance): In case of
	SCALE_AREA_AVERAGING use AreaAveragingScaleFilter.

2005-11-06  Wolfgang Baer  <WBaer@gmx.de>

	* javax/print/event/PrintEvent.java,
	* javax/print/event/PrintJobAdapter.java,
	* javax/print/event/PrintJobAttributeEvent.java,
	* javax/print/event/PrintJobAttributeListener.java,
	* javax/print/event/PrintJobEvent.java,
	* javax/print/event/PrintJobListener.java,
	* javax/print/event/PrintServiceAttributeEvent.java,
	* javax/print/event/PrintServiceAttributeListener.java,
	* javax/print/event/package.html: Added API docs all over.

2005-11-06  Wolfgang Baer  <WBaer@gmx.de>

	* java/io/File.java
	(getParent): If pathname is "" return null.
	(toURI): Also append separatorChar if path equals "".
	(getAbsolutePath): If path equals "" only return the value
	of the user.dir system property.

2005-11-06  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/XMLStreamWriterImpl.java: Ensure that generated
	prefixes do not accidentally clash, and provide documentation for
	new virtual methods. createPrefix (new method) signature changed to
	provide namespace URI for the benefit of subclasses.

2005-11-06  Chris Burdess  <dog@gnu.org>

	* gnu/xml/transform/StreamSerializer.java: Avoid undeclared apos
	entity when output mode is HTML.

2005-11-06  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/IOR.java (equals, hashCode): New metods.
	* gnu/CORBA/SimpleDelegate.java (is_equivalent): Compare IORs when applicable.

2005-11-06  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/Minor.java (IOR_missing): New minor code.
	* gnu/CORBA/NamingService/NameParser.java (corbaloc): Implemented
	file//, ftp:// and http:// support.
	* gnu/javax/rmi/CORBA/UtilDelegateImpl.java (mapSystemException): 
	Set the cause directly.
	* org/omg/CORBA/DATA_CONVERSION.java,
	org/omg/CORBA/ORB.java (string_to_object): Documentation update.

2005-11-06  Chris Burdess  <dog@gnu.org>

	* gnu/xml/stream/XMLStreamWriterImpl.java: Fixed handling of
	namespaces when isPrefixDefaulting is set.

2005-11-04  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/DefaultStyledDocument.java: Reformatted.

2005-11-04  Lillian Angel  <langel@redhat.com>

	* java/awt/Window.java
	(setLocationRelativeTo): Implemented case when
	component is not null.

2005-11-04  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/BufferedImage.java (BufferedImage): Implement
	Transparency.
	(getTransparency): New method.

2005-11-04  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * gnu/CORBA/SocketRepository.java (sockets): Changed type to
	HashMap. (put_socket, get_socket, gc):
	Always synchronize on 'sockets'.

2005-11-04  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Set version to 0.20-pre.

2005-11-04  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/StyleConstants.java:
	(Family): New API field.
	(Size): New API field.

2005-11-04  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(paintMenuItem): Changed to use isTopLevelMenu rather than checking
	instance of parent.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java
	(popupMenuWillBecomeInvisible): Added check to prevent NPE.
	* javax/swing/Popup.java:
	Added new private field.
	(LightweightPopup): Initialized layeredPane.
	(show): Removed unneeded code.
	(hide): Likewise.

2005-11-04  Roman Kennke  <kennke@aicas.com>

	* javax/swing/table/DefaultTableCellRenderer.java
	(updateUI): Set the background and foreground color fields to null
	here so that installing the LabelUI does not interfere with our
	custom set colors.
	(getTableCellRendererComponent): Only set UI focus colors when
	cell is actually editable. Added optimization for the case
	when background is equal to table background.

2005-11-04  Roman Kennke  <kennke@aicas.com>

	* javax/swing/table/DefaultTableCellRenderer.java
	(getTableCellRendererComponent): Call super.setBackground() or
	super.setForeground() to avoid overriding custom set background or
	foreground colors. Set the UI focus colors when focused.

2005-11-04  Roman Kennke  <kennke@aicas.com>

	* examples/gnu/classpath/examples/swing/TextFieldDemo.java: New file.
	Demonstrates the JTextFields in various states.
	* examples/gnu/classpath/examples/swing/Demo.java: Replaced the
	old textfield demo with the new one.

2005-11-04  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTextUI.java
	(getMinimumSize): New method.
	* javax/swing/text/FieldView.java
	(getPreferredSpan): Added assert that replaces a 'should never happen'
	comment.

2005-11-04  Roman Kennke  <kennke@aicas.com>

	* javax/swing/SizeRequirements.java
	(getTiledSizeRequirements): Added check for overflows.
	(adjustGreater): Fixed overflow handling through usage of long
	instead of int.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/DefaultCaret.java
	(positionCaret): Call setDot instead of moveDot.
	* javax/swing/text/PlainView.java
	(viewToModel): Exclude the final newline character from calculation.

2005-11-03  Mark Wielaard  <mark@klomp.org>

	* doc/www.gnu.org/announce/20051102.wml: New file.
	* doc/www.gnu.org/newsitems.txt: Add 0.19 release announcement.
	* doc/www.gnu.org/downloads/downloads.wml: Add 0.19.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/table/DefaultTableCellRenderer.java
	(background): New field.
	(foreground): New field.
	(setBackground): Store the color that is set here.
	(setForeground): Store the color that is set here.
	(getTableCellRendererComponent): For the unselected color, set the
	value of the foreground or background fields if not null, otherwise
	the value of the according table properties. Don't change
	the color in the focused clause.

2005-11-03  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(mousePressed): If the control icon is clicked, the
	path selected should not be changed.
	(paintRecursively): Moved call to getChildCount before
	loop.
	(paintRow): Added a check to prevent NPE.
	(updateCurrentVisiblePath): Made this slightly more efficent. 
	Instead of checking each path, we can check the siblings if the
	current node is not expanded.
	* javax/swing/table/DefaultTableCellRenderer.java
	(getTableCellRendererComponent): Fixed indentation, and changed
	to set the background color if it is not an instance of
	ColorUIResource. Prevents overriding a user-set color.

2005-11-03  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/WrappedPlainView.java: Fixed some > 80 chars lines.
	(drawSelectedText): Fixed startOffset for call to 
	Utilities.drawTabbedText to make sure tabs are properly expanded.
	(drawUnselectedText): Likewise.
	(getMinimumSpan): New API method.
	(getMaximumSpan): New API method.
	(setSize): Call preferenceChanged if the width has changed.
	(WrappedLine.determineNumLines): Move numLines=0 to the top in case 
	the early return happens, numLines will still be correct.
	(WrappedLine.updateDamage): New implementation method called by 
	insertUpdate and removeUpdate to repaint the appropriate part of the 
	JTextArea.
	(WrappedLine.insertUpdate): New method.
	(WrappedLine.removeUpdate): New method.

2005-11-03  Lillian Angel  <langel@redhat.com>

	* javax/swing/table/DefaultTableCellRenderer.java
	(getTableCellRendererComponent): Fixed so that the label is 
	painted with the correct background color. Does not depend on 
	type of border. Removed this code.

2005-11-03  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/JTextComponent.java:
	(select): The end index cannot be smaller than the start index, changed
	Math.max(end, 0) to Math.max(end, start).
	* javax/swing/text/WrappedPlainView.java:
	(selectionStart): New package private field.
	(selectionEnd): Likewise.
	(drawLine): Implemented to call drawUnselectedText and drawSelectedText
	on the appropriate parts of the line.  Before it just drew the whole
	line with drawUnselectedText.
	(paint): Store the start and end of the selection.
	(WrappedLine.paint): Set the selected color to Color.WHITE.

2005-11-03  Lillian Angel  <langel@redhat.com>

	* javax/swing/table/DefaultTableCellRenderer.java
	(getTableCellRendererComponent): Should only draw focus if the border
	is not an empty border.

2005-11-03  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR swing/24650
	* javax/swing/text/PlainView.java (viewToModel)):
	The end of line symbol (0xA), if being the last member in the 
	obtained text, should not be counted. 

2005-11-03  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	Changed field to be the gap between the different
	menu's instead. defaultTextArrowGap is not needed.
	(getPreferredMenuItemSize): Adjusted preferred size of
	Menu Item with an arrowIcon to be the size of the
	popupMenu. If its parent is not a popupMenu, then
	it is a new Menu on a MenuBar.
	* javax/swing/plaf/metal/MetalButtonUI.java
	(paintFocus): Height of focus border should not be 
	adjusted. It was being cutoff.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTextUI.java
	(RootView.getNextVisualPositionFrom): New method.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/DefaultStyledDocument.java
	(AttributeUndoableEdit): New inner class.
	(StyleChangeListener): New inner class.
	(styleChangeListener): New field.
	(addStyle): Add styleChangeListener to new style.
	(getStyleNames): New method.
	(styleChanged): New method.
	(insert): New method.
	(create): New method.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/DefaultTextUI.java: New file.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/DefaultCaret.java
	(mouseDragged): Call moveCaret.
	(mouseClicked): Made TODO comment more precise.
	(mouseExited): Replaced TODO comment with Nothing to do comment.
	(mousePressed): Call positionCaret.
	(moveCaret): Implemented.
	(positionCaret): Implemented.
	(moveDot): Call adjustVisibility.
	(setDot): Call adjustVisibility.
	(adjustVisibility): New method.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/Utilities.java
	(getPositionAbove): New utility method.
	(getPositionBelow): New utility method.
	(getParagraphElement): Special case for StyledDocuments.
	* javax/swing/text/View.java
	(getNextVisualPositionFrom): New abstract method.
	* javax/swing/text/ComponentView.java
	(getNextVisualPositionFrom): New method.
	* javax/swing/text/CompositeView.java
	(getNextVisualPositionFrom): New method.
	* javax/swing/text/FlowView.java
	(LogicalView.getNextVisualPositionFrom): New method.
	* javax/swing/text/GlyphView.java
	(getNextVisualPositionFrom): New method.
	* javax/swing/text/IconView.java
	(getNextVisualPositionFrom): New method.
	* javax/swing/text/PlainView.java
	(getNextVisualPositionFrom): New method.
	* javax/swing/text/WrappedPlainView.java
	(WrappedLine.getNextVisualPositionFrom): New method.

2005-11-03  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/DefaultCaret.java
	(BlinkTimerListener): New inner class. Listens for when the
	blink timer fires and updates the visible flag accordingly.
	(visible): Default value for visible should be false.
	(blinkTimer): New field.
	(Caret): New constructor.
	(focusGained): Make the caret visible.
	(focusLost): Make caret invisible if the focus lost is permanent.
	(deinstall): Deinstall the blink timer.
	(repaint): Call getComponent() instead of directly accessing the
	textComponent field.
	(paint): Call getComponent() instead of directly accessing the
	textComponent field. Added an assert for the 'this should never
	happen' comment. Update the caret rectangle if damage hasn't been
	called before.
	(setBlinkRate): Set the blink rate in the timer if there is already
	a timer present.
	(setVisible): Call damage on the caret's location. Start/Stop blink
	timer.
	(damage): New method. Updates the caret's bounds.
	* javax/swing/text/JTextComponent.java
	(CaretBlinkTimer): Removed unneeded inner class.
	(caretBlinkTimer): Removed unneeded field.
	(JTextComponent): Removed initialization of blink timer.
	(setEditable): Removed starting of blink timer.
	(setCaret): Likewise.
	* javax/swing/text/Utilities.java
	(getParagraphElement): New utility method.

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GdkGraphics.java (initComponentGraphics): Set
	color to BLACK when getForeground() returns null.
	(initComponentGraphicsUnlocked): Likewise.

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* javax/swing/Timer.java (Waker.run): Synchronize on queueLock and use
	queueLock.wait(), not Thread.sleep().
	(start): Synchronize on queueLock and check whether waker is null.
	(stop): Synchronize on queueLock and notifyAll().

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* configure.ac: Set version to 0.19.
	* NEWS: Add date of release.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* java/awt/Dialog.java
	(show): Do not call pack() here.

2005-11-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* examples/Makefile.am:
	Comment out JIKES and GCJ conditionals.
	* lib/Makefile.am:
	Comment out JIKES, KJC and GCJ conditionals.
	* m4/acinclude.m4:
	Comment out selection of GCJ, Jikes and KJC as compilers for
	the branch.
	
2005-11-02  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* AUTHORS: Added myself.

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* javax/swing/Timer.java (Waker.run): Only break out when !running.

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* javax/swing/UIManager.java (static): Print complete exception.

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* lib/Makefile.am: Add typeHiding, unchecked, unused and varargsCast
	to ECJ compile warning rule.

2005-11-02  Guilhem Lavaux  <guilhem@kaffe.org>

	* lib/copy-vmresources.sh.in: Added definition for top_srcdir.

2005-11-02  Mark Wielaard  <mark@klomp.org>

	* configure.ac (AC_INIT): Set version to 0.19-generics.
	* lib/Makefile.am: Add typeHiding, unchecked, unused and varargsCast
	to ECJ compile warning rule.

2005-11-02  Tom Tromey  <tromey@redhat.com>

	* javax/sound/midi/Instrument.java (Instrument): Genericized argument
	type.
	* javax/sound/midi/SoundbankResource.java (SoundbankResource):
	Genericized argument type.
	(getDataClass): Genericized return type.
	* javax/sound/midi/Sequence.java (tracks): Changed type.
	(init): Updated.
	(getTracks): Updated.
	(getTickLength): Updated.

2005-11-02  Andreas Tobler  <a.tobler@schweiz.ch>

	* NEWS: Mention Qt4 configury for OS-X.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* NEWS: Added some news items regarding my Swing work.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(findOverlapFreeParent): Don't search beyond the components
	containing window (important when in a Dialog).

2005-11-02  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* AUTHORS: Added myself to the cool gang.

2005-11-02  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/WrappedPlainView.java:
	(calculateBreakPosition): If the component is not valid use it's 
	preferredSize instead of getBounds().

2005-11-02  Lillian Angel  <langel@redhat.com>

	* java/awt/Dialog.java
	(show): pack should always be called before show, so Dialog is
	set to the correct size and validated.

2005-11-02  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac: Check for cairo, pangoft2 and freetype2 only 
	when gtk peers are enabled.

2005-11-02    Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* AUTHORS (Stuart Ballard): Address update.

2005-11-02    Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* AUTHORS: Added Lillian Angel.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JToolBar.java
	(addImpl): Don't call updateUI here. This is really not necessary.
	* javax/swing/plaf/basic/BasicToolBarUI.java
	(installDefaults): Call setRolloverBorders() here in order to
	initialize the button borders.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicScrollPaneUI.java
	(PropertyChangeHandler.propertyChange): Re-setup listeners on
	the scrollbars if the scrollbars change.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* java/awt/Container.java
	(addImpl): Notify registered ContainerListeners even when the
	Container is not showing. Notify the listeners directly, not
	via the event queue.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Fixed the defaults for EditorPane.border,
	TextArea.font and TextPane.border.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(getForeground): Return null as default color, instead of some
	system color.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/BoxLayout.java
	(BoxLayout): Throw AWTError when the axis is invalid.
	(minimumLayoutSize): Respect the insets of the container.
	(maximumLayoutSize): Likewise.
	(invalidateLayout): Throw AWTError if the managed container is
	not the same as the parent parameter.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(getMaximumSize): Return (Short.MAX_VALUE, Short.MAX_VALUE) instead
	of (Integer.MAX_VALUE, Integer.MAX_VALUE) as shown by the
	Mauve test.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(AccessibleJTable.AccessibleJTableCell): New inner class.

2005-11-02  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/filechooser/FileSystemView.java: Added API docs all over,
	* javax/swing/filechooser/UnixFileSystemView.java: Likewise.

2005-11-02  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* java/lang/String.java (String): Added 
	StringIndexOutOfBoundsException check (overflow) and a message 
	to the exceptions.
			
2005-11-02  David Gilbert  <david.gilbert@object-refinery.com>

	* NEWS: added entries for javax.swing.plaf.metal.* package and updates
	to the gnu.classpath.examples.swing.Demo application,
	* AUTHORS:  Added my name to bring honour and glory to myself and all 
	my descendants.

2005-11-02  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(AccessibleJComponent.changeSupport): New field.
	(AccessibleJComponent.AccessibleJComponent): Initialize changeSupport.
	(AccessibleJComponent.addPropertyChangeListener): Implemented this
	method.
	(AccessibleJComponent.removePropertyChangeListener): Implemented this
	method.
	(AccessibleJComponent.getAccessibleChildrenCount): Implemented this
	method.
	(AccessibleJComponent.getAccessibleChild): Implemented this
	method.
	(AccessibleJComponent.getAccessibleName): Added API comment and
	TODO tag.
	(AccessibleJComponent.getAccessibleDescription): Added API comment
	and TODO tag.
	(AccessibleJComponent.getAccessibleRole): Implemented this method.
	(AccessibleJComponent.getBorderTitle): Implemented this method.
	(AccessibleJComponent.getToolTipText): Implemented this method.
	(AccessibleJComponent.getTitledBorderText): Implemented this method.
	(AccessibleJComponent.getAccessibleKeyBinding): Added API comment
	and TODO tag.

2005-11-01  Mark Wielaard  <mark@klomp.org>

	* examples/gnu/classpath/examples/swing/Demo.java (init): Use
	JOptionPane to select the laf if not explicitly set.

2005-11-01  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/io/ObjectInputStream.java:
	(parseContent(byte)): Remove weird exception
	throwing.
	
2005-11-01  Roman Kennke  <kennke@aicas.com>

	* java/awt/Window.java
	(show): Don't set size of the window here.

2005-11-01  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalScrollPaneUI.java
	(instance): Removed unnecessary field.
	(createUI): Always return a new instance instead of returning a
	shared instance.

2005-11-01  Lillian Angel  <langel@redhat.com>

	* java/awt/Window.java
	(show): If pack is not called before show, the size of the
	window is often set to 0. This is now fixed.

2005-11-01  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JPopupMenu.java
	(setVisible): Pack the JPopupMenu before fetching the Popup
	instance. Otherwise the PopupFactory has the wrong size for
	its size check.

2005-11-01  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JTable.java:
	(JTable(TableModel, TableColumnModel, ListSelectionModel)): Call 
	updateUI after initializeLocalVars.  Manually set the lead selection
	indices.

2005-11-01  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/plaf/basic/BasicFileChooserUI.java:
	(getApproveButtonText): First use the JFileChooser's approve button 
	text, but if it is null, then try otherwise.

2005-11-01  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* vm/reference/java/lang/VMThread.java (sleep): Don't round     
	ms and pass ns to Object.wait, fixes mauve test.
		
2005-11-01  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JFileChooser.java:
	(getDialogTitle): Allow return of null.
	(getApproveButtonText): Likewise.
	(getFileView): Likewise.
	(getName): First try using the JFileChooser's FileView, if null, then
	pass call to UI.
	(getDescription): Likewise.
	(getTypeDescription): Likewise.
	(getIcon): Likewise.

2005-11-01  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JTable.java:
	(JTable(TableModel, TableColumnModel, ListSelectionModel)): Set the 
	model before calling initializeLocalVars.

2005-11-01  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java
	(BasicCheckBoxMenuItem): Moved code to BasicMenuItemUI.installDefaults
	(processMouseEvent): Added TODO comment. Not sure about the 
	correct implementation yet.
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Removed MenuItem.checkIcon default. Only
	RadioButtonMenuItem's and CheckBoxMenuItem's have checkIcons.
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(installDefaults): Fixed to initialized checkIcon. If the menuItem is
	not a RadioButtonMenuItem or CheckBoxMenuItem, then checkIcon is null.
	Also, fixed defaults to use prefix.

2005-11-01  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectOutputStream.java
	(writeObject): Fixed NPE.

2005-10-31  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/plaf/basic/BasicTextAreaUI.java:
	(create): Added docs.  Create WrappedPlainView instead of PlainView if
	the text area has line wrapping turned on.
	(propertyChange): New API method.  If line wrapping is turned on or off
	or if the style of wrapping (character or word) is changed, call 
	modelChanged().
	* javax/swing/plaf/basic/BasicTextUI.java:
	(setView): Call revalidate and repaint after setting the View.
	* javax/swing/text/WrappedPlainView.java:
	(insertUpdate): Repaint the container.
	(removeUpdate): Likewise.
	(changedUpdate): Likewise.

2005-10-31  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/WrappedPlainView.java:
	(viewFactory): New field.
	(drawLine): New API method.
	(calculateBreakPosition): Update the metrics before calling Utilities
	methods. Fixed error in offset argument passed to the Utilities 
	methods.
	(updateMetrics): New implementation method.
	(getPreferredSpan): New API method.
	(insertUpdate): Likewise.
	(removeUpdate): Likewise.
	(changedUpdate): Likewise.
	(WrappedLineCreator): New class.
	(paint): New API method.
	(setSize): New API method.
	(WrappedLine.paint): Implemented.
	(WrappedLine.getPreferredSpan): Don't update the metrics, this is now
	done in WrappedPlainView.paint.
	(WrappedLine.modelToView): Likewise.
	(WrappedLine.viewToModel): Likewise.
	
2005-10-31  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/Utilities.java:
	(getTabbedTextOffset): Adjusted for loop bound down by s.offset and
	adjusted array index up by s.offset.  This fixes the second part of 
	PR 24316.  Expand tabs, not newlines.  Allow the x-position to reach
	the end specified position (use < instead of <=).

2005-10-31  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTextField.java
	(horizontalVisibility): New field.
	(JTextField): Initialize horizontalVisibility field.
	(getHorizontalVisibility): New method.

2005-10-31  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/SocketRepository.java (not_reusable, gc): New methods.
	(sockets): Use hashtable. (get_socket): Rewritten.

2005-10-31  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(AccessibleJTable.tableChanged): Implemented.
	(AccessibleJTable.tableRowsInserted): Implemented.
	(AccessibleJTable.tableRowsDeleted): Implemented.

2005-10-30  Mark Wielaard  <mark@klomp.org>

	* javax/swing/plaf/basic/BasicTreeUI.java
	(updateCurrentVisiblePath): Check whether treeModel is null.

2005-10-30  Mark Wielaard  <mark@klomp.org>

	* examples/gnu/classpath/examples/swing/Demo.java (static): Set look
	and feel before showing dialog. Clean up message text.

2005-10-30  Mark Wielaard  <mark@klomp.org>

	* javax/swing/text/PlainView.java (determineMaxLineLength): Get
	correct lenght of text.
	(drawLine): Throw AssertionError on unexpected bad location.
	(viewToModel): Likewise.

2005-10-30  Mark Wielaard  <mark@klomp.org>

	* javax/swing/text/AbstractDocument.java (dump): Actually throw
	AssertionError when constructed.
	* javax/swing/text/DefaultFormatter.java (checkValidInput): Add cause
	to AssertionError.
	* javax/swing/text/DefaultStyledDocument.java (insertUpdate):
	Likewise.
	* javax/swing/text/GlyphView.java (getPartialSpan): Likewise.
	(getText): Likewise.
	* javax/swing/text/PlainView.java (determineMaxLineLength): Likewise.
	(updateDamage): Likewise.

2005-10-30  Mark Wielaard  <mark@klomp.org>

	* gnu/java/rmi/server/UnicastServer.java (refcache): Make it a
	synchronized IdentityHashMap.

2005-10-30  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
	(GdkGraphics2D(GdkGraphics2D,int, int, int,int)): New constructor.
	(create(int,int,int,int)): Use new constructor.
	(copyArea): Implement through create() and gdkDrawDrawable().

2005-10-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/nio/channels/spi/AbstractSelectableChannel.java
	(register): Throw IllegalBlockingModeException if the channel is
	not in blocking mode. 
	
2005-10-29  David Gilbert  <david.gilbert@object-refinery.com>

	* examples/gnu/classpath/examples/swing/ButtonDemo.java
	(ButtonDemo): add closePanel after content is created,
	(createContent): don't add closePanel here,
	* examples/gnu/classpath/examples/swing/ComboBoxDemo.java
	(ButtonDemo): add closePanel after content is created,
	(createContent): don't add closePanel here,
	* examples/gnu/classpath/examples/swing/ScrollBarDemo.java
	(ButtonDemo): add closePanel after content is created,
	(createContent): don't add closePanel here,
	* examples/gnu/classpath/examples/swing/SliderDemo.java
	(ButtonDemo): add closePanel after content is created,
	(createContent): add separate checkBoxPanel but don't add closePanel 
	here.

2005-10-28  Roman Kennke  <kennke@aicas.com>

	* java/awt/KeyboardFocusManager.java
	(setCurrentKeyboardFocusManager): Create a DefaultKeyboardFocusManager
	directly.
	(createFocusManager): Removed.
	* gnu/java/awt/FocusManager.java: Removed.
	* javax/swing/FocusManager.java
	(DisabledFocusManager): Removed inner class.
	(WrappingFocusManager): New inner class.
	(getCurrentManager): Return WrappingKeyboardFocusManager instance.

2005-10-28  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/Component.java:
	(requestFocus): If this component is a Container, start here, not at
	its parent when	looking for the top-level ancestor.  If no top-level
	ancestor is found (parent == null), return.

2005-10-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/table/DefaulTableCellRenderer.java
	(getTableCellRenderer): Correctly configure the cell renderer for
	selected and / or focused cells.
	* javax/swing/table/JTableHeader.java
	(getHeaderRect): Don't include the intercellSpacing in the
	header rectangle.

2005-10-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicTableUI.java
	(MouseInputHandler.mouseDragged): Only react if table is enabled.
	(MouseInputHandler.mousePressed): Only react if table is enabled.
	(MouseInputHandler.mouseReleased): Only react if table is enabled.
	(PropertyChangeHandler): New inner class. Updates the state of
	the table if the model property changes.
	(installDefaults): Don't load the highlightCellBorder here. This
	is done in the cell renderer now.
	(installListeners): Install the new PropertyChangeListener.
	(uninstallListeners): Uninstall the new PropertyChangeListener.
	(paintCell): Fixed determination of the selected and focused state
	of the cell. Removed handling of the border (this is moved into
	the cell renderer).
	(paint): Fixed the rectangle calculation of the cell. Fixed painting
	of the grid.

2005-10-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/DefaultListSelectionModel.java
	(setLeadSelectionIndex): Forbit some changes to leadSelectionIndex
	when the anchorSelectionIndex is not set properly.

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/Poa/AOM.java,
	gnu/CORBA/Poa/AccessiblePolicy.java,
	gnu/CORBA/Poa/DynamicImpHandler.java,
	gnu/CORBA/Poa/StandardPolicies.java,
	gnu/CORBA/Poa/ServantDelegateImpl.java,
	gnu/CORBA/Poa/NamingService/NameComponentComparator.java
	gnu/CORBA/Poa/NamingService/NameTransformer.java
	gnu/CORBA/GIOP/ContextHandler.java,
	gnu/CORBA/GIOP/CodeSetServiceContext.java: New files.
	* gnu/CORBA/GIOP/contextSupportingHeader.java,
	gnu/CORBA/GIOP/cxCodeSet.java,
	gnu/CORBA/NamingService/cmpNameComponent.java,
	gnu/CORBA/NamingService/snConverter.java,
	gnu/CORBA/Poa/activeObjectMap.java,
	gnu/CORBA/Poa/dynImpHandler.java,
	gnu/CORBA/Poa/policySets.java,
	gnu/CORBA/Poa/servantDelegate.java,
	gnu/CORBA/Poa/vPolicy.java: Removed.
	* gnu/CORBA/GIOP/CharSets_OSF:
	Explaining the reason of setting "_OSF" apart.
	* gnu/CORBA/CDR/AbstractCdrInput.java,
	gnu/CORBA/CDR/AbstractCdrOutput.java,
	gnu/CORBA/GIOP/CharSets_OSF.java,
	gnu/CORBA/GIOP/ReplyHeader.java,
	gnu/CORBA/GIOP/RequestHeader.java,
	gnu/CORBA/GIOP/ServiceContext.java,
	gnu/CORBA/GIOP/v1_0/ReplyHeader.java,
	gnu/CORBA/GIOP/v1_0/RequestHeader.java,
	gnu/CORBA/GIOP/v1_2/ReplyHeader.java,
	gnu/CORBA/GIOP/v1_2/RequestHeader.java,
	gnu/CORBA/IOR.java,
	gnu/CORBA/NamingService/Ext.java,
	gnu/CORBA/NamingService/NameParser.java,
	gnu/CORBA/NamingService/NamingMap.java,
	gnu/CORBA/Poa/ForwardedServant.java,
	gnu/CORBA/Poa/LocalDelegate.java,
	gnu/CORBA/Poa/LocalRequest.java,
	gnu/CORBA/Poa/ORB_1_4.java,
	gnu/CORBA/Poa/gnuAdapterActivator.java,
	gnu/CORBA/Poa/gnuIdAssignmentPolicy.java,
	gnu/CORBA/Poa/gnuIdUniquenessPolicy.java,
	gnu/CORBA/Poa/gnuImplicitActivationPolicy.java,
	gnu/CORBA/Poa/gnuLifespanPolicy.java,
	gnu/CORBA/Poa/gnuPOA.java,
	gnu/CORBA/Poa/gnuRequestProcessingPolicy.java,
	gnu/CORBA/Poa/gnuServantObject.java,
	gnu/CORBA/Poa/gnuServantRetentionPolicy.java,
	gnu/CORBA/Poa/gnuThreadPolicy.java,
	gnu/CORBA/ResponseHandlerImpl.java,
	gnu/CORBA/gnuRequest.java,
	gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	org/omg/CosNaming/_NamingContextExtStub.java:
	References updated.

2005-10-28  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTable.java
	(JTable): Changed order of initialization (UI first, then the model
	etc), so that the UI gets notified of the initial model change.
	(rowAtPoint): Don't add the intercellSpacing in the calculation
	of the row-at-Point.
	(setModel): Throw a PropertyChangeEvent here if the model changes.

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/DynAn/ValueChangeListener.java
	gnu/CORBA/DynAn/AbstractAny.java
	gnu/CORBA/DynAn/RecordAny.java
	gnu/CORBA/DynAn/DivideableAny.java
	gnu/CORBA/DynAn/UndivideableAny.java: New files.
	* gnu/CORBA/DynAn/abstractDynAny.java,
	gnu/CORBA/DynAn/recordAny.java,
	gnu/CORBA/DynAn/anyDivideable.java,
	gnu/CORBA/DynAn/anyUndivideable.java,
	gnu/CORBA/DynAn/valueChangedListener.java: Removed.
	* gnu/CORBA/DynAn/gnuDynAny.java,
	gnu/CORBA/DynAn/gnuDynArray.java,
	gnu/CORBA/DynAn/gnuDynEnum.java,
	gnu/CORBA/DynAn/gnuDynFixed.java,
	gnu/CORBA/DynAn/gnuDynStruct.java,
	gnu/CORBA/DynAn/gnuDynUnion.java,
	gnu/CORBA/DynAn/gnuDynValue.java,
	gnu/CORBA/DynAn/gnuDynValueBox.java:
	References updated.

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/CDR/abstractDataInputStream.java,
	gnu/CORBA/CDR/abstractDataOutputStream.java,
	gnu/CORBA/CDR/aligningInputStream.java,
	gnu/CORBA/CDR/aligningOutputStream.java,
	gnu/CORBA/CDR/cdrBufInput.java.java,
	gnu/CORBA/CDR/cdrBufOutput.java
	gnu/CORBA/CDR/cdrInput.java,
	gnu/CORBA/CDR/cdrOutput.java,
	gnu/CORBA/CDR/encapsulatedOutput.java,
	gnu/CORBA/CDR/noHeaderInput.java: Removed.
	* gnu/CORBA/CDR/HeadlessInput.java
	gnu/CORBA/CDR/AbstractCdrInput.java
	gnu/CORBA/CDR/AbstractCdrOutput.java
	gnu/CORBA/CDR/AbstractDataInput.java
	gnu/CORBA/CDR/AbstractDataOutput.java
	gnu/CORBA/CDR/AligningInput.java
	gnu/CORBA/CDR/AligningOutput.java
	gnu/CORBA/CDR/BufferedCdrOutput.java
	gnu/CORBA/CDR/BufferredCdrInput.java
	gnu/CORBA/CDR/EncapsulationStream.java: New files.
	* gnu/CORBA/CDR/ArrayValueHelper.java,
	gnu/CORBA/CDR/BigEndianInputStream.java,
	gnu/CORBA/CDR/BigEndianOutputStream.java,
	gnu/CORBA/CDR/LittleEndianInputStream.java,
	gnu/CORBA/CDR/LittleEndianOutputStream.java,
	gnu/CORBA/CDR/UnknownExceptionCtxHandler.java,
	gnu/CORBA/CDR/Vio.java,
	gnu/CORBA/CdrEncapsCodecImpl.java,
	gnu/CORBA/DynAn/gnuDynAny.java,
	gnu/CORBA/GIOP/MessageHeader.java,
	gnu/CORBA/GIOP/ReplyHeader.java,
	gnu/CORBA/GIOP/RequestHeader.java,
	gnu/CORBA/GIOP/ServiceContext.java,
	gnu/CORBA/GIOP/cxCodeSet.java,
	gnu/CORBA/GIOP/v1_0/ReplyHeader.java,
	gnu/CORBA/GIOP/v1_0/RequestHeader.java,
	gnu/CORBA/GIOP/v1_2/ReplyHeader.java,
	gnu/CORBA/GIOP/v1_2/RequestHeader.java,
	gnu/CORBA/GeneralHolder.java,
	gnu/CORBA/IOR.java,
	gnu/CORBA/Interceptor/gnuIcCurrent.java,
	gnu/CORBA/IorDelegate.java,
	gnu/CORBA/ObjectCreator.java,
	gnu/CORBA/OrbFunctional.java,
	gnu/CORBA/OrbRestricted.java,
	gnu/CORBA/Poa/LocalDelegate.java,
	gnu/CORBA/Poa/LocalRequest.java,
	gnu/CORBA/Poa/gnuPOA.java,
	gnu/CORBA/RawReply.java,
	gnu/CORBA/ResponseHandlerImpl.java,
	gnu/CORBA/ServiceRequestAdapter.java,
	gnu/CORBA/StreamBasedRequest.java,
	gnu/CORBA/gnuAny.java,
	gnu/CORBA/gnuRequest.java,
	gnu/CORBA/typecodes/GeneralTypeCode.java,
	gnu/javax/rmi/CORBA/DefaultWriteObjectTester.java,
	gnu/javax/rmi/CORBA/RmiUtilities.java,
	gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	org/omg/IOP/TaggedProfileHelper.java:
	References updated.

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/javax/rmi/CORBA/corbaObjectInput.java,
	gnu/javax/rmi/CORBA/corbaObjectOutput.java,
	gnu/javax/rmi/CORBA/dwoTester.java,
	gnu/javax/rmi/CORBA/gnuRmiUtil: Deleted.
	* gnu/javax/rmi/CORBA/CorbaInput.java,
	gnu/javax/rmi/CORBA/CorbaOutput.java,
	gnu/javax/rmi/CORBA/DefaultWriteObjectTester.java,
	gnu/javax/rmi/CORBA/RmiUtilities.java: New files.
	* gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	gnu/javax/rmi/CORBA/ValueHandlerDelegateImpl.java:
	References updated.

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/holderFactory.java,
	gnu/CORBA/IOR_contructed_object.java,
	gnu/CORBA/IOR_Delegate.java,
	gnu/CORBA/Simple_delegate.java,
	gnu/CORBA/Restricted_ORB.java,
	gnu/CORBA/Functional_ORB.java,
	gnu/CORBA/Focused_ORB.java: Removed.
	* gnu/CORBA/HolderLocator.java
	gnu/CORBA/IorDelegate.java
	gnu/CORBA/IorObject.java
	gnu/CORBA/OrbFocused.java
	gnu/CORBA/OrbFunctional.java
	gnu/CORBA/OrbRestricted.java
	gnu/CORBA/SimpleDelegate.java: New files.
	* gnu/CORBA/CDR/cdrInput.java,
	gnu/CORBA/DynAn/abstractRecord.java,
	gnu/CORBA/DynAn/gnuDynAny.java,
	gnu/CORBA/DynAn/gnuDynAnyFactory.java,
	gnu/CORBA/DynAn/gnuDynArray.java,
	gnu/CORBA/DynAn/gnuDynValueBox.java,
	gnu/CORBA/GIOP/ErrorMessage.java,
	gnu/CORBA/NamingService/NameParser.java,
	gnu/CORBA/NamingService/NamingServiceTransient.java,
	gnu/CORBA/Poa/ForwardedServant.java,
	gnu/CORBA/Poa/ORB_1_4.java,
	gnu/CORBA/Poa/gnuServantObject.java,
	gnu/CORBA/StubLocator.java,
	gnu/CORBA/gnuAny.java,
	gnu/CORBA/gnuRequest.java,
	gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	gnu/javax/rmi/CORBA/gnuRmiUtil.java,
	org/omg/CORBA/CompletionStatusHelper.java,
	org/omg/CORBA/DefinitionKindHelper.java,
	org/omg/CORBA/FieldNameHelper.java,
	org/omg/CORBA/IDLTypeHelper.java,
	org/omg/CORBA/IdentifierHelper.java,
	org/omg/CORBA/ORB.java,
	org/omg/CORBA/ParameterModeHelper.java,
	org/omg/CORBA/RepositoryIdHelper.java,
	org/omg/CORBA/SetOverrideTypeHelper.java,
	org/omg/CORBA/StringValueHelper.java,
	org/omg/CORBA/StructMemberHelper.java,
	org/omg/CORBA/UnionMemberHelper.java,
	org/omg/CORBA/ValueMemberHelper.java,
	org/omg/CORBA/VersionSpecHelper.java,
	org/omg/CORBA/VisibilityHelper.java,
	org/omg/CORBA/WStringValueHelper.java,
	org/omg/CORBA/_IDLTypeStub.java,
	org/omg/CosNaming/IstringHelper.java,
	org/omg/DynamicAny/FieldNameHelper.java,
	org/omg/PortableInterceptor/AdapterNameHelper.java,
	org/omg/PortableInterceptor/ORBIdHelper.java,
	org/omg/PortableInterceptor/ORBInitInfoPackage/ObjectIdHelper.java,
	org/omg/PortableInterceptor/ObjectIdHelper.java,
	org/omg/PortableInterceptor/ServerIdHelper.java:
	References updated. 

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/universalHolder.java
	gnu/CORBA/stubFinder.java
	gnu/CORBA/typeNamer.java
	gnu/CORBA/streamRequest.java
	gnu/CORBA/streamReadyHolder.java
	gnu/CORBA/binaryReply.java
	gnu/CORBA/bufferedResponseHandler.java
	gnu/CORBA/cdrEncapsCodec.java
	gnu/CORBA/corbaArrayList.java: Removed.
	* gnu/CORBA/CdrEncapsCodecImpl.java,
	gnu/CORBA/CorbaList.java,
	gnu/CORBA/GeneralHolder.java,
	gnu/CORBA/RawReply.java,
	gnu/CORBA/ResponseHandlerImpl.java,
	gnu/CORBA/StreamBasedRequest.java,
	gnu/CORBA/StreamHolder.java,
	gnu/CORBA/StubLocator.java,
	gnu/CORBA/TypeKindNamer.java: New files.
	* gnu/CORBA/CDR/cdrInput.java,
	gnu/CORBA/DynAn/abstractDynAny.java,
	gnu/CORBA/DynAn/anyDivideable.java,
	gnu/CORBA/DynAn/gnuDynAny.java,
	gnu/CORBA/DynAn/gnuDynAnyFactory.java,
	gnu/CORBA/Functional_ORB.java,
	gnu/CORBA/IOR_Delegate.java,
	gnu/CORBA/ObjectCreator.java,
	gnu/CORBA/Poa/LocalDelegate.java,
	gnu/CORBA/Poa/LocalRequest.java,
	gnu/CORBA/Poa/gnuServantObject.java,
	gnu/CORBA/Restricted_ORB.java,
	gnu/CORBA/ServiceRequestAdapter.java,
	gnu/CORBA/gnuAny.java,
	gnu/CORBA/gnuCodecFactory.java,
	gnu/CORBA/gnuContextList.java,
	gnu/CORBA/gnuExceptionList.java,
	gnu/CORBA/gnuNVList.java,
	gnu/CORBA/gnuRequest.java,
	gnu/CORBA/typecodes/RecordTypeCode.java: 
	References updated.

2005-10-28  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/typecodes/AliasTypeCode.java,
	gnu/CORBA/typecodes/ArrayTypeCode.java,
	gnu/CORBA/typecodes/FixedTypeCode.java,
	gnu/CORBA/typecodes/GeneralTypeCode.java,
	gnu/CORBA/typecodes/PrimitiveTypeCode.java,
	gnu/CORBA/typecodes/RecordTypeCode.java,
	gnu/CORBA/typecodes/RecursiveTypeCode.java,
	gnu/CORBA/typecodes/StringTypeCode.java,
	gnu/CORBA/typecodes/package.html: New files.
	* gnu/CORBA/aliasTypeCode.java,
	gnu/CORBA/primitiveArrayTypeCode.java,
	gnu/CORBA/fixedTypeCode.java,
	gnu/CORBA/generalTypeCode.java,
	gnu/CORBA/primitiveTypeCode.java,
	gnu/CORBA/recordTypeCode.java,
	gnu/CORBA/recursiveTypeCode.java,
	gnu/CORBA/stringTypeCode.java: Deleted.
	* gnu/CORBA/CDR/cdrOutput.java,
	gnu/CORBA/ObjectCreator.java,
	gnu/CORBA/OctetHolder.java,
	gnu/CORBA/Poa/LocalRequest.java,
	gnu/CORBA/Poa/gnuServantObject.java,
	gnu/CORBA/Restricted_ORB.java,
	gnu/CORBA/TypeCodeHelper.java,
	gnu/CORBA/WCharHolder.java,
	gnu/CORBA/WStringHolder.java,
	gnu/CORBA/gnuAny.java,
	gnu/CORBA/typeNamer.java,
	gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	org/omg/CORBA/AnyHolder.java,
	org/omg/CORBA/AnySeqHelper.java,
	org/omg/CORBA/AnySeqHolder.java,
	org/omg/CORBA/BooleanHolder.java,
	org/omg/CORBA/BooleanSeqHelper.java,
	org/omg/CORBA/BooleanSeqHolder.java,
	org/omg/CORBA/ByteHolder.java,
	org/omg/CORBA/CharHolder.java,
	org/omg/CORBA/CharSeqHelper.java,
	org/omg/CORBA/CharSeqHolder.java,
	org/omg/CORBA/DefinitionKindHelper.java,
	org/omg/CORBA/DoubleHolder.java,
	org/omg/CORBA/DoubleSeqHelper.java,
	org/omg/CORBA/DoubleSeqHolder.java,
	org/omg/CORBA/FixedHolder.java,
	org/omg/CORBA/FloatHolder.java,
	org/omg/CORBA/FloatSeqHelper.java,
	org/omg/CORBA/FloatSeqHolder.java,
	org/omg/CORBA/IntHolder.java,
	org/omg/CORBA/LongHolder.java,
	org/omg/CORBA/LongLongSeqHelper.java,
	org/omg/CORBA/LongLongSeqHolder.java,
	org/omg/CORBA/LongSeqHelper.java,
	org/omg/CORBA/LongSeqHolder.java,
	org/omg/CORBA/NameValuePairHelper.java,
	org/omg/CORBA/ORB.java,
	org/omg/CORBA/ObjectHelper.java,
	org/omg/CORBA/ObjectHolder.java,
	org/omg/CORBA/OctetSeqHelper.java,
	org/omg/CORBA/OctetSeqHolder.java,
	org/omg/CORBA/PolicyErrorCodeHelper.java,
	org/omg/CORBA/PrincipalHolder.java,
	org/omg/CORBA/ShortHolder.java,
	org/omg/CORBA/ShortSeqHelper.java,
	org/omg/CORBA/ShortSeqHolder.java,
	org/omg/CORBA/StringHolder.java,
	org/omg/CORBA/StringSeqHelper.java,
	org/omg/CORBA/StringSeqHolder.java,
	org/omg/CORBA/TypeCodeHolder.java,
	org/omg/CORBA/ULongLongSeqHelper.java,
	org/omg/CORBA/ULongLongSeqHolder.java,
	org/omg/CORBA/ULongSeqHelper.java,
	org/omg/CORBA/ULongSeqHolder.java,
	org/omg/CORBA/UShortSeqHelper.java,
	org/omg/CORBA/UShortSeqHolder.java,
	org/omg/CORBA/ValueBaseHelper.java,
	org/omg/CORBA/WCharSeqHelper.java,
	org/omg/CORBA/WCharSeqHolder.java,
	org/omg/CORBA/WStringSeqHelper.java,
	org/omg/CORBA/WStringSeqHolder.java,
	org/omg/Messaging/SyncScopeHelper.java: References modified.

2005-10-28  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	Reported by: Gael Thomas <gael.thomas@imag.fr>
	* NEWS : added entry about new implementation of
	VMClassLoader.getPackage(s), and new method
	VMClassLoader.getBootPackages
	* vm/reference/java/lang/VMClassLoader.java:
	Added new definedPackages field to store packages
	loaded by the bootstrap classloader.
	Added new static initializer to create all packages
	which names are returned by getBootPackages
	(getBootPackages): new private method. Helper
	to get as a String[] the native package names
	(getPackage): uses the new definedPackages field
	(getPackages): uses the new definedPackages field
	* java/lang/Class.java:
	(getPackage): if the classloader of the class is null
	then call VMClassLoader.getPackage

2005-10-27  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JEditorPane.java:
	(getScrollableTracksViewportWidth): Return true if the component is 
	valid.
	(getScrollableTracksViewportHeight): Likewise.

2005-10-27  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/ScrollPaneLayout.java:
	(preferredLayoutSize): Fixed the conditions for allocating space for 
	the scrollbars.  Should allocate space if the View's dimension is 
	larger than the Viewport's dimension. This fixes the problem in 
	comment 1) for PR 23530.

2005-10-27  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JViewport.java:
	(scrollRectToVisible): Use the viewport bounds instead of the view 
	bounds when scrolling up and scrolling left.

2005-10-27  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/FieldView.java
	(getPreferredSpan): For the Y_AXIS call the superclass behaviour as
	described in the Swing book by OReilly.

2005-10-27  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/ObjectIdHelper.java:
	Assuming ObjectId as alias of byte[], not alias  of String.

2005-10-27  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JTextField.java
	(createDefaultModel): Return a normal PlainDocument here.
	* javax/swing/text/AbstractDocument.java
	(insertString): Correctly placed locking so that insertUpdate() is
	called within a lock as specified. Do not setup any ElementChanges
	here, this must be done in subclasses in insertUpdate() method.
	Fire an UndoableEditEvent.
	* javax/swing/text/PlainDocument.java
	(insertString): New method. Replaces newlines with whitespace
	when document property 'filterNewlines' is set.

2005-10-27  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(PropertyChangeHandler.propertyChange): If orientation property
	changes, re-setup the UI.
	(TrackListener.mouseReleased): Removed unused code.
	(createIncreaseButton): Simply return a new instance without any
	hacks.
	(createDecreaseButton): Likewise.
	(installComponents): Do not create the incrButton and decrButton
	here, only install them on the ScrollBar.
	(installDefaults): Also initialize the incrButton and decrButton
	fields here.
	(uninstallComponents): Added some null checks.
	(uninstallDefaults): Uninstall border using the LookAndFeel utility
	method. Set incrButton and decrButton to null here.
	(uninstallListeners): Added null checks.
	(uninstallUI): Changed order of method calls. First uninstall
	listeners then uninstallDefaults, because uninstallDefaults sets
	the incrButton and decrButton fields to null, and uninstallListeners
	removes a listener from them. Avoids NPE.

2005-10-27  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalBorders.java: API doc updates,
	* javax/swing/plaf/metal/MetalButtonUI.java: likewise,
	* javax/swing/plaf/metal/MetalCheckBoxIcon.java: likewise,
	* javax/swing/plaf/metal/MetalCheckBoxUI.java: likewise,
	* javax/swing/plaf/metal/MetalDesktopIconUI.java: likewise,
	* javax/swing/plaf/metal/MetalIconFactory.java: likewise,
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java: likewise,
	* javax/swing/plaf/metal/MetalInternalFrameUI.java: likewise,
	* javax/swing/plaf/metal/MetalLabelUI.java: likewise,
	* javax/swing/plaf/metal/MetalPopupMenuSeparatorUI.java: likewise,
	* javax/swing/plaf/metal/MetalProgressBarUI.java: likewise,
	* javax/swing/plaf/metal/MetalRadioButtonUI.java: likewise,
	* javax/swing/plaf/metal/MetalRootPaneUI.java: likewise,
	* javax/swing/plaf/metal/MetalScrollBarUI.java: likewise,
	* javax/swing/plaf/metal/MetalScrollPaneUI.java: likewise,
	* javax/swing/plaf/metal/MetalSeparatorUI.java: likewise,
	* javax/swing/plaf/metal/MetalSliderUI.java: likewise,
	* javax/swing/plaf/metal/MetalSplitPaneUI.java: likewise,
	* javax/swing/plaf/metal/MetalTabbedPaneUI.java: likewise,
	* javax/swing/plaf/metal/MetalTextFieldUI.java: likewise,
	* javax/swing/plaf/metal/MetalToolBarUI.java: likewise,
	* javax/swing/plaf/metal/MetalToolTipUI.java: likewise,
	* javax/swing/plaf/metal/MetalTreeUI.java: likewise,
	* javax/swing/plaf/metal/package.html: likewise.

2005-10-27  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/metal/MetalToggleButtonUI.java:
	(MetalToggleButtonUI): removed color field initialisation,
	(installDefaults): added color field initialisation formerly in 
	the constructor.

2005-10-27  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/RepaintManager.java
	(paintDirtyRegions): replaced characters in comment that caused 
	warnings in gjdoc and Eclipse.

2005-10-27  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

        * BUGS: URL refreshed.

2005-10-27  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/ExceptionCreator.java: Deleted.

2005-10-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/ObjectReferenceFactory.java, 
	org/omg/PortableInterceptor/ObjectReferenceFactoryHelper.java, 
	org/omg/PortableInterceptor/ObjectReferenceFactoryHolder.java, 
	org/omg/PortableInterceptor/ObjectReferenceFactoryOperations.java:
	New files.
	
2005-10-26  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/ViewportLayout.java:
	(layoutContainer): Fixed incorrect boundary checks, should have been 
	checking for viewport being  smaller than minimum size, not smaller 
	than preferred size.

2005-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

	* configure.ac: Rename --with-qtdir to --with-qt4dir to make clear
	which Qt version is meant.

2005-10-26  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/JList.java:
	(getPreferredScrollableViewportSize): Use the preferred width instead 
	of the width of the widest element.  This allows us to use the 
	user-specified preferred width if setPreferredSize was called.  Use 
	the height of the first row, not the first visible row, when 
	calculating the preferred height.  Added comments and made code cleaner
	and more readable.

2005-10-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/spi/ImageReaderWriterSpi.java
	(getStreamMetadataFormat): Implement.
	(getImageMetadataFormat): Likewise.

2005-10-26  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/colorchooser/AbstractColorChooserPanel.java
	(getMnemonic): implemented,
	(getDisplayedMnemonicIndex): implemented.

2005-10-26  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/PortableInterceptor/AdapterManagerIdHelper.java,
	org/omg/PortableInterceptor/AdapterNameHelper.java,
	org/omg/PortableInterceptor/AdapterStateHelper.java,
	org/omg/PortableInterceptor/ORBIdHelper.java,
	org/omg/PortableInterceptor/ObjectIdHelper.java,
	org/omg/PortableInterceptor/ServerIdHelper.java: New files.
	* org/omg/PortableInterceptor/ORBInitInfoPackage/ObjectIdHelper.java
	(type): Fixed typo in typecode name.

2005-10-25  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/WrappedPlainView: New class.

2005-10-25  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(installDefaults): Removed initialization of unnecessary focusColor
	field.
	(paintButtonPressed): Only paint if button is opaque.
	* javax/swing/plaf/metal/MetalButtonUI.java
	(paintButtonPressed): Only paint if button is opaque and
	contentAreaFilled.

2005-10-25  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/CompositeView.java:
	(getViewIndexAtPosition): Fixed boundary conditions (less than and 
	greater than signs were backward).

2005-10-25  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/text/Utilities.java:
	(getBreakLocation): New API method.

2005-10-25  Tom Tromey  <tromey@redhat.com>

	* java/io/ObjectOutputStream.java (useProtocolVersion): Typo fix.

2005-10-25  Roman Kennke  <kennke@aicas.com>

	* gnu/java/awt/peer/gtk/GtkDialogPeer.java
	(create): Changed classname for the heavyweight testclass to match
	the new classes introduced by my popup patch earlier this day.

2005-10-25  Roman Kennke  <kennke@aicas.com>

	* examples/gnu/classpath/examples/swing/Demo.java
	(mkMenuBar): Replaced some demos with new external demo programs,
	namely the button demo, the scrollbar demo, the combobox demo and
	the slider demo.
	(mkButtonBar): Likewise.
	* examples/gnu/classpath/examples/swing/ButtonDemo.java
	(createContent): Made package private so that the Demo.java can
	access it.
	* examples/gnu/classpath/examples/swing/ComboBoxDemo.java
	(createContent): Made package private so that the Demo.java can
	access it.
	* examples/gnu/classpath/examples/swing/ScrollBarDemo.java
	(createContent): Made package private so that the Demo.java can
	access it.
	* examples/gnu/classpath/examples/swing/SliderDemo.java
	(createContent): Made package private so that the Demo.java can
	access it.

2005-10-25  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JLayeredPane.java
	(addImpl): Removed unnecessary repaint() and revalidate() calls.
	* javax/swing/JPopupMenu.java
	(remove): Removed unnecessary revalidate() call.
	(insert): Removed code that installs GridBagConstraints. JPopupMenu
	uses a BoxLayout and this is not needed anymore.
	(pack): Send this method call to the event queue to avoid
	synchronization problems. Set size to preferredSize of this menu.
	(setVisible): Send this method call to the event queue to avoid
	synchronization problems. Use PopupFactory for creating a popup.
	(setLocation): Use int fields instead of a Point field.
	(Popup): Removed inner interface. We use javax.swing.Popup now.
	(LightweightPopup): Likewise.
	(MediumWeightPopup): Likewise.
	(HeavyWeightPopup): Likewise.
	* javax/swing/Popup.java
	(JWindowPopup.JWindowPopup): Add contents to contentPane of window.
	Set focusableWindowState to false.
	(JWindowPopup.show): Set size of window here.
	(LightweightPopup): New inner class.
	* javax/swing/PopupFactory.java
	(getPopup): Return heavyweight or lightweight popup depending on
	the parameters.
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	(PropertyChangeHandler): Removed unneeded inner class.
	(BasicMenuItemUI): Removed instantiation of PropertyChangeHandler.
	(installListeners): Removed handling of the PropertyChangeHandler.
	(uninstallListeners): Removed handling of the PropertyChangeHandler.
	* javax/swing/plaf/basic/BasicMenuUI.java
	(getMaximumSize): Don't treat popup menus different.

2005-10-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/classpath/examples/CORBA/NamingService/Demo.java (main):
	Make arguments not final.

2005-10-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>
           
	* org/omg/CORBA/IDLEntity.java: Deleted.   
	* gnu/CORBA/primitiveTypeCode.java,
	org/omg/CORBA/PolicyError.java,
	org/omg/CORBA/TypeCodePackage/BadKind.java,
	org/omg/CORBA/TypeCodePackage/Bounds.java: 
	Use org.omg.CORBA.portable.IDLEntity.

2005-10-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/interfaces/SocketFactory.java: New file.
	* gnu/CORBA/interfaces/gnuSocketFactory.java: Deleted.
	* gnu/CORBA/DefaultSocketFactory.java,
	gnu/CORBA/Functional_ORB.java,
	org/omg/CORBA/ORB.java: Replacing gnuSocketFactory into SocketFactory.

2005-10-25  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/CosNaming/BindingIteratorHelper.java,
	org/omg/CosNaming/NamingContextExtHelper.java,
	org/omg/CosNaming/NamingContextHelper.java,
	org/omg/DynamicAny/DynAnyFactoryHelper.java,
	org/omg/DynamicAny/DynAnyHelper.java,
	org/omg/DynamicAny/DynArrayHelper.java,
	org/omg/DynamicAny/DynEnumHelper.java,
	org/omg/DynamicAny/DynFixedHelper.java,
	org/omg/DynamicAny/DynSequenceHelper.java,
	org/omg/DynamicAny/DynStructHelper.java,
	org/omg/DynamicAny/DynUnionHelper.java,
	org/omg/DynamicAny/DynValueHelper.java,
	org/omg/IOP/CodecFactoryHelper.java,
	org/omg/PortableInterceptor/CurrentHelper.java,
	org/omg/PortableServer/ServantActivatorHelper.java,
	org/omg/PortableServer/ServantLocatorHelper.java: Added
	unchecked_narrow method.

2005-10-25  Roman Kennke  <kennke@aicas.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(Java_gnu_java_awt_peer_gtk_GtkComponentPeer_gtkWidgetGetLocationOnScreen):
	Call gdk_window_get_root_origin instead of gdk_window_get_origin
	so that the window decorations are correctly respected.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* javax/accessibility/AccessibleStateSet.java (states):
	Changed type.
	* javax/accessibility/AccessibleRelationSet.java (relations):
	Changed type.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* java/security/acl/Group.java (isMember): Javadoc fix.
	(members): Changed return type.
	* java/security/acl/AclEntry.java (addPermission): Fixed javadoc.
	(checkPermission): Likewise.
	(permissions): Changed return type.
	* java/security/acl/Acl.java (entries): Changed return type.
	(getPermissions): Likewise.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* gnu/java/nio/SelectorImpl.java (keys): Changed type.
	(selected): Likewise.
	(SelectorImpl): Updated.
	(keys): Changed return type.
	(getFDsAsArray): Updated.
	(select): Likewise.
	(selectedKeys): Changed return type.
	(deregisterCancelledKeys): Updated.
	* java/nio/channels/Selector.java (selectedKeys): Changed return
	type.
	(keys): Likewise.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* java/awt/image/ReplicateScaleFilter.java (setProperties): Changed
	argument type.
	* java/awt/image/CropImageFilter.java (setProperties): Changed
	argument type.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* java/io/ObjectOutputStream.java (useProtocolVersion): Fixed typo
	in javadoc.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* java/lang/StringBuffer.java (appendCodePoint): Added @since.
	* java/lang/StringBuilder.java (insert): New overloads.
	(appendCodePoint): New method.

2005-10-24  Dalibor Topic  <robilad@kaffe.org>

	* test/native/lib/PrimlibInterface.c,
	* test/native/lib/PrimlibInterface.h,
	* test/native/lib/PrimlibTest.java:
	Removed unused test.

2005-10-24  Dalibor Topic  <robilad@kaffe.org>

	* native/jni/classpath/primlib.c,
	native/jni/classpath/primlib.h: Removed since unused.

	* native/jni/classpath/Makefile.am: (libclasspath_la_SOURCES)
	Removed primlib.c and primlib.h.

2005-10-24  David Gilbert  <david.gilbert@object-refinery.com>

	* examples/gnu/classpath/examples/swing/ScrollBarDemo.java: New file.

2005-10-24  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicScrollBarUI.java
	(ModelListener.stateChanged): changed call to getThumbBounds() to
	updateThumbRect(),
	(PropertyChangeHandler.propertyChange): likewise, plus added handling
	for 'enabled' property,
	(getMaximumSize): return maximum dimension,
	(getThumbBounds): just return field value,
	(getTrackBounds): just return field value,
	(installUI): switch order of calls to installDefaults() and 
	installComponents(),
	(layoutHScrollBar): reimplemented using new updateThumbRect() method,
	(layoutVScrollBar): likewise,
	(updateThumbRect): new method,
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): added 'ScrollBar.width' default,
	* javax/swing/plaf/metal/MetalScrollBarUI.java
	(MIN_THUMB_SIZE): changed value,
	(MIN_THUMB_SIZE_FREE_STANDING): new field,
	(isFreeStanding): set default to true,
	(scrollBarShadowColor): new field,
	(installDefaults): initialise scrollBarShadowColor,
	(createDecreaseButton): retain reference in decreaseButton field,
	(createIncreaseButton): retain reference in increaseButton field,
	(paintTrackHorizontal): use scrollBarShadowColor, add special handling
	for free standing scroll bar in disabled state,
	(paintTrackVertical): likewise,
	(paintThumb): separate horizontal and vertical cases,
	(paintThumbHorizontal): new method,
	(paintThumbVertical): new method,
	(getMinimumThumbSize): return different size depending on whether or 
	not the scroll bar is free standing,
	* javax/swing/plaf/metal/MetalScrollButton.java
	(paintNorthBorderFreeStanding): modified drawing.

2005-10-24  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* javax/imageio/metadata/IIOMetadataFormatImpl.java: Complete.
	* javax/imageio/metadata/IIOMetadataNode.java: Complete stubs.
	* javax/imageio/metadata/IIOAttr.java: Replace with
	IIOMetadataFormatImpl.IIOMetadataNodeAttr.  Remove file.
	* javax/imageio/metadata/IIONamedNodeMap.java: Replace with
	IIOMetadataNode.IIONamedNodeMap.  Remove file.
	* javax/imageio/metadata/IIONodeList.java: Replace with
	IIOMetadataNode.IIONodeList.  Remove file.

2005-10-24  Tom Tromey  <tromey@redhat.com>

	* java/text/AttributedStringIterator.java (getRunLimit): Add
	explicit qualification.
	(getRunStart): Likewise.

2005-10-24  David Gilbert  <david.gilbert@object-refinery.com>

	* java/text/AttributedString.java
	(AttributedString(AttributedCharacterIterator, int, int, 
	AttributedCharacterIterator.Attribute[])): renamed arguments, and 
	updated IllegalArgumentException check,
	(addAttribute(AttributedCharacterIterator.Attribute, Object, int, 
	int)): likewise,
	(addAttributes(Map, int, int)): changed IllegalArgumentException to
	NullPointerException, and modified check for illegal range,
	* java/text/AttributedStringIterator.java
	(getRunLimit(Set)): reimplemented,
	(getRunStart): added API docs,
	(getRunStart(AttributedCharacterIterator.Attribute)): handle null
	argument as a special case,
	(getRunStart(Set)): reimplemented,
	(getAttribute(AttributedCharacterIterator.Attribute, int)): new 
	private method,
	(getAttribute(AttributedCharacterIterator.Attribute)): reimplemented
	using new private method.
	* java/text/CharacterIterator.java: minor API doc fix.

2005-10-24  Roman Kennke  <kennke@aicas.com>

	Fixes Bug #24359
	* javax/swing/BoxLayout.java:
	Made class thread safe.

2005-10-23  Tom Tromey  <tromey@redhat.com>

	* java/util/InvalidPropertiesFormatException.java: New file.

2005-10-23  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Properties.java
	(storeToXML(OutputStream,String,String)): Added null pointer checks.
	(loadFromXML(InputStream)): Implemented.
	(PropertiesHandler): New class to handle parsing events.
	(PropertiesHandler()): New constructor.
	(startDTD(String,String,String)): Implemented.
	(startElement(String,String,String,Attributes)): Implemented.
	(characters(char[],int,int)): Implemented.
	(endElement(String,String,String)): Implemented.
	(endDocument()): Implemented.

2005-10-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* java/lang/Thread.java
	(sleep): Better exception message.

	* java/security/AccessControlContext.java
	(checkPermission): Likewise.

	* java/util/ResourceBundle.java
	(getBundle): Likewise.

	* java/util/SimpleTimeZone.java
	(setStartRule): Added some documentation.

2005-10-23  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Added support for "--with-native-libdir" and
	"--with-glibj-dir". Generate copy-vmresources.sh

	* lib/Makefile.am: Call copy-vmresources.sh to fetch possible vm
	resources from the vmdirs.

	* lib/copy-vmresources.sh.in: New script file.

	* lib/gen-classlist.sh.in: Include com/ as base package for the
	vm directories.

	* native/jawt/Makefile.am,
	native/jni/gtk-peer/Makefile.am,
	native/jni/java-io/Makefile.am,
	native/jni/java-lang/Makefile.am,
	native/jni/java-net/Makefile.am,
	native/jni/java-nio/Makefile.am,
	native/jni/java-util/Makefile.am,
	native/jni/midi-alsa/Makefile.am,
	native/jni/midi-dssi/Makefile.am,
	native/jni/qt-peer/Makefile.am,
	native/jni/xmlj/Makefile.am: Install libraries in nativelibdir
	and not pkglib.

2005-10-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	PR classpath/22972 
	* java/io/File (createTempFile): Rewritten.

2005-10-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/IOP/RMICustomMaxStreamFormat.java,
	* org/omg/IOP/ExceptionDetailMessage.java: New files. 

2005-10-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/Interceptor/Registrator.java (m_prefix): Made static.

2005-10-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/javax/rmi/CORBA/gnuRmiUtil.java (readValue):
	Do not read fields of the ObjectImpl.

2005-10-23  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/IOP/TAG_RMI_CUSTOM_MAX_STREAM_FORMAT,
	* org/omg/PortableInterceptor/ACTIVE.java,
	* org/omg/PortableInterceptor/DISCARDING.java,
	* org/omg/PortableInterceptor/HOLDING.java,
	* org/omg/PortableInterceptor/INACTIVE.java,
	* org/omg/PortableInterceptor/NON_EXISTENT.java: New files.

2005-10-22  Julian Scheid  <julian@sektor37.de>

	* java/util/Map.java (Entry.equals): Fixed invalid example code
	in documentation.

2005-10-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/omg/CORBA/ACTIVITY_COMPLETED.java,
	* org/omg/CORBA/ACTIVITY_REQUIRED.java,
	* org/omg/CORBA/BAD_QOS.java,
	* org/omg/CORBA/CODESET_INCOMPATIBLE.java,
	* org/omg/CORBA/INVALID_ACTIVITY.java,
	* org/omg/CORBA/REBIND.java,
	* org/omg/CORBA/TIMEOUT.java,
	* org/omg/CORBA/TRANSACTION_MODE.java,
	* org/omg/CORBA/TRANSACTION_UNAVAILABLE.java: New exceptions.

2005-10-22  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/rmi/CORBA/ValueHandlerMultiFormat.java: New interface.
	* gnu/javax/rmi/CORBA/ValueHandlerDelegateImpl.java
	(getMaximumStreamFormatVersion, writeValue): New methods.

2005-10-22  Mark Wielaard  <mark@klomp.org>

	* java/net/URLClassloader.java (addURLs): Add comment about jboss.

2005-10-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java
	(BasicCheckBoxMenuItem): Implemented.
	(installDefaults): Removed method, not in API.
	(processMouseEvent): Implemented.
	* javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java
	(processMouseEvent): Implemented.

2005-10-21  Christian Thalinger  <twisti@complang.tuwien.ac.at>

	* configure.ac: Also check for pangoft2 without cairo and
	additionally check for freetype2.
	* native/jni/gtk-peer/Makefile.am: Added X, pangoft2 and
	freetype2 CFLAGS and LDFLAGS.

2005-10-21  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* vm/reference/java/lang/VMClassLoader.java
	(getResources): uses a new static field HashMap to
	store opened zip files from property java.boot.class.path.

2005-10-21  Nicolas Geoffray  <nicolas.geoffray@menlina.com>

	* vm/reference/java/lang/VMClassLoader.java
	(getRessources): In case the property java.boot.class.path
	contains directories, tests if the ressource exists before adding
	it to the vector result.

2005-10-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicRadioButtonUI.java
	(paint): Only paint focus if enabled.

2005-10-21  David Daney  <ddaney@avtrex.com>

	* NEWS: Added entry about HttpURLConnection improvements.

2005-10-21  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* gnu/CORBA/DefaultSocketFactory.java,
	* gnu/CORBA/interfaces/gnuSocketFactory.java,
	* gnu/CORBA/interfaces/package.html: New files.
	* gnu/CORBA/Functional_ORB.java,
	* gnu/CORBA/Focused_ORB.java (getPortServer),
	* gnu/CORBA/GIOP/ErrorMessage.java (send),
	* gnu/CORBA/gnuRequest.java (submit): Rewritten to support
	gnu.Corba.SocketFactory property.
	* org/omg/CORBA/ORB.java: Documentation update. 

2005-10-21  Lillian Angel  <langel@redhat.com>

	* javax/swing/JPopupMenu.java
	(show): Fixed to set the size if it was never set.
	* javax/swing/plaf/basic/BasicMenuUI.java
	(menuDeselected): Added check to prevent NPE.
	* javax/swing/plaf/basic/BasicSeparatorUI.java:
	Removed minSize, horizontalPrefSize, verticalPrefSize and
	maxSize fields. They were causing problems when other classes
	were setting this variables to something else. More reliable if
	actual value is returned.
	(getPreferredSize): Returned appropriate values.
	(getMinimumSize): Likewise.
	(getMaximumSize): Likewise.	

2005-10-21  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/reflect/Proxy.java
	(ProxyType.ProxyType): Don't replace null with system class loader.
	(ProxyType.hashCode): Handle null loader.

2005-10-20  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/DefaultListSelectionModel.java:
	(setLeadSelectionIndex): If the selection mode is SINGLE_SELECTION then
	pass this call to setSelectionInterval.
	(addSelectionInterval): If the selection mode is SINGLE_SELECTION then 
	pass the call to setSelectionInterval and avoid the lengthy checks
	that don't apply to this mode.
	* javax/swing/JList.java:
	(getSelectedIndices): Changed bounds of for loop to include the 
	maxSelectionIndex.

2005-10-20  Lillian Angel  <langel@redhat.com>

	* examples/gnu/classpath/examples/swing/Demo.java
	(mkRadio): Changed to create a panel that contains
	2 buttons in a ButtonGroup.
	* javax/swing/ButtonGroup.java
	(add): Fixed to initialize sel if the newly added
	button is already selected.
	* javax/swing/JToggleButton.java
	(isSelected): Implemented.
	(setSelected): Implemented.
	* javax/swing/plaf/metal/MetalRadioButtonUI.java
	(paintFocus): Fixed size of border drawn around the
	radio button.

2005-10-20  Anthony Balkissoon  <abalkiss@redhat.com>

	* java/awt/ScrollPaneAdjustable.java:
	(addAdjustmentListener): If parameter is null take no action and throw
	no exception.  Store the resulting listener chain from call to 
	AWTEventMulticaster.add.
	(removeAdjustmentListener): If parameter is null take no action and
	throw no exception.  Store the resulting listener chain from call to
	AWTEventMulticaster.remove.

2005-10-20  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/LookAndFeel.java:
	(loadKeyBindings): Implemented and added docs.
	(makeComponentInputMap): Likewise.
	(makeInputMap): Likewise.
	(makeKeyBindings): Likewise.
	* javax/swing/plaf/basic/BasicListUI.java:
	(convertModifiers): Removed this no longer needed private method.
	(installKeyboardActions): Removed the code relating to modifier
	conversion and made code more readable by using local variables.
	* javax/swing/plaf/basic/BasicTableUI.java:
	(convertModifiers): Removed this no longer needed private method.
	(installKeyboardActions): Removed the code relating to modifier
	conversion and made code more readbale by using local variables.

2005-10-20  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicMenuItemUI.java:
	Added new ItemListener field.
	(BasicMenuItemUI): Initialized new field.
	(installListeners): Installed new listener.
	(removeListeners): Removed new listener.
	(MenuDragMouseHandler): Class should be private, not
	in API.
	(MenuKeyHandler): Likewise.
	(PropertyChangeHandler): Likewise.
	(ItemHandler): New class implemented to change the
	state of the menu item if it is a checkbox menu item.	

2005-10-20  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/BoxView.java
	(layoutMinorAxis): Calculate total requirements before calling
	the SizeRequirements utility method. Avoids an NPE.

2005-10-20  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicArrowButton.java: Updated API docs all 
	over, plus:
	(defaultSize): removed field,
	(upIcon): removed field,
	(downIcon): removed field,
	(leftIcon): removed field,
	(rightIcon): removed field,
	(darkShadow): changed color value,
	(paint): ignore insets for triangle positioning, but check 'armed'
	state,
	(paintTriangle): delegate to new private methods depending on 
	direction,
	(paintTriangleNorth): new private method,
	(paintTriangleSouth): new private method,
	(paintTriangleEast): new private method,
	(paintTriangleWest): new private method.

2005-10-20  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* org/ietf/jgss/GSSCredential.java (hashCode),
	* org/ietf/jgss/GSSName.java (hashCode): New declarations.

2005-10-19  Mark Wielaard  <mark@klomp.org>

	* java/net/URLClassLoader.java (addURLs): Don't call addURL(), but
	call urls.add() and addURLImpl() directly on each URL.

2005-10-19  Andreas Tobler  <a.tobler@schweiz.ch>

	* javax/swing/text/html/HTMLEditorKit.java: Add missing import.

2005-10-19  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/text/html/HTMLEditorKit.java (getParser): New method.

2005-10-19  Audrius Meskauskas  <AudriusA@Bioinformatics.org>

	* javax/swing/text/html/parser/ContentModel.java: Fixed comments for
	parameterless constructor.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(getDebugGraphicsOptions): Removed debug output.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* java/awt/Component.java
	(isShowing): Fixed condition.
	(show): Only repaint if component is showing.
	(hide): Only repaint if component was showing.

2005-10-19  Mark Wielaard  <mark@klomp.org>

	* javax/security/auth/login/LoginContext.java (lookupModule):
	Load LoginModule through Thread context class loader.

2005-10-19  Mark Wielaard  <mark@klomp.org>

	* java/net/Socket.java (getImpl): Chain exception before throwing.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/AbstractSpinnerModel.java
	* javax/swing/ActionMap.java
	* javax/swing/BoundedRangeModel.java
	* javax/swing/Box.java
	* javax/swing/BoxLayout.java
	* javax/swing/ButtonGroup.java
	* javax/swing/CellEditor.java
	* javax/swing/CellRendererPane.java
	* javax/swing/ComboBoxEditor.java
	* javax/swing/DefaultButtonModel.java
	* javax/swing/DefaultCellEditor.java
	* javax/swing/DefaultDesktopManager.java
	* javax/swing/DefaultListCellRenderer.java
	* javax/swing/DesktopManager.java
	* javax/swing/ImageIcon.java
	* javax/swing/InputVerifier.java
	* javax/swing/JCheckBoxMenuItem.java
	* javax/swing/JColorChooser.java
	* javax/swing/JDesktopPane.java
	* javax/swing/JFileChooser.java
	* javax/swing/JLayeredPane.java
	* javax/swing/JList.java
	* javax/swing/JMenu.java
	* javax/swing/JMenuBar.java
	* javax/swing/JMenuItem.java
	* javax/swing/JOptionPane.java
	* javax/swing/JPasswordField.java
	* javax/swing/JPopupMenu.java
	* javax/swing/JProgressBar.java
	* javax/swing/JRadioButtonMenuItem.java
	* javax/swing/JRootPane.java
	* javax/swing/JSeparator.java
	* javax/swing/JSlider.java
	* javax/swing/JSpinner.java
	* javax/swing/JSplitPane.java
	* javax/swing/JTabbedPane.java
	* javax/swing/JTable.java
	* javax/swing/JTextPane.java
	* javax/swing/JToolBar.java
	* javax/swing/JToolTip.java
	* javax/swing/JTree.java
	* javax/swing/KeyStroke.java
	* javax/swing/LookAndFeel.java
	* javax/swing/MutableComboBoxModel.java
	* javax/swing/Popup.java
	* javax/swing/PopupFactory.java
	* javax/swing/RepaintManager.java
	* javax/swing/SortingFocusTraversalPolicy.java
	* javax/swing/Spring.java
	* javax/swing/SwingUtilities.java
	* javax/swing/ToolTipManager.java
	* javax/swing/TransferHandler.java
	* javax/swing/ViewportLayout.java
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors. Removed some unneeded imports. Removed
	unneeded serialization methods.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/OverlayLayout.java
	(checkLayout): Respect the container's insets correctly.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JLabel.java
	(setText): Call revalidate() and repaint().

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JEditorPane.java
	Added comments to empty blocks.
	(read): Implemented this previously stubbed method.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComboBox.java
	Added comments to empty blocks.
	(writeObject): Removed unnecessary serialization method.
	(processKeyEvent): Implemented this previously stubbed method.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JButton.java
	(removeNotify): Implemented this previously stubbed method.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/undo/CannotRedoException.java
	* javax/swing/undo/CannotUndoException.java
	Put super() call in empty constructors.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/tree/DefaultMutableTreeNode.java
	* javax/swing/tree/DefaultTreeCellEditor.java
	* javax/swing/tree/TreeCellRenderer.java
	* javax/swing/tree/TreeModel.java
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors. Removed some unneeded imports.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/AbstractDocument.java
	* javax/swing/text/AttributeSet.java
	* javax/swing/text/ComponentView.java
	* javax/swing/text/DefaultCaret.java
	* javax/swing/text/DefaultEditorKit.java
	* javax/swing/text/DefaultHighlighter.java
	* javax/swing/text/EditorKit.java
	* javax/swing/text/FieldView.java
	* javax/swing/text/FlowView.java
	* javax/swing/text/GlyphView.java
	* javax/swing/text/JTextComponent.java
	* javax/swing/text/LayoutQueue.java
	* javax/swing/text/PlainView.java
	* javax/swing/text/Segment.java
	* javax/swing/text/StyledDocument.java
	* javax/swing/text/html/HTMLEditorKit.java
	* javax/swing/text/html/HTMLFrameHyperlinkEvent.java
	* javax/swing/text/html/parser/DocumentParser.java
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors. Removed some unneeded imports.

2005-10-19  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicArrowButton.java
	(buttonBorder): removed,
	(BasicArrowButton): don't set border, use default border,
	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(configureArrowButton): don't set margin here,
	(getPreferredSize): added comment,
	(getMinimumSize): icon width is the same as the display area height,
	(getDefaultSize): return size of space char plus 1 pixel margin,
	(getDisplaySize): take into account the prototype display value, if 
	there is one,
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): updated 'Button.margin' default,
	* javax/swing/plaf/metal/MetalComboBoxButton.java
	(MetalComboBoxButton(JComboBox, Icon, boolean, CellRendererPane, 
	JList)): check for null JComboBox, don't set margin here,
	* javax/swing/plaf/metal/MetalComboBoxUI.java
	(createArrowButton): set margin,
	(getMinimumSize): reimplemented,
	* javax/swing/plaf/metal/MetalLookAndFeel.java
	(initComponentDefaults): changed 'Button.margin' default to from Insets
	to InsetsUIResource.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/html/HTML.java
	* javax/swing/text/html/HTMLDocument.java
	Filled emtpy blocks with comments.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/text/html/parser/ContentModel.java
	* javax/swing/text/html/parser/DTD.java
	* javax/swing/text/html/parser/DocumentParser.java
	* javax/swing/text/html/parser/Element.java
	* javax/swing/text/html/parser/Parser.java
	Filled emtpy blocks with comments.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/table/TableColumnModel.java:
	Fixed some minor API doc errors.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/ActionMapUIResource.java
	* javax/swing/plaf/BorderUIResource.java
	* javax/swing/plaf/ButtonUI.java
	* javax/swing/plaf/ColorChooserUI.java
	* javax/swing/plaf/ColorUIResource.java
	* javax/swing/plaf/ComboBoxUI.java
	* javax/swing/plaf/ComponentInputMapUIResource.java
	* javax/swing/plaf/DesktopIconUI.java
	* javax/swing/plaf/DesktopPaneUI.java
	* javax/swing/plaf/DimensionUIResource.java
	* javax/swing/plaf/FileChooserUI.java
	* javax/swing/plaf/FontUIResource.java
	* javax/swing/plaf/IconUIResource.java
	* javax/swing/plaf/InputMapUIResource.java
	* javax/swing/plaf/InsetsUIResource.java
	* javax/swing/plaf/InternalFrameUI.java
	* javax/swing/plaf/LabelUI.java
	* javax/swing/plaf/ListUI.java
	* javax/swing/plaf/MenuBarUI.java
	* javax/swing/plaf/MenuItemUI.java
	* javax/swing/plaf/PanelUI.java
	* javax/swing/plaf/PopupMenuUI.java
	* javax/swing/plaf/ProgressBarUI.java
	* javax/swing/plaf/RootPaneUI.java
	* javax/swing/plaf/ScrollBarUI.java
	* javax/swing/plaf/ScrollPaneUI.java
	* javax/swing/plaf/SeparatorUI.java
	* javax/swing/plaf/SliderUI.java
	* javax/swing/plaf/SpinnerUI.java
	* javax/swing/plaf/SplitPaneUI.java
	* javax/swing/plaf/TabbedPaneUI.java
	* javax/swing/plaf/TableHeaderUI.java
	* javax/swing/plaf/TableUI.java
	* javax/swing/plaf/TextUI.java
	* javax/swing/plaf/ToolBarUI.java
	* javax/swing/plaf/ToolTipUI.java
	* javax/swing/plaf/TreeUI.java
	* javax/swing/plaf/UIResource.java
	* javax/swing/plaf/ViewportUI.java
	Reformatted slightly. Filled emtpy blocks with comments.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/ComponentUI.java
	Filled empty blocks with comments.
	(update): Reverted my patch from 2005-10-12. This is wrong. If there
	are still clipping problems, then certainly in another area.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/multi/MultiLookAndFeel.java
	Filled empty block with comment.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/metal/MetalBorders.java
	* javax/swing/plaf/metal/MetalButtonListener.java
	* javax/swing/plaf/metal/MetalComboBoxEditor.java
	* javax/swing/plaf/metal/MetalComboBoxUI.java
	* javax/swing/plaf/metal/MetalFileChooserUI.java
	* javax/swing/plaf/metal/MetalIconFactory.java
	* javax/swing/plaf/metal/MetalInternalFrameTitlePane.java
	* javax/swing/plaf/metal/MetalProgressBarUI.java
	* javax/swing/plaf/metal/MetalScrollBarUI.java
	* javax/swing/plaf/metal/MetalSliderUI.java
	* javax/swing/plaf/metal/MetalSplitPaneUI.java
	* javax/swing/plaf/metal/MetalTabbedPaneUI.java
	* javax/swing/plaf/metal/MetalTextFieldUI.java
	* javax/swing/plaf/metal/MetalToolBarUI.java
	* javax/swing/plaf/metal/MetalTreeUI.java
	* javax/swing/plaf/metal/MetalUtils.java:
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors. Removed some unneeded imports.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/JComponent.java
	(getDebugGraphicsOptions): Fixed to load system property if present.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/DebugGraphics.java
	(counter): New field.
	(color): Removed unneeded field.
	(DebugGraphics()): Count up.
	(DebugGraphics(Graphics,JComponent)): Call this(Graphics).
	(DebugGraphics(Graphics)): Call this().
	(setColor): Implemented logging facility.
	(create): Copy debugOptions over to new DebugGraphics instance.
	(create(int,int,int,int)): Likewise.
	(setFont): Implemented logging facility.
	(getColor): Return graphics.getColor().
	(translate): Implemented logging facility.
	(setPaintMode): Likewise.
	(setXORMode): Likewise.
	(clipRect): Likewise.
	(setClip(int,int,int,int)): Likewise.
	(setClip(Shape)): Likewise.
	(drawRect): Likewise. Only flash when FLASH_OPTION is set.
	(fillRect): Likewise.
	(clearRect): Implemented logging facility.
	(drawRoundRect): Likewise.
	(fillRoundRect): Likewise.
	(drawLine): Likewise.
	(draw3DRect): Likewise.
	(fill3DRect): Likewise.
	(drawOval): Likewise.
	(fillOval): Likewise.
	(drawArc): Likewise.
	(fillArc): Likewise.
	(drawPolyline): Likewise.
	(drawPolygon): Likewise.
	(fillPolygon): Likewise.
	(drawString(String,int,int)): Likewise.
	(drawString(AttributedCharacterIterator,int,int)): Likewise.
	(drawByted): Likewise.
	(drawChars): Likewise. Only flash if FLASH_OPTION is set.
	(drawImage): Implemented logging facility. (Also applies to all
	overloaded versions of this method).
	(copyArea): Likewise.
	(setDebugOptions): Likewise.
	(prefix): New helper method.
	* javax/swing/JComponent.java
	(getComponentGraphics): Implemented to return DebugGraphics when
	needed.
	(getDebugGraphicsOptions): Implemented to return the correct options.
	Also, this loads a system property gnu.javax.swing.DebugGraphics
	if present and evaluates it.

2005-10-19  Lillian Angel  <langel@redhat.com>

	* javax/swing/JList.java
	(getAccessibleContext): Returned an instance of 
	AccessibleJList. Should never return null.

2005-10-19  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java:
	Added MouseListener and removed MouseInputListener.
	(BasicTreeUI): Initialized mouseListener and removed
	mouseInputListener.
	(removeListeners): Removed mouseListener and removed
	mouseInputListener code.
	(installListeners): Likewise.
	(MouseInputHandler.mousePressed): Moved code to MouseHandler.
	(MouseHandler.mousePressed): Likewise.
	* javax/swing/plaf/metal/MetalTreeUI.java:
	Added MouseListener and removed MouseInputListener.
	(installUI): Initialized mouseListener and removed
	mouseInputListener.	
	(uninstallUI): Removed mouseListener and removed
	mouseInputListener code.

2005-10-19  Roman Kennke  <kennke@aicas.com>

	* javax/swing/plaf/basic/BasicBorders.java
	* javax/swing/plaf/basic/BasicButtonListener.java
	* javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java
	* javax/swing/plaf/basic/BasicComboBoxEditor.java
	* javax/swing/plaf/basic/BasicComboBoxRenderer.java
	* javax/swing/plaf/basic/BasicDesktopIconUI.java
	* javax/swing/plaf/basic/BasicDesktopPaneUI.java
	* javax/swing/plaf/basic/BasicFileChooserUI.java
	* javax/swing/plaf/basic/BasicFormattedTextFieldUI.java
	* javax/swing/plaf/basic/BasicGraphicsUtils.java
	* javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
	* javax/swing/plaf/basic/BasicInternalFrameUI.java
	* javax/swing/plaf/basic/BasicLabelUI.java
	* javax/swing/plaf/basic/BasicListUI.java
	* javax/swing/plaf/basic/BasicMenuBarUI.java
	* javax/swing/plaf/basic/BasicMenuItemUI.java
	* javax/swing/plaf/basic/BasicMenuUI.java
	* javax/swing/plaf/basic/BasicOptionPaneUI.java
	* javax/swing/plaf/basic/BasicPasswordFieldUI.java
	* javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java
	* javax/swing/plaf/basic/BasicRootPaneUI.java
	* javax/swing/plaf/basic/BasicScrollPaneUI.java
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java
	* javax/swing/plaf/basic/BasicSplitPaneUI.java
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java
	* javax/swing/plaf/basic/BasicTableHeaderUI.java
	* javax/swing/plaf/basic/BasicTableUI.java
	* javax/swing/plaf/basic/BasicTextAreaUI.java
	* javax/swing/plaf/basic/BasicTextUI.java
	* javax/swing/plaf/basic/BasicToolBarUI.java
	* javax/swing/plaf/basic/BasicToolTipUI.java
	* javax/swing/plaf/basic/BasicTreeUI.java
	* javax/swing/plaf/basic/BasicViewportUI.java:
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors.

2005-10-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/filechooser/FileFilter.java:
	* javax/swing/filechooser/FileView.java:
	Filled empty blocks with comments.

2005-10-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/event/EventListenerList.java:
	* javax/swing/event/InternalFrameAdapter.java:
	* javax/swing/event/MouseInputListener.java:
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors

2005-10-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/colorchooser/AbstractColorChooserPanel.java:
	* javax/swing/colorchooser/ColorChooserComponentFactory.java:
	* javax/swing/colorchooser/DefaultSwatchChooserPanel.java:
	Filled empty blocks with comments.

2005-10-18  Roman Kennke  <kennke@aicas.com>

	* javax/swing/border/AbstractBorder.java:
	* javax/swing/border/BevelBorder.java:
	* javax/swing/border/Border.java:
	* javax/swing/border/CompoundBorder.java:
	* javax/swing/border/EmptyBorder.java:
	* javax/swing/border/EtchedBorder.java:
	* javax/swing/border/LineBorder.java:
	* javax/swing/border/MatteBorder.java:
	* javax/swing/border/SoftBevelBorder.java:
	* javax/swing/border/TitledBorder.java:
	Reformatted slightly. Filled emtpy blocks with comments. Fixed some
	slight API doc errors

2005-10-18  Lillian Angel  <langel@redhat.com>

	* java/awt/GridBagLayout.java
	(GetLayoutInfo): Added a null check for lastComponent. Prevents
	NPE.

2005-10-18  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTable.java
	(JTable): Moved code around so all models are set before
	any other function is called. Prevents all NPEs with
	models.

2005-10-18  Anthony Balkissoon  <abalkiss@redhat.com>

	* javax/swing/DefaultListSelectionModel.java:
	(setLeadSelectionIndex): Avoid index out of bounds error on initial
	call of this method by checking explicitly for oldLeadIndex being -1.
	Also remove unused BitSet newRange and oldRange.
	(moveLeadSelectionIndex): New API method implemented (@since 1.5).
	* javax/swing/plaf/basic/BasicListUI.java:
	(ListAction.actionPerformed): Make code more readable by declaring
	local variables for the actionCommand and for the list's
	selectionModel.  Implemented the following bindings: 
	selectLastRowChangeLead, scrollDownChangeLead, scrollUpChangeLead, 
	selectFirstRowChangeLead, selectNextRowChangeLead, 
	selectPreviousRowChangeLead, addToSelection, toggleAndAnchor, 
	extendTo.
	(MouseInputHandler.mousePressed): Made code more readable by removing
	unnecessary full qualification from variable 'list'.  Change 
	behaviour of shift-click based on whether or not the anchor index is 
	selected.
	* javax/swing/plaf/basic/BasicLookAndFeel.java:
	(initComponentDefaults): Added remaining bindings for
	Table.ancestorMap.
	* javax/swing/plaf/basic/BasicTableUI.java:
	(TableAction.actionPerformed): Made type of variables rowModel and 
	colModel more specific to avoid many casts later on (makes code more
	readable).  Also declare local variable to store the action command to 
	make the code more readable. Implemented the following bindings: 
	selectNextRowChangeLead, selectPreviousRowChangeLead, 
	selectNextColumnChangeLead, selectPreviousColumnChangeLead,
	addToSelection, extendTo, toggleAndAnchor.  Added commented-out debug 
	statement to print unimplemented bindings when used.  Added check for 
	the SPACE character to make sure it doesn't stop editing.

2005-10-18  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTreeUI.java:
	Removed leafIcon field.
	(BasicTreeUI): Removed leafIcon initialization.
	(installDefaults): Icon defaults were wrong, fixed.
	(isLocationInExpandControl): Fixed to incorporated gap.
	(mousePressed): Fixed to include correct icon widths. Sometimes
	the labels icon is different from what the tree's default icon is
	set to. Added a check for this.
	(getCellBounds): No need to include gap here.
	(getCurrentControlIcon): Fixed to use expandedIcon and collapsedIcon.
	(paintRow): No need paint beyond preferred width of tree here.
	(updateCurrentVisiblePath): If nothing is selected, the root should
	be selected without focus.
	* javax/swing/plaf/metal/MetalTreeUI.java
	(installDefaults): Fixed defaults for the expanded/collapsed icons.

2005-10-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/JComboBox.java
	(setModel): update the selectedItemReminder field,
	(selectedItemChanged): only send ItemEvent.SELECTED event if the new
	selection is non-null.

2005-10-18  David Gilbert  <david.gilbert@object-refinery.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java
	(installComponents): only set default editor if the current editor is
	null or implements UIResource,
	(uninstallComponents): only clear editor if it implements UIResource.

2005-10-18  Lillian Angel  <langel@redhat.com>

	* javax/swing/plaf/basic/BasicTextUI.java
	(installDefaults): Set the selected text color for the
	text component.

2005-10-18  Lillian Angel  <langel@redhat.com>

	* javax/swing/JTree.java
